2025-07-03 21.7.3
完成的需求
开源版：
75768 优化编辑器固定工具栏中常显的按钮
74527 在文档顶部工具栏的更多下拉菜单中打印插入禅道数据按钮
74092 文档新编辑器中插入的简单表格支持拆分单元格
74080 文档新编辑器中插入的简单表格支持合并单元格
企业版：
75451 甘特图组件支持通过插件的形式来一次性配置禅道定制样式
75138 支持导出文档中插入的看板视图和表格视图中的标题
70456 新编辑器文档支持前端直接导出 Word
70053 导出文档时可以导出文档中的关键字
70050 blocksuite编辑器中/命令插入的附件支持导出
70017 文档导出Word支持代码块完整显示及自动分页
旗舰版：
75810 实现项目模板下甘特图维护任务依赖关系的功能
75809 项目模板增加权限设置
75320 复制项目的下一步页面重构
75305 创建项目页面只展示使用中的项目模板
75209 复制项目新增数据逻辑
75035 隐藏执行的功能
75019 从已有项目创建页面优化
74203 由模板创建项目新增数据逻辑
74194 实现项目模板下文档的功能
74158 实现项目模板下审批的功能
73893 实现项目模板的停用功能
73892 实现项目模板的发布功能
73889 实现项目模板的编辑功能
修复的Bug
旗舰版：
63839 报告模板的二级导航名称错误应该是【报告模板】

2025-06-27 21.7.2
完成的需求
开源版：
75355 文档模块中面包屑导航优化
74089 文档新编辑器中插入的简单表格支持删除列
74085 文档新编辑器中插入的简单表格支持删除行
74082 文档新编辑器中插入的简单表格支持添加行
74081 文档新编辑器中插入的简单表格支持添加列
73879 优化执行任务列表中任务获取延期数据的方式
73878 优化执行甘特图中任务获取延期数据的方式
73876 优化瀑布项目甘特图中任务获取延期数据的方式
73757 优化瀑布项目阶段列表中任务获取延期数据的方式
73639 优化编辑任务页面性能
72782 文档编辑器中支持输入/命令，创建简单表格
旗舰版：
75848 评审功能升级逻辑优化
75826 实现评审对象的维护功能
75544 与8种特殊评审对象关联的文档模板删除时增加提醒
75357 添加文档模板类型的表单中，删除类型不可改位置的提示
75316 升级时，记录检查分类和评审对象之间的关系
75314 新安装用户，内置8种文档模板并关联评审对象
75310 新安装用户内置文档模板分类
75257 项目发起评审表单中，评审内容字段调整
75139 从单个项目流程模板复制项目模板的逻辑
75132 项目模板创建后，状态为使用中
75090 实现项目模板下团队的功能
75046 新打的基线详情页用blocksuit渲染
75044 评审详情页可以正常渲染系统数据列表
75042 文档模板编辑时，根据关联的评审对象限制可插入的筛选器
75040 项目模板的设置隐藏区块
75039 文档模板升级时，八种特殊模板类型下没有代入系统数据的wiki模板时，内置文档模板
75025 项目发起评审选择系统模板生成时，表单逻辑调整
74998 升级时，记录历史的文档模板和评审对象之间的关系
74996 后台编辑文档模板的权限逻辑调整
74969 文档模板类型和项目评审对象解绑
74961 修改文档模板的类型语言项为分类
74960 文档模板从回收站还原时，提示用户还原所属类型和范围
74952 由模板创建的文档中禅道列表支持点击查看详情
74949 历史文档模板类型的配置数据升级后放在一级类型下
74947 后台增加文档模板维护范围的权限
74924 文档插入禅道的业务需求列表时，业务需求记录版本号
74923 文档插入禅道的用户需求列表时，用户需求记录版本号
74904 OR界面中，文档模板历史数据的升级逻辑
74903 模板类型在三个界面的数据做隔离
74901 文档模板私有时，不设白名单
74900 已有项目创建模板后的数据复制
74899 点击项目模板名称进入模板详情
74867 使用模板创建项目的数据复制逻辑
74866 实现从已有项目创建的页面
74865 打印从已有项目创建的按钮
74787 隐藏多层级文档模板的代码
74733 OR界面增加文档的模板广场功能
74732 文档中插入的禅道列表支持点击查看详情
74724 文档模板广场增加维护范围的功能
74711 运营管理界面增加文档的模板广场功能
74692 文档插入禅道的用例列表时，用例记录版本号
74691 文档插入禅道的研发需求列表时，研发需求记录版本号
74517 其他类型的wiki文档模板升级后用新的编辑器渲染
74516 系统测试用例类型的wiki文档模板升级后用新的编辑器渲染
74515 集成测试用例类型的wiki文档模板升级后用新的编辑器渲染
74514 接口设计说明书类型的wiki文档模板升级后用新的编辑器渲染
74513 发起项目计划评审表单增加评审内容字段
74512 数据库设计说明书类型的wiki文档模板升级后用新的编辑器渲染
74511 详细设计说明书类型的wiki文档模板升级后用新的编辑器渲染
74509 概要设计说明书类型的wiki文档模板升级后用新的编辑器渲染
74507 软件需求规格说明书类型的wiki文档模板升级后用新的编辑器渲染
74452 历史版本的wiki文档模板在模板广场下正常渲染
74412 项目计划类型的文档模板升级用新的编辑器渲染
74410 新发起的项目计划评审，用blocksuit编辑器渲染成静态甘特图
74408 新发起的评审，审计页面左侧区块用blocksuit渲染
74407 新发起的评审，评审页面左侧区块用blocksuit渲染
74406 新发起的评审，评审详情页左侧区块用blocksuit渲染
74385 使用无层级的文档模板来代替原来的wiki类型的文档模板
74384 markdown类型的文档模板升级后用新编辑器渲染
74383 富文本类型的文档模板升级后用新编辑器渲染
74260 研发管理界面中，文档模板跟随系统升级的交互
74258 后台文档模板的配置数据升级至文档模板广场下
74256 研发管理界面中，删除后台文档模块入口
74206 项目/执行/任务统计选择功能过滤掉项目模板中的数据
74201 由模板创建项目的创建项目页面改动
74198 在创建项目页面增加项目模板
74064 由模板创建的文档，发布文档后，未配置的动态区块展示占位符与提示文案
73953 打印项目模板中阶段/迭代下的二级菜单
73930 打印项目模板配置的二级菜单
73891 实现项目模板的删除功能
73884 实现项目模板列表功能
73883 工作流下流程菜单改名为工作流
73881 项目下二级菜单打印项目模板菜单
73546 支持点击模版卡片的标题，展示文档模板预览弹窗
73374 文档支持修改动态区块的参数配置
73373 项目用例筛选器动态区块的配置参数
73372 当分组表单选择“项目用例筛选器”时，表单内打印相关配置项
73371 当分组表单选择“产品用例筛选器”时，表单内打印相关配置项
73370 “/”下拉菜单中，用例筛选器增加集联菜单
73360 bug筛选器动态区块的配置参数
73359 产品用例筛选器动态区块的配置参数
73358 任务筛选器动态区块的配置参数
73357 接口设计筛选器动态区块的配置参数
73356 数据库设计筛选器动态区块的配置参数
73355 详细设计筛选器动态区块的配置参数
73354 概要设计筛选器动态区块的配置参数
73353 执行研发需求筛选器动态区块的配置参数
73352 项目研发需求筛选器动态区块的配置参数
73351 产品研发需求筛选器动态区块的配置参数
73319 由模板创建的文档打印弹窗
73211 若当前系统根据配置无生成的系统数据列表内容，展示空页面
73199 由模板创建文档时，动态区块按照配置弹窗以及筛选器展示列表数据
73195 由模板创建的文档，静态区块内容与文档模板中静态区块内容保持一致
73194 在文档列表页创建按钮组打印“由模板创建文档”按钮
73176 文档模板插入禅道数据选择设计筛选器时的表单项配置
73052 当分组表单选择“执行研发需求筛选器”时，表单内打印相关配置项
73051 当分组表单选择“项目研发需求筛选器”时，表单内打印相关配置项
73050 当分组表单选择“产品研发需求筛选器”时，表单内打印相关配置项
73047 文档模板支持修改插入的禅道数据
73046 文档模板插入禅道数据选择bug筛选器时的表单项配置
修复的Bug
开源版：
56122 目录树中对文档排序后，文档列表没有同步调整
57792 文档库下左侧文档名称排序后刷新页面，右侧区域变成了原来的排序
61424 导入用例时用例步骤不合法提示到具体行数 (Feedback#8950)
61609 文档下导入需求弹窗中搜索结果时标签也高亮了
63043 编辑测试单所属执行没有过滤父阶段和没有测试模块的阶段
63083 编辑无迭代项目计划开始和计划完成保存时有报错
63090 计划需求列表中执行关联需求操作后会导致需求已有排序错乱
63120 无产品无迭代项目批量编辑任务时提示无权访问该项目
63176 [内禅]文档中的表格丢失，变为空的3*3表格
63178 文档升级后表格丢失
63181 项目视图接口库下创建接口页面不正确
63226 编辑运营界面项目有报错
63228 文档面包屑内容较长时不显示切换按钮
63229 未开启办公功能，运营界面显示办公模块
63240 大桌面退出讨论组失败，禅道php.log有报错
63244 已删除干系人详情页有sql报错
63245 回收站干系人对象名称显示用户名
63256 编辑用例时部分符号被转义了
63257 简单表格中emoj表情升级不上来
63258 禅道插入emoji表情保存报错
63288 批量创建Bug，所属执行没有列出
63289 开源版12.5.3升级到开源版21.7.2执行完sql后报错
63290 插件安装的提示文案前后不一致
63298 创建无产品无迭代项目报错
63303 批量编辑任务页面指派给的下拉菜单中，维护团队成功按钮前面缺少“+”
63309 编辑产品模块为空格报错
63336 开启collabora服务，保存报错
63342 使用新dell盒，启动一件包后，admin初始登录提示密码错误
63361 创建周期性待办时，按年为周期的周期设置组件报错
63400 项目代号长度较长时概况页项目名称和状态等会被挤掉
63410 地盘里“欢迎总览”区块指派给我的数据和待处理里的对不上 (Feedback#9570)
63423 项目下编辑文档页面刷新后返回到了文档列表
63444 进入地盘日程下没有默认高亮标签
63446 运营界面的看板和目标导航出现了研发效能插件的授权校验
63450 运营界面项目设置团队中下拉框很短
63465 指派bug后，地盘贡献页面空白
63505 分组视图下批量创建用例后报错
63508 执行空的用例没有被记录在action表里
63510 后台进入加入禅道社区页面后没有1.5级导航
63511 安装禅道加入社区步骤中，没有跳过按钮
63512 后台解绑禅道社区后有报错
63513 禅道用户体验改进计划弹窗页大小不一致
63514 账号绑定禅道后，点击前往社区后没有自动登录官网
63516 项目下不显示创建的和关联的bug
63517 后台页面有报错
63519 后台分配权限页面有报错
63521 解绑禅道官网时弹窗空白太大
63522 信息不填写也可以加入禅道社区
63524 加入禅道社区帮助问号图标没有跳转链接
63529 加入禅道社区页面字段没有必填标识，且必填提示信息不明确
63533 加入禅道社区的卡片需要优化
63534 解绑的弹窗页面按钮样式不正确
63535 加入禅道社区后点前往社区没有自动登录官网
63538 没有看板列设置权限的用户看板的更多按钮下显示空的下拉列表
63540 火狐浏览器看板点击全屏后台报错
63545 激活看板的icon显示的是关闭的
63559 用例列表的相关需求鼠标悬停显示storyTitle
63561 用例切换分组视图后切换1.5级导航报错
63565 测试单中场景的指派给弹窗中存在报错
63567 安装成功后，提示安装成功的禅道版本不友好
63570 禅道用户体验改进计划标题不明显
63586 测试单的用例列表不显示关联对象数据
63588 测试-bug 编辑模块无法保存 (Feedback#9659)
63598 开启debug，关掉session开关，登录页有报错
63599 瀑布项目下设置阶段后点击保存报错
63600 项目设置权限将成员全部取消勾选保存报错
63601 无需求详情权限时，产品动态中需求链接没有置灰
63603 开启聊天后，session文件增长过快
63604 用户没有权限，地盘动态显示错误
63605 安装21.7.2登录页面内容未居中
63606 私有文档库和私有文档的操作，不显示动态
63607 项目团队同步到执行后项目动态报错
63612 用户1没有私有产品权限动态中其动态没有置灰
63614 禅道ipd4.1版本安装成功页面提示文案不正确
63615 执行下创建机会，没有默认带入执行名称
63616 my.php的$config-&gt;customSession没有对齐
63618 用户未分配研发需求详情权限时，项目动态中研发需求名称没有置灰
63619 项目下创建测试报告，项目仪表盘最新动态区块报错
63620 用户有项目集所有操作权限但操作列不显示操作按钮
63623 没有研发需求详情权限，执行动态下需求名称显示链接
63624 检查组织动态今天标签下，数据和显示不一致
63625 没有权限项目下的设计动态打印了链接
63626 有相关权限时，用户项目动态列表不显示基线评审的动态
63627 动态标签下有数据，实际没显示
63628 用户没有浏览bug权限时地盘动态列表显示了跳转链接
63629 搜索按钮与排序组件没有间距
63630 项目集投入人员页面点击1.5级导航下拉后有报错
63631 动态收起后再展开，无法显示内容
63632 组织动态页面按正序排列后执行搜索，搜索不成功
63636 用户动态列表标签右侧数量样式需优化
63638 非admin用户进入后台系统设置，有报错闪过
63641 项目/执行下测试单列表勾选测试单后统计数据错误
63646 执行下勾选测试单，统计数据不正确
63650 点击关联需求和关联bug按钮，无反应且有报错
63651 执行概况页报错
63653 执行视图下树状图中点击对象名称没有反应
63666 普通用户全部权限复制项目时未列出对应类型的项目
63677 文档列表左侧目录树中排序底部应用刷新两次从目录树中查看文档详情显示没有权限访问
63682 事务类型的任务去复制任务保存后无法新增任务 (Feedback#9671)
63688 文档编辑器中简单表格不显示中文语言项
企业版：
63047 关联关系搜索条件选择全部产品/全部项目，搜索内容为空
63062 bug解决表总计数据错误
63078 提示没有授权，但是没有注明哪一个解决方案
63145 执行下甘特图有报错
63216 BI-透视表-自定义报表中 查询筛选器中设置默认值无效 (Feedback#9533)
63222 不同任务类型统计图下，英文语言项Misc多了一个.
63254 安装biz12.1-php7.4，安装完成后，跳转到了升级页面
63262 导入的反馈记录了指派时间
63263 待处理bug按所有项目搜索内容为空
63270 反馈转化的非需求对象显示了所处阶段字段
63273 导出工单模板，提示文案有多余符号
63274 导出反馈模板，提示文案显示为英文逗号
63275 导入的工单没有记录指派给时间
63276 导出工单有报错
63277 导出工单没有填写文件名称时，文件无法使用
63285 没有ioncube时，安装付费禅道，保存账号报错，没有弹出ioncube校验
63305 编辑任务时任务关系前后置任务可以设置同一个任务
63314 安装禅道失败，提示pivot表主键冲突
63399 产品-矩阵 导出需求，相同名称的需求导出数据缺失 (Feedback#9562)
63402 工单扩展的必填字段提示重复显示
63405 编辑工单修改新增字段信息不生效
63418 升级到12.1版本，有sql报错
63474 编辑无迭代项目有报错
63477 创建无迭代项目，扩展字段有值也提示不能为空
63488 反馈中的附件不能删除附件 (Feedback#9585)
63552 立项审批的条件中，类型获取不到数据
63553 无甘特图权限时，文档编辑器中/选择甘特图有报错
63585 实现度量项弹窗页面有报错
63589 工作流扩展测试单的子状态，测试单列表状态不显示子状态的值 (Feedback#9494)
63591 审批流设置自动通过条件时，发起审批后保存报错 (Feedback#9510)
63613 升级有sql报错
63656 biz8.8升级到biz12.1有sql报错
63686 bug批量导入，反馈者字段没有正常保存到 (Feedback#9634)
63707 透视表无法修改筛选器进行查询
63736 设计透视表的查询数据页面自定义SQl添加查询筛选器后再删掉会有报错
63738 未安装加密扩展的弹窗，样式需优化
旗舰版：
52793 我的待处理区块的评审提交时间不正确
59704 编辑文档发布后，详情页需刷新才显示最新内容
59706 模板列表中文档模板标题过长时【草稿】icon会被挤掉
59948 没有类型的时候点击列表中间创建模板时没有弹窗提示
61234 文档模板中[禅道列表数据配置]分组显示位置不对
61254 禅道筛选器配置弹窗中文案不正确
61261 模板插入筛选器保存后详情页会显示仪表盘区块
61285 模板广场落地页点创建模板直接进入了编辑器
61397 编辑模板发布后详情页还是显示编辑前的内容
61859 预览模板弹窗中切换版本或模板，url同步更新
62084 任务筛选器所属执行为空时不显示必填提示信息
62100 筛选器的[选择产品]字段显示为[所属产品]
62692 产品/项目研发需求区块，父子需求平铺展示无展开收起按钮
62701 流程模板交付物配置页面分割线没有对齐
62785 编辑文档模板页面修改模板设置保存后会记录两次历史记录和2个版本
62859 面包屑中点主页按钮，维护范围按钮位置变化
62886 从已有项目模板创建，二级导航错误
62889 从已有项目创建，显示“完善项目信息”
62922 中文语言项升级时没有模板的类型不能升级上来
62928 模板广场落地页点击创建文档模板按钮，直接进入了编辑器
62929 项目模板二级导航下显示了从属于项目的工作流
62930 发布态模板存为草稿后，详情页未显示最新的模板标题
62934 项目模板设置概况页面最新动态区块的更多按钮建议去掉
62952 项目模板阶段列表页导出模板和导入任务时无法选择所属执行
62959 测试下提Bug页面所属产品没有过滤无产品无迭代项目模板
62960 没有执行权限时文档中插入的任务列表标题不应该打印链接
62961 从已有项目创建项目模板，项目模板中的任务编辑页所属执行和模块为空
62992 完善项目信息页面隐藏计划开始时间和计划结束时间
62997 由模板创建的文档中，禅道筛选器列表导出后显示为链接
63013 使用项目模板创建项目，项目流程应置灰
63032 删除的类型还原后在范围下底部刷新删除的模板不能显示
63035 全局添加任务/执行模板相关数据没有过滤
63036 添加任务类型待办没有过滤模板下的任务
63037 待处理/贡献-Bug搜索表单所属项目下拉显示了项目模板
63038 地盘-项目列表没有显示其他人创建的项目
63039 贡献-任务列表、搜索表单所属项目、所属执行下拉显示项目模板数据
63040 新增一个从属于项目的自定义工作流，进入流程后1.5和2级流程显示了项目模板的数据
63044 组织团队成员没有过滤项目模板下的任务数据
63045 组织日志下所属执行下拉无产品无迭代项目缺少分隔线
63046 自定义工作流添加数据页面，所属项目下拉显示了项目模板
63048 组织团队成员没有过滤项目模板下的执行数据
63050 关联对象时可以选到项目模板的数据
63054 组织团队成员下点击执行标签后部分标签不显示了
63055 通用看板下导入计划/发布/工单页所属产品下拉未过滤影子产品
63057 BI大屏/图表中没有过滤项目模板数据
63061 动态列表点击项目模板下的不符合项动态链接后跳转到了项目下
63063 项目模板下QA列表点击今日检查和本月检查标签后未展示数据
63064 无模板的适用所有语言项的类型，升级后不显示
63066 团队成员任务/执行列表没有过滤项目模板数据
63068 项目模板执行概况页点击燃尽图更多按钮后没有对应导航
63080 项目模板中删除的任务在回收站中名称显示错误
63084 项目模板下删除迭代后回收站中不显示对象名称
63117 项目下创建文档选择其它项目，保存后页面显示不正确
63132 项目甘特图下切换为按指派给分组后是否延期和延期天数内容为显示
63133 项目模板阶段列表维护交付物选择项目模板下的文档时，无法保存
63138 项目限制子任务时间且子任务未设置截止日期父任务设置截止日期时甘特图中子任务没有计算延期天数
63144 项目模板执行的二级导航显示了看板
63151 通用看板导入执行页面交付物显示异常
63156 从已有项目创建模板时完善项目信息页面迭代代号处提示文案错误
63163 后台设置不显示瀑布项目下QA时项目模板下有报错
63164 后台设置瀑布项目下只显示过程不显示QA时瀑布项目模板下不显示过程菜单
63166 项目模板下执行下创建文档，所属库下拉为空，弹窗有报错
63173 新增工作流弹窗，字段和必填项标识没显示
63174 交付物维护页面文档下拉未过滤掉项目模板下的文档
63180 单项目流程项目编辑报错
63182 单项目流程模板创建项目，流程模板为通用模板
63183 项目权限没有加上项目流程权限
63185 创建任务/需求/设计页面相关文档下拉没有过滤项目模板下的文档
63196 从已有项目创建项目模板后设置下三级导航未显示项目流程
63198 项目迭代列表不显示产品下拉
63200 复制单项目流程项目时带出的项目流程不正确
63205 项目模板下任务列表页面的报表按钮应隐藏
63210 项目模板阶段甘特图下显示了全部产品下拉
63221 执行--视图页面代码报错
63227 全局搜索项目模板数据结果页有报错
63237 项目下启用项目流程时没有复制子表
63238 项目模板下自定义工作流设计页面有报错
63255 创建项目模板完善信息页提示未修改
63266 后台未启用工作量占比但复制项目时完善阶段信息页展示了工作量占比字段
63287 通用看板导入执行，显示了项目模板的执行
63296 升级后原有项目下项目流程列表有报错
63312 创建项目模板时完善阶段信息页选择不复制对应产品的阶段产品保存时控制台有报错
63313 创建项目模板时完善阶段信息页切换产品后提示访问功能正在开发中
63315 项目模板下删除父任务时没有删除其下的子任务
63318 项目模板执行视图下二级导航显示了“项目模板”
63319 从已有项目创建模板保存时提示阶段类型不符合格式
63322 项目模板项目视图下切换为有所属项目集的模板后二级导航显示“项目”
63327 瀑布项目模板下阶段列表相关产品错误
63337 批量添加待办，提示字段必须是数字
63345 创建文档模板提示先创建分类，但是没有创建分类的入口
63360 无迭代项目模板任务列表切换1.5级导航后二级导航菜单未高亮
63362 复制项目和按项目模板创建的项目，状态为进行中
63363 项目下没有迭代，创建模板完善项目信息点击复制完成没反应
63367 复制按产品创建的瀑布项目时完善阶段信息页面有报错
63369 可用工作日提示不能超过1天
63372 点击项目模板1.5级的homeBtn，跳转到了项目列表页
63373 从无迭代项目模板切换到融合项目模板后，页面显示不正确
63387 从已有项目创建项目模板完善项目模板信息的英文语言项无空格
63396 后台敏捷模型配置页面内置的活动/文档数据不显示
63398 无产品无迭代项目模板任务列表页导入任务不成功
IPD版：
63162 调研任务列表延期标识和详情页不一致
63393 OR界面添加产品页面控件布局建议优化
63485 创建ipd项目时关联的路标中的需求没有自动关联到项目中
63546 阶段下的任务没有关闭，阶段可以正常关闭没有提示信息 (Feedback#9630)
63547 IPD项目串行模式，大阶段下的全部子阶段关闭直接大阶段也关闭，不受评审点限制。 (Feedback#9626)
63548 ipd模型项目阶段设置不允许并行，上个大阶段没有关闭，下一大阶段虽然不能直接开始，但是任务可以开始，同时带动大阶段也开始。 (Feedback#9625)
63714 移动文档库页面有报错
63717 OR界面移动库，所属空间列出了产品空间
63721 阅读次数字段升降序按钮显示不全

2025-05-30 21.7.1
完成的需求
开源版：
74489 在文档编辑器顶部工具栏中打印上传附件按钮
74488 在文档编辑器顶部工具栏中打印插入图片按钮
74487 在文档编辑器顶部工具栏中打印超链接按钮
74486 在文档编辑器顶部工具栏中打印待办事项列表按钮
74485 在文档编辑器顶部工具栏中打印序号列表项相关的按钮
74483 批量创建Bug页面增加所属计划字段
73303 点击文档顶部工具栏中更多按钮，在下拉菜单中打印相关数据
73293 调整文档中目录、章节和文档的图标和颜色
73292 调整编辑和浏览文档时的可视区域宽度
73247 在文档编辑器顶部工具栏中打印文字样式的相关按钮
73013 在文档编辑器顶部工具栏中打印文字基础格式的相关按钮
73011 文档顶部固定工具栏中打印插入更多数据的按钮
73010 实现文档Blocksuite编辑器顶部工具栏常驻显示的组件
60167 创建Bug页面增加所属计划字段
14272 导出Bug时增加所属计划字段
企业版：
74602 项目中支持单独维护单个项目的项目流程
74439 工作流的流程模板列表不展示项目自定义的流程
74429 项目中支持配置项目流程
73561 构建列表动作展示在构建工作流中
73560 任务列表动作展示在任务工作流中
73559 业务需求列表动作展示在业务需求工作流中
73558 用户需求列表动作展示在用户需求工作流中
73557 研发需求列表动作展示在研发需求工作流中
63771 工单工作流增加审批设置
旗舰版：
74722 项目交付物维护页面隐藏创建时的交付物
74712 隐藏创建项目页面中的交付物组件
74710 调整交付物配置页面的帮助说明
74709 交付物配置页面隐藏创建时的交付物列
74708 后台编辑交付物页面置灰动作字段
74707 后台添加交付物页面置灰动作字段
74181 前台提交交付物的相关页面中增加提交文件限制
74126 编辑已提交付物的独立执行和顶级执行不允许关联父执行
74125 流程模板中交付物配置改变时不会影响已创建的项目
74091 后台系统功能配置的通用功能中增加交付物功能开关
74088 实现项目交付物历史记录功能
74078 编辑项目页面增加项目流程字段
74077 编辑已提交交付物的项目时禁用项目模型、项目类型或项目流程字段
73952 项目流程模板详情的历史记录中记录交付物配置的动态
73827 实现维护执行交付物的权限配置
73826 实现维护项目交付物的权限配置
73824 实现流程模板交付物配置的权限配置
73822 实现后台交付物配置的权限配置
73716 实现创建项目页面中的交付物组件
73671 实现项目交付物维护页面
73621 实现独立执行和顶级执行交付物维护弹窗
73616 项目列表支持查看交付物的提交比例
73607 独立执行和顶级执行列表支持查看交付物的提交比例
73587 项目菜单打印交付物
73585 关闭最后一个未关闭的子执行后引导用户关闭顶级执行
73583 批量关闭执行时提示无法关闭进行中的执行
73552 实现交付物列表的搜索功能
73551 实现按标签筛选列表中的交付物
73549 实现添加交付物页面模板字段的互斥逻辑
73548 实现交付物页面适用范围下拉菜单与后台阶段类型同步
73488 调整独立执行和顶级执行的类型导致交付物发生改变时保留已提交的交付物
73475 关闭进行中的独立执行和顶级执行时支持提交交付物
73457 关闭进行中的项目时支持提交交付物
73453 创建项目时支持提交交付物
73447 交付物配置页打印保存和返回按钮
73446 交付物配置页始终显示帮助说明
73445 交付物配置页标题可以依据不同流程模板命名
73443 交付物配置页支持按对象动作关联交付物
73442 项目流程模板列表操作列打印交付物配置按钮
73439 实现删除交付物功能
73438 实现编辑交付物功能
73436 实现交付物详情页面
73429 实现交付物列表页面
73347 添加交付物页面支持定义交付物的基本信息
73346 交付物列表页打印添加交付物的按钮
73329 项目模型配置的通用菜单中打印交付物
73327 后台模型配置名称调整为项目模型配置
IPD版：
73927 批量维护阶段页面增加提示语
修复的Bug
开源版：
62317 创建bug页面完整版表单下控件位置建议优化
62339 影子产品创建Bug页面简洁版显示了所属计划字段
62662 需求批量转任务页面工时和优先级同上应该置灰取需求的工时和优先级
62746 标题内容输入数字时工具栏会一直刷新
62778 windows一键安装包退出登录报错
62779 瀑布项目阶段列表页点击编辑按钮，页面报错
62787 测试单关联用例页面，搜索表单没显示
62794 全局创建文档页面顶部没有工具栏
62797 批量修改需求所属计划没有空选项
62812 任务看板中的卡片不能正常显示
62813 普通用户无法进行项目的关闭设置
62817 BUG列表批量编辑修改影响版本会导致BUG关联对象被清空 (Feedback#9383)
62819 批量编辑任务会与最新版本的需求解绑
62821 设置父子任务时间不符合时，页面显示了提示但是保存成功了
62823 复制Bug后所属计划不会复制上
62881 文档中切换禅道数据列表分页数有报错
企业版：
62725 执行列表中预计消耗剩余展示为空 (Feedback#9327)
62741 父任务的起止日期修改为空，子任务的起止日期字段显示原有日期且置灰
62766 升级后执行工作流中语言项错误
62767 执行工作流下执行列表对应的动作显示所有
62780 编辑项目管理方式，项目流程没有更新
62788 编辑导出的多人任务后再导入只能导入一条数据
62795 产品下导入需求报错
62805 项目开启项目级流程后，编辑项目页面流程还显示原来的
62811 工作流下自定义流程启用时选择单独启用后流程模板下的该流程也启用了
62824 编辑项目页面没有根据项目管理方式判断是否显示项目流程字段
62840 添加透视表使用手动输入SQL查询输入语句点查询报错502
62842 配置office collabora时填写错误的地址保存有报错
62855 编辑项目管理方式项目流程错误
62856 创建 office文档弹窗中权限控制没有修改
62860 编辑项目时项目流程下拉选项显示了其它项目的项目级流程
62861 设计透视表报错
旗舰版：
62733 瀑布项目阶段列表页提交交付物后，保存报错
62744 关闭进行中的执行页面没有显示交付物组件
62755 复制瀑布项目完善阶段信息页保存时报错
62796 安装oceanbase数据库，最后一步有报错
62802 项目下交付物不能预览和下载
62804 升级后项目下启用项目流程无法启用
62806 进入项目下项目流程页面后二级导航的自定义流程不显示了
62807 windows包项目下选择文档交付物，保存报错
62810 关闭子阶段，提示去关闭父阶段，实际没跳转到父阶段关闭页面
62815 创建项目报错
62818 执行下维护交付物页面保存时报错
62825 升级后进入项目概况页不显示流程名称
62827 工作流流程下新建并发布流程后项目流程下未显示该流程
62829 复制项目时默认带入的项目流程不正确
62843 交付物数量在列表没显示
62858 升级后工作流下产品/项目模板列表有报错
62867 看板项目概况页显示了流程名称
IPD版：
62731 OR界面调研项目设置阶段报错
62789 IPD项目下编辑阶段页面阶段类型可编辑

2025-05-16 21.7
完成的需求
开源版：
74400 修改代码块中的语言项显示为中文
74398 版本恢复成功后存为新版本
74397 版本恢复前增加弹窗提示
74396 在文档版本切换右侧打印「恢复」按钮
73166 编辑器有序列表和无序列表样式
修复的Bug
开源版：
61513 场景下用例关联的研发需求显示undefined
61525 快捷访问下编辑文档提示无权限 (Feedback#9021)
61758 【内禅】文档升级成功后内容有丢失
61761 【内禅】预览文档附件有报错
61772 接口文档的历史记录不正确
61773 [内禅]文档中显示附件已做防盗链处理
61785 需要手动刷新浏览器后，文档正文才显示
61799 [内禅]文档正文内容为空
61808 【内禅】火狐浏览器简单表格内文字丢失
61873 emoji显示不正确
62130 从用例库导入用例性能存在问题 (Feedback#9169)
62159 计划关联需求搜索后报错
62162 使用版本1恢复创建了版本3，版本3还显示恢复按钮
62163 执行下需求估算页直接点击保存后sql报错
62164 切换文档版本，一直显示“正在加载文档”
62170 文档加载中时，点击恢复实际是不生效的
62175 执行下任务看板中在制品设置页保存后有报错
62180 用例执行后执行结果展示样式错乱
62181 点击接口编辑按钮无反应
62182 旧编辑器的全屏查看，无法查看完整内容
62183 子任务的截止日期大于父任务截止日期时没有自动修改父任务的截止日期
62185 执行分组视图页面分组下拉菜单缺少选中态
62186 只读用户恢复文档时应提示无编辑权限
62187 回收站中文档点击版本恢复按钮无反应
62188 biz10.5升级biz11.6.1，升级后编辑之前zenEditor创建的文档，存为草稿报错
62193 权限选择全选，点击保存报错
62258 执行下需求估算页面预计工时输入空格保存时提示信息不正确
62259 开启音视频功能后大桌面登录报错
62276 执行分组视图页面按状态分组时有报错
企业版：
62195 未分配项目阶段模板导出和导入任务权限时，显示了对应按钮
旗舰版：
62152 DevOps代码页面，没有列表页码 (Feedback#9205)
62483 复制项目保存时报错
IPD版：
39515 IPD项目有迭代的父阶段在迭代没开始时就可以关闭
62165 IPD项目设置阶段保存时页面报错

2025-04-30 21.6.1
完成的需求
修复的Bug
开源版：
61525 快捷访问下编辑文档提示无权限 (Feedback#9021)
61758 【内禅】文档升级成功后内容有丢失
61761 【内禅】预览文档附件有报错
61772 接口文档的历史记录不正确
61773 [内禅]文档中显示附件已做防盗链处理
61785 需要手动刷新浏览器后，文档正文才显示
61799 [内禅]文档正文内容为空
61808 【内禅】火狐浏览器简单表格内文字丢失
61873 emoji显示不正确

2025-04-11 21.6
完成的需求
开源版：
72892 Jira编辑器中的图片导入禅道后可以正常显示
72731 jira导入支持导入历史记录
72730 jira导入后任务的消耗工时按小时展示
71516 修改转换文档提示弹窗的提示语
71481 支持回收站中的文档的静默升级
71414 实现新旧编辑器撰写的文档内容的数据隔离
71406 文档静默迁移升级后在界面的显示
71133 团队空间下支持展示WIKI手册
70889 支持文档的静默迁移升级
企业版：
72793 支持企业版及以上版本当用户未使用多人协作文档服务时，可以正常使用文档功能
72757 实现禅道企业版及以上版本，在【团队空间、产品空间、项目空间】新创建的文档均为协作文档
72754 实现禅道企业版及以上版本，支持协同文档的只读和可编辑权限，按照文档的访问权限生效。
72753 在禅道企业版及以上版本，多人实时编辑文档时，编辑文档页面增加正在协作用户的光标位置、用户名
72750 实现禅道企业版及以上版本，文档升级后，原来的文档也可进行多人协作
72749 实现禅道企业版及以上版本，文档编辑页始终展示多人协作实时保存的最新内容
72748 实现禅道企业版及以上版本，文档详情页查看内容为已发布的最新版本的内容
72747 实现禅道企业版及以上版本，文档发布后可以继续在线协作
72746 实现禅道企业版及以上版本文档，有编辑权限的用户可以发布文档
72745 实现禅道企业版及以上版本文档可以实时保存
72744 实现禅道企业版及以上版本文档可以多人在线编辑
72733 jira导入支持导入需求、bug、用例的工时
72659 禅道企业版及以上版本中，提供协作文档权限的相应接口
72321 工单列表打印关闭按钮
72191 用户断网/用户断开协作服务器
72190 用户正在协作的文档权限被更改
72189 用户正在协作的文档被发布
72188 在禅道企业版，多人实时文档编辑时，编辑文档页面增加正在协作用户的展示
72186 隐藏禅道企业版及以上版本，编辑文档页面中的“更多”按钮
71735 优化立项详情页中的产品和计划区块
71732 编辑立项时支持选择产品的平台和分支
71441 发起立项时支持选择产品的平台和分支
59779 工单列表的左侧模块设置中打印显示设置
59777 工单列表模块支持显示设置
50088 工单支持批量关闭功能
修复的Bug
开源版：
59219 能访问当前对象，但是图片无法查看 (Feedback#8244)
59499 无删除附件权限时显示了删除按钮 (Feedback#8426)
59959 批量创建和批量编辑页面中必填项没有固定显示，导致保存不生效
59970 添加用户时只分配运营管理界面权限，用户登录时还是会到研发界面 (Feedback#8492)
60039 解决Bug版本选择了发布时，zt_releaserelated表同步更新
60231 文档插入产品发布列表弹窗中包含构建显示了链接
60232 发布包含多个构建，文档插入发布数据后显示有问题
60656 在项目-测试用例列表和测试-用例中用例转的Bug没有关联上相关需求
60761 运营界面仪表盘下项目看板总览统计了研发界面项目且点击后提示App not found
60782 zt_userview唯一索引报错 (Feedback#8707)
60840 产品计划的BUG列表中，查看BUG详情页面的返回按钮跳转不正常 (Feedback#8810)
60849 用例步骤里，子级步骤不填写，保存会一直加载 (Feedback#8780)
60863 需求关联发布后，点击发布成功后，需求阶段错误 (Feedback#8818)
60868 需求关联到发布后，阶段变更为了“研发立项” (Feedback#8818)
60916 权限补上修改记录
60955 jira云版本导入后图片没有正常显示
60973 本地版jira导入后图片不显示
60974 批量编辑用例，删除掉了“1、”和“1.”的数据
60976 jira数据导入后流程模板下未启用的工作流在导航下显示了
60980 jira导入禅道后，执行概况页没有正确显示工时信息
61002 文档禅道列表无权访问弹窗中点确定，会退出文档编辑页
61016 创建测试任务跳过必填项检查 (Feedback#8850)
61017 项目关联多平台产品后，创建构建切换所属产品导致构建属性不对 (Feedback#8832)
61022 批量编辑用例时可以随意删除和修改序号
61031 测试单的用例列表适用阶段字段没有显示正确语言项
61033 测试单的用例列表平台/分支字段下显示了ID
61035 用例库下勾选用例后模块处箭头方向不对
61083 日程日历创建的非自定义待办没有成功
61085 批量创建用例预期没法保存
61096 项目型项目迭代列表中批量编辑迭代，所属项目展示了非项目型项目
61100 业务需求详情页点重复需求的链接提示对象不存在
61109 批量执行用例后历史记录没有记录结果
61110 项目-需求 点击按版本号排序报错 (Feedback#8889)
61114 按照评审人搜索，结果显示不一致
61140 linux的amd一键安装包启动后访问页面没有自动跳转引导页
61147 项目迭代列表页任务title显示了标签
61195 可编辑修改他人最后一条备注
61224 按执行/项目/系统统计的已完成任务数数据统计逻辑有问题
企业版：
25773 项目状态统计表搜索选择延期无法搜索
33584 部门显示数字 (Feedback#2658)
33650 12版本中用户有年度总结权限升级后没有给这个权限
33651 12版本升级到最新版本后BI模块权限中还有BI分组
36387 工单模版里影响版本列出了非所选产品的版本
38193 自建工作流位置放在地盘之前，右键关闭底部导航中的工作流后页面报错
47831 业务需求的批量修改父需求，父需求列出了自己
48198 细分研发需求父需求输入框没有自动选择细分的研发需求
50584 导入的用需和业务需求阶段是【未开始】
51481 配置了产品与项目的webhook，相关操作没有发信 (Feedback#4940)
51554 【内禅】反馈转化的数据连接点击后跳转到地盘仪表盘 (Feedback#6123)
54153 英文下创建透视表，切换到中文不显示名称
54592 工作流中新增动作下的模块数据无法带出同步的产品模块 (Feedback#5954)
56651 没有设置专属的工作流设置专属后没有提示信息
57243 与项目产品流程模板不相关的工作流启用和停用的时候不应该提示
57905 父任务的状态显示错误
58762 工作流数据关联工作流数据名称错误
58870 自定义流程设置的工作流（通用不引用），在二级导航切换中出现了时有时无的现象 (Feedback#8133)
59034 已停用的工作流在地盘动态点击超链接提示“App not found”
59255 执行甘特图页面底部滚动条没有置顶，导致用户无法向右侧滑动查看 (Feedback#8246)
59287 20版本的反馈中创建反馈的模板功能丢失 (Feedback#8032)
59342 自定义列勾选工作流字段后，列表中多显示了空白列 (Feedback#8213)
59815 项目集、产品、项目、执行的工作流中新增的字段默认放到了“访问控制”后面 (Feedback#8499)
60051 工作流模板中日期和时间类型字段显示为下拉
60052 工作流数据列表不显示多选框
60191 导入Confluence后已归档的空间下的博文名称显示错误
60226 组织模块下日志/动态二级导航位置不固定
60263 员工负载表，时间过滤未对任务剩余工时生效。 (Feedback#8626)
60306 sql构建器创建的sql，筛选器下拉显示英文
60441 必填项标识显示不全
60523 我的空间下点击创建库出现了创建文档弹窗
60591 关闭功能开关，工作流发布位置没有过滤
60603 confluence数据导入后，文档详情页历史记录显示为空
60757 confluence导入数据报错
60775 游客提交反馈报错 (Feedback#8758)
60870 可编辑用户进入文档编辑页提示无阅读权限，且无法编辑
60948 禅道断网后保存文档提示弹窗需求修改
60959 【按项目统计的已投入人天】度量项未按照计算规则拿取数据
60970 新增为工作流后，所属产品所属项目所属执行不联动
60977 点击流程模板创建动态的标题，无法跳转
61020 复制反馈时切换所属产品页面内所有内容全部被清空 (Feedback#8720)
61097 反馈转业务/用户需求提示验收标准不能为空
61105 反馈导入excel时选择其它对象的数据文件，页面报错
61106 jira对象映射为反馈/工单时，没有显示解决方案映射区块
61138 反馈详情页激活需求有报错
61142 发起立项页重新关联产品时，产品置灰显示
61143 发起立项页平台的必填提示显示为分支
61144 发起立项页选择分支后未带出主干的计划
61145 创建项目页未带入立项关联的分支和计划
61149 待处理工单列表影像版本显示为trunk
61152 无权限时立项详情页中的计划有可点击样式
61158 创建项目页分支下拉菜单中不显示立项关联的所有分支
61165 立项详情页路标显示错乱
61167 立项详情页中正常产品显示主干
61170 用户没有浏览路标权限，立项详情页路标可点击
61173 创建、编辑立项切换产品，路标错误
61175 发起立项多平台产品平台为空，提示分支不能为空
61179 创建项目关联立项后分支显示为数字且下拉为空
61181 升级后立项所关联的分支显示不对
61193 升级后，立项关联的正常产品也加了分支
旗舰版：
60876 发起审批时修改附件名称后审批页面附件名称仍为原有名称
60892 规则执行动作设置了2个通知，邮件通知只收到最后一个通知
60894 通知引用字段后，邮件内容显示为0
60897 飞书工作消息通知内容显示不正确
60899 钉钉机器人收到的通知显示为空
60901 企业微信工作消息和机器人，收到的通知内容不正确
60903 钉钉工作消息详情中通知消息显示为空
60906 邮件通知中缺失代码块的样式
60909 消息中心收到的规则引擎通知内容样式不正确
60912 规则提示失败，实际已收到通知
60917 执行日志中的提示与实际不符
60918 执行日志中的提示文案路径不正确
60931 业务需求和用户需求显示了来源Bug
61009 产品搜索查询后点击排序报错 (Feedback#8847)
61069 最佳实践库中的文档编辑保存时有报错
IPD版：
60394 历史记录一直显示加载样式
61064 多个版本升级后OR界面无默认权限分组

2025-03-21 21.6.beta
完成的需求
开源版：
72457 jira数据导入可以导入bug的影响版本字段
72350 jira导入支持版本下的子研发需求和bug
72284 jira导入方式的提示语优化
72151 jira导入页面，对象映射默认匹配选项
72150 jira对象字段导入逻辑调整
72106 jira导入增加进度提示
72103 去掉文档创建点击发布按钮出现的弹窗
72102 去掉文档创建点击存为草稿按钮出现的弹窗
71965 jira导入字段映射过滤已选字段
71964 jira导入字段映射选项修改
71870 jira数据导入页面增加提示语
71765 支持将已发布的文档存为草稿
71749 文档编辑页面点击发布按钮的逻辑调整
71748 文档编辑页面点击存为草稿按钮的逻辑调整
71747 打印创建文档的弹窗
71746 创建文档时先出弹窗设置所属位置和权限
71736 支持在章节下添加子章节或添加同级章节
71674 修改团队空间中文档设置弹窗、移动弹窗内的字段
71673 修改我的空间中文档设置弹窗、移动弹窗内的字段
71672 修改项目空间中文档设置弹窗、移动弹窗内的字段
71671 修改产品空间中文档设置弹窗、移动弹窗内的字段
71651 发布中的应用版本号取消格式判断
71639 jira云版本回收站的项目不导入禅道
71528 支持对删除章节进行权限控制
71527 支持对编辑章节进行权限控制
71526 支持对添加章节进行权限控制
71476 在文档模块中打印删除子文档的弹窗
71474 修改编辑目录弹窗中的上级目录字段
71396 修改文档模块中删除目录的弹窗提示语和逻辑
71384 支持删除章节
71383 在文档列表页打印编辑章节的弹窗
71271 在文档列表页打印添加子章节的弹窗
71260 支持编辑章节
71258 支持在文档下添加子章节
71163 jira导入后执行自动匹配关系
71135 在文档列表页打印删除章节的二次确认弹窗
70729 jira导入后层级关系自动匹配关系
70728 jira导入后评论自动匹配关系
70727 jira导入后工时自动匹配关系
70725 jira导入后项目自动匹配关系
70682 导入页面默认匹配字段
70572 jira导入后数据能够正常操作
70571 再次进入导入页面回填上次信息
70570 jira导入后用户信息自动匹配关系
70568 jira导入支持对象解决方案映射
70567 jira导入支持对象动作映射
70566 jira导入支持对象状态映射
70565 jira导入支持对象字段映射
70564 jira导入支持对象映射
70563 jira导入页面交互优化
企业版：
72529 Confluence导入去掉空间映射步骤的页面
72316 新增Confluence 文档列表获取接口
72310 新增Confluence 子页面列表获取接口
72309 新增获取 Confluence 用户信息接口
72308 新增Confluence 空间列表获取接口
72307 新增Jira 事务列表获取接口
72306 新增Confluence 对象获取接口
72305 新增Jira 事务获取接口
72304 新增Confluence 附件下载接口
72276 支持导入Confluence编辑器中插入的“信息面板”和“备注面板”
72275 支持导入Confluence编辑器中插入的“日期”
72268 支持导入Confluence编辑器中插入的“决定”
72251 jira导入后内置字段的处理
72200 支持导入Confluence编辑器中插入的“附件”
72185 工作流支持发布到项目的更多菜单中
72175 修改Confluence导入文件夹映射关系
72149 jira对象动作导入逻辑调整
72133 升级后实现禅道原来文档的权限迁移为协作文档的权限
72131 支持导入Confluence页面中的“评论”内容
72123 实现协作文档的权限继承后台文档的权限
72111 支持导入Confluence编辑器中插入的“贡献者”
72032 实现禅道章节增加权限控制
72027 调整创建文档弹窗和设置弹窗的文档协作权限
72008 支持导入Confluence编辑器中插入的“用户信息”
72007 支持导入Confluence编辑器中插入的“展开”
72006 支持导入Confluence编辑器中插入的“摘录”
71968 jira导入后的项目流程模板映射逻辑
71879 支持导入Confluence编辑器中插入的“操作项”
71877 支持导入Confluence编辑器中插入的“分隔条”
71876 Confluence导入页面自定义布局后的映射规则
71875 实现Confluence数据格式转Block suite格式的适配机制
71873 支持Confluence导入页面中上传的附件
71871 Confluence中文件夹的映射关系调整
71863 支持将Confluence中已归档的空间导入到禅道产品空间中
71862 支持将Confluence中已归档的空间导入到禅道项目空间中
71861 支持将Confluence中已归档的空间导入到禅道团队空间中
71859 在Confluence导入空间映射页面，增加已归档的空间的显示
71842 支持导入Confluence编辑器中插入“任务报告”
71840 支持导入Confluence编辑器中插入的“PDF”文件
71839 支持导入Confluence编辑器中插入的“Powerpoint”文件
71838 支持导入Confluence编辑器中插入的“Excel”文件
71837 支持导入Confluence编辑器中插入的“子页面”
71833 支持导入Confluence编辑器中插入的“无序列表”
71832 支持导入Confluence编辑器中插入的“Jira事务”
71831 支持导入Confluence编辑器中插入的“卡片”
71830 Confluence页面中无法导入的内容，在导入后的文档中增加标识
71829 支持导入Confluence编辑器中插入的“锚点链接”
71827 在Confluence空间映射表单页打印标识字段
71743 Confluence导入支持白板的映射
71690 支持导入Confluence编辑器中插入的“表情符号”
71644 后台数据导入页新增导入Confluence入口
71643 支持导入Confluence用户
71451 反馈中存在未关闭的转化对象单个关闭反馈给出提示信息
71450 关闭处理中的反馈时给未关闭转换对象的指派人发送消息通知
71439 支持Confluence导入博文状态的映射
71436 支持Confluence导入页面状态的映射
71330 支持Confluence导入填写授权信息
71312 地盘的日志列表支持高级表格功能
71305 支持导入Confluence编辑器中插入的“Confluence页面”
71294 Confluence导入后支持文档的版本切换
71285 支持导入Confluence编辑器中插入的“Draw.io Diagrams”数据
71279 Confluence导入支持子文件夹映射
71245 Confluence导入后博文的权限匹配
71244 支持导入Confluence编辑器中插入的“音视频”文件
71243 支持导入Confluence编辑器中插入的“Word”文件
71242 支持导入confluence编辑器中插入的“图片”文件
71241 保留Confluence页面导入后的段落格式
71240 支持导入Confluence编辑器中插入的“引用”
71239 支持导入Confluence编辑器中插入的“代码片段”
71236 保留Confluence页面导入后的文本样式
71235 保留Confluence页面导入后的标题结构
71234 支持导入Confluence编辑器中插入的“链接”
71192 支持导入Confluence编辑器中插入的“有序列表”
71181 支持将Confluence中已归档的页面导入到禅道
71164 jira从文件导增加API接口对接
71157 Confluence导入后智能链接的权限匹配
71156 Confluence导入后数据库的权限匹配
71155 Confluence导入后页面的权限匹配
71154 Confluence导入后文件夹的权限匹配
71153 Confluence导入后空间的权限匹配
71143 Confluence导入支持博文的映射
71141 Confluence导入支持智能链接页面映射
71140 Confluence导入支持数据库页面表格视图布局的映射
71101 反馈列表中批量关闭反馈时过滤掉存在未关闭的转化对象的反馈
71068 已处理状态的反馈支持激活功能
70726 jira导入后工作流自动匹配关系
70722 支持将Confluence中已归档的空间导入到禅道我的空间中
70717 Confluence导入支持空间映射的页面展示
70675 支持导入Confluence编辑器中插入的“表格”
70670 Confluence导入支持页面映射
70668 Confluence导入支持文件夹映射
70667 Confluence导入支持空间映射
70569 jira导入全局关联关系映射（企业版）
60842 已关闭反馈激活时根据实际情况更新状态
60841 已关闭的反馈激活转化的对象后状态更新为处理中
60840 已处理的反馈激活转化的对象后状态更新为处理中
60837 反馈的历史记录中提供详细的系统更新状态的信息
修复的Bug
开源版：
60409 导入jira数据后内置字段中没有解决时间/解决方案和环境信息
60473 confluence数据导入后用户无法修改密码
60646 jira故事的story point导入后内容没有带入
60668 文档添加子章节后，文档一直显示加载中
企业版：
59343 自定义列勾选富文本类型字段后有报错
旗舰版：
60648 评审时回退到开始节点并选择按审批流程顺序审批后发起人未收到邮件

2025-03-06 21.5
完成的需求
开源版：
71329 后台授权信息页面支持配置解决方案的授权用户
71327 后台授权信息页面增加解决方案授权列表
71326 修改插件的授权脚本
71325 修改插件的加密脚本
70817 需求批量转任务页面中指派人下拉菜单增加维护团队成员入口
70520 实现历史记录区块中备注附件的查看逻辑
70363 项目创建成功后下一步引导提示中的链接以新页面方式打开
70362 执行创建成功后下一步引导提示中的链接以新页面方式打开
70360 优化发布保存动作的性能
70324 优化执行二级导航中更多下拉菜单的顺序和结构
70198 优化看板导入Bug页面的性能
70197 优化批量编辑Bug页面保存的性能
70196 优化指派给页面保存的性能
70151 优化需求相关操作的性能
60755 编辑备注页面自动带入已上传的附件
60754 添加备注的页面增加上传附件功能
32173 优化单元测试页面的性能
企业版：
70361 项目执行列表在导出的Excel表格中增加类型列
70179 优化反馈转需求的性能
70176 内禅编辑反馈post请求耗时10704ms
32330 优化大数据量情况下需求导入页面的性能
32298 优化sql慢日志查询性能
旗舰版：
70490 旧版本升级时可兼容老版本数据库
70195 定时任务和度量的功能存在慢sql
70180 优化执行动态列表加载性能
59326 重构 旗舰版 meeting 模块控制器层的 edit 方法
59325 重构 旗舰版 meeting 模块控制器层的 create 方法
52659 瀑布项目甘特图中任务默认按ID正序排列
修复的Bug
开源版：
56603 地盘欢迎区块中指派给我的研发需求数没有统计父需求的数量 (Feedback#7452)
56678 通过搜索打开不启用执行项目的任务，导航错误
56766 项目型无迭代项目下创建需求在需求列表不显示 (Feedback#7589)
56980 任务列表中没有任务指派权限且具备多人并行任务时，任务列表不展示数据 (Feedback#7667)
57208 20系列中编辑非草稿和变更中状态的需求可以删除附件
57252 创建bug选了模块，编辑时相关研发需求能选到所有 (Feedback#7490)
57364 地盘-待处理-任务页面，任务状态栏字体不显示颜色 (Feedback#7764)
57367 项目下创建发布，会自动带上实际发布时间 (Feedback#7756)
57368 需求批量转任务，同上功能失效 (Feedback#7758)
57372 编辑需求调整所属产品所属模块，保存后所属模块为空
57759 需求备注录入代码会丢失内容 (Feedback#7875)
57864 测试报告详情页可以直接删附件
57926 批量编辑需求阶段后，需求阶段不会参与之后的计算
58100 执行-看板中的指派给头像可以显示名称，不只显示姓 (Feedback#7938)
58101 20系列新版本中执行1.5级导航中没有显示执行所属项目
58370 多人同时编辑某一条记录时，后面人员提交保存后页面一直加载中没有提示信息
58832 代码块的更多操作按钮不可点击
58896 文档升级迁移后，文档详情页需等待10秒才正常显示内容
59268 文档右上角显示多余的图标
59285 导入文档上传长名称附件，历史记录编辑按钮重叠显示
59328 执行-需求详情页点击关联到的集成构建名称跳转的页面错误
59376 新建需求页面有报错
59377 无迭代项目添加任务返回到执行
59378 在待处理任务中搜索报错 (Feedback#8307)
59384 编辑执行团队成员或白名单人员没有收到邮件通知
59394 父任务可修改任务模式 (Feedback#8321)
59398 迭代白名单设置不生效
59426 新创建库的显示位置不正确
59432 看板中新增区域报错
59434 看板中创建第二个任务泳道不成功
59435 看板任务开始会错误的改变所属泳道 (Feedback#8328)
59447 bug 标题中有英文双引号的话，导出后显示错误 (Feedback#8314)
59450 测试单中批量执行用例没有开始测试单
59461 项目/执行下测试单列表已关闭的测试单操作列激活/关闭按钮状态不对
59482 执行下只关联父需求，批量转任务提示错误
59489 导入页面默认匹配字段与需求描述不一致
59498 研发看板类型的项目中，在任务看板下，按照研发需求分类i查看时无法加载 (Feedback#8308)
59524 多分支产品导入用例后，所属模块丢失 (Feedback#8390)
59528 业务、用户需求自定义列应用全局不生效 (Feedback#8012)
59552 子项目集访问控制设置为项目集内公开后导致无操作按钮 (Feedback#8394)
59562 修改后台优先级的值，产品列表不展示相应颜色 (Feedback#8283)
59563 修改后台优先级的值，批量创建研发需求页面优先级默认值错误
59569 项目的已投入和消耗工时数据统计的不一致
59592 jira导入页面禅道业务需求关闭原因中多显示了“已拆分”选项
59610 jira中附件为成功导入
59654 删除看板项目的看板后，页面和导航显示异常
59658 用例库导入的用例，显示了所属项目
59692 一键包编辑bug页面点击加载所有用户提示404 (Feedback#8107)
59699 修改燃尽图首天工时，有报错
59718 没有执行权限，bug列表显示了执行下的bug
59751 模块下提Bug，所属模块没同步带入
59759 运营界面，项目-看板下，无法以列表视图查看数据 (Feedback#8472)
59771 测试仪表盘Bug修复率统计错误 (Feedback#8016)
59881 激活测试单时添加图片的图片历史记录中不显示 (Feedback#8517)
59889 批量转任务点击+后，页面排版错乱 (Feedback#8522)
59998 指派给下拉组件再次点击时会展示上次输入的信息
60034 发布发布时有报错
60036 文档中无法插入禅道数据
60038 卸载插件后页面有报错
60041 预览备注的txt文件会新开窗口
60043 执行关联需求后跳转的页面显示fail
60049 发布通知页面不勾选人员发布通知时有报错
60056 文档备注中添加附件，显示在历史记录中无法操作
60068 项目同时关联多分支产品的多个分支时有报错
60084 产品计划列表中第一个创建的计划列表中没有显示+（计划创建执行）按钮
60086 编辑看板执行页面阶段类型未显示
60091 项目/产品接口库下接口重复显示
60100 备注上传的附件点标题不能下载
60101 项目下创建构建页面所属应用必填提示信息中语言项缺失
60103 项目维护团队成员有报错
60104 用例库下的用例详情页不应该有结果按钮
60105 产品的附件库中点附件的来源业务需求标题提示对象不存在
60108 上传文件名称过长时文档详情页附件名称显示超长撑出附件区域操作按钮会遮挡
60109 批量编辑项目页访问控制下拉数据不对
60111 贡献下进入编辑文档页面后内容不对
60113 设置备份页面保留天数没有进行必填校验
60136 父任务详情页子任务继续拆子任务报错 (Feedback#8538)
60137 编辑工时本次消耗为空时提示信息不对
60138 产品接口库下导出了附件库
60141 融合瀑布项目下添加执行页面未显示工作量占比字段
60143 批量编辑阶段页面子阶段带出的阶段类型不对
60151 bug报表条目显示多个“未设定”
60161 管理员通用看板1.5级导航下拉中我的看板显示成了my
60165 卡片归档后还是显示在看板列中
60168 看板列细分子列后移动卡片时不能显示子列
60178 看板项目下删除默认区域时删除了所有区域
60183 看板创建区域有报错
60194 安装开源版20.6升级ipd3.5出现报错
60200 子目标详情页父目标未显示
60215 需求/设计/总结评审阶段看板下显示了Bug看板且总结评审阶段下显示了需求看板
60230 文档插入产品发布，所属项目和所属构建显示错误
60233 删除文档后页面显示异常
60239 提Bug成功后，列表不显示Bug
60242 受限用户可在看板中操作与自己无关的任务
60244 看板项目在看板页面删除看板后页面以列表形式显示
60246 【偶现】发布文档生成两个版本
60248 插入的数据优先级等显示的是值不是建导入页面显示的是值
60250 燃尽图修改首天工时没有校验特殊字符
60254 批量导入用户页面权限分组不选择保存时有sql报错
60258 产品下复制研发需求时带入的需求层级不对 (Feedback#8619)
企业版：
47832 最后层级的研发需求详情页显示细分按钮
52860 【内禅】反馈转bug后，二级菜单都会变成bug的
53125 点击反馈一级导航有报错
54892 工作流已删除的数据还会显示在我的仪表盘 (Feedback#6965)
55696 安装达梦数据库版禅道，表前缀设置为`lxy_`后，设置账号保存时报错
57239 导出模板记录数输入非数字字符保存后报错
57277 导入任务时不填写预计开始只填写截止日期保存时有报错
57279 导入的多人任务子任务按钮未置灰
57282 多人任务导入后团队信息未导入进去
57380 访问超级model接口时有报错 (Feedback#7784)
57387 反馈转Bug后，Bug详情中的发现者信息丢失
57773 地盘日志中记录日志时，显示了已删除的数据 (Feedback#7837)
59368 升级到最新版本，用例库缺少动作
59387 导入用户页面丢失[权限设置]
59531 用例库用例无法修改扩展字段 (Feedback#8387)
59561 工作流启用全文检索后全局搜索结果页有报错
59616 工作流界面维护字段宽度设置不生效 (Feedback#8449)
59644 编辑页不显示通过工作流附件字段上传的附件
59682 Bug导出步骤里的图片显示不正确
59683 产品业用研需列表页导出数据时，缺少word格式 (Feedback#8454)
59745 批量导入bug页面相关需求为空
59796 编辑页将子表日期字段置空后有报错
59799 bug创建表检索结果不正确 (Feedback#8263)
59846 办公考勤审批列表描述报错
59847 地盘审批列表中无法进行办公审批，且无法查看审批详情 (Feedback#8510)
59921 自定义工作流创建页面隐藏必填字段保存还会校验必填 (Feedback#8113)
59954 批量关闭反馈不成功
60018 批量关闭转化对象未关闭的反馈会进入批量关闭页面
60023 反馈转工单，在反馈详情页点击工单名称报错
60029 设计透视表或点查询时报错
60045 工作流子表含附件字段时点保存报错
60070 pms18.5升级biz11.5，升级过程中报错
60072 设计图表点查询报错
60123 接口文档显示关联对象按钮
60132 地盘日志列表批量编辑保存后，跳转不正确
60154 导入测试用例时页面报错
60157 地盘待处理/贡献的反馈列表，批量编辑或批量关闭时导航未高亮或未显示
60167 点击工作流新建数据动态提示App not found
60190 文档插入反馈数据无法取消勾选
60193 文档插入反馈弹窗中切换tab后所选内容被清空
60197 快捷编辑器新建工作流字段保存时有sql报错
60203 报表导出后，页面不显示所选择的报表
60216 多分支产品下bug/用例/需求模板中提示文案加上分支为必填项
60217 删除下钻条目后无法继续设计透视表
60219 设计透视表预览区域下钻弹窗中有报错
60221 多分支产品导入用例主干的模块没有带进来
60235 文档插入工单数据无法取消勾选
60253 bug模板和导入页面中，[相关需求]下拉显示了用需和业需
60255 导入bug后不显示关联需求
旗舰版：
55482 安装禅道旗舰达梦数据库版，保存设置账号信息时报错
55669 [18版本]产品型融合瀑布项目调整关联的产品后对应执行并没有同步关联产品 (Feedback#3990)
55853 执行下的bug详情页面创建用例，在当前执行下看不到创建的用例 (Feedback#7275)
57159 20版本测试单和版本下缺失日志按钮 (Feedback#7698)
57225 复制项目全部数据切换所属项目集后后续数据不能复制
57231 无迭代项目型项目，任务无法指派给项目负责人 (Feedback#7723)
57284 设置审批流为或签，一个评审人评审后审批进度弹窗报错
57294 审批流设置审批人与发起人为同一人自动通过时，发起审批流报错
57297 评审时进行回退/转交操作后，点击评审详情的返回按钮代码报错
57353 设置当审批人被删除时指定人员审批，审批人被删除后评审列表代码报错
57446 工作流新建名称很长的字段，扩展动作字段样式异常
59490 地盘日志导出的excel中多出第一行空白行 (Feedback#8418)
59584 执行动作页面对象选择执行后关联产品列出数据未和所属项目联动
59694 已关闭阶段的问题、风险、机会可以关闭
59756 工作流视图维护子表排序不生效 (Feedback#8474)
59979 Bug的相关用例，列出了系统中所有的用例
60030 项目下创建会议页面选择联系人分组后参会人员未带出
60031 创建会议页面会议开始时间小于结束时间保存时仍提示开始时间必须晓宇结束时间
60044 max4.5升级到max6.5时有sql报错
60069 max3.8升max6.5一致性检查通过后没有进入下一步
60098 运营界面编辑项目保存时有报错
60131 地盘会议列表自定义列设置不生效
60146 征询意见时审批进度中的评审结果不正确
60162 看板中跟踪风险有报错
60175 Scrum看板下显示了风险看板
60177 运维类型执行看板下显示了需求/Bug看板且风险看板不能用
60206 阶段看板下显示了风险看板
IPD版：
59548 产品仪表盘未关闭的产品/Bug统计区块点击影子产品后跳转到了产品视图下 (Feedback#8403)
59811 IPD项目甘特图TR和DCP的实际开始时间全部默认项目计划开始时间 (Feedback#7449)
60024 OR界面缓存页面导航不正确
60081 可用工日计算逻辑不正确
60087 授权用户页面已授权人数与授权用户数不一致
60088 解决方案授权人数为5人但通过删除人员可以授权6人
60095 禁用devops插件后报错
60140 18.9升级到ipd3.5，有sql报错
60238 IPD界面需求未显示路标

2025-01-15 21.4
完成的需求
开源版：
70378 应用版本号限制字段格式
70364 执行用例列表中零用例需求筛选条件只展示执行关联的需求
70357 项目用例列表中零用例需求筛选条件只展示项目关联的需求
70349 优化需求变更后任务确认变更的规则
70333 支持升级后静默转换旧编辑器创建的文档为新编辑器样式
70284 调整旧编辑器创建文档时的操作按钮位置
70283 在旧编辑器创建的文档标题下方增加文档信息
70282 将文档详情页侧边栏中文档大纲移动位置
70281 将文档详情页侧边栏中历史记录移动到更多按钮左侧
70280 隐藏新编辑器文档详情中的浏览次数和收藏以及创建者的字段
70269 将文档详情页侧边栏中关联对象移动到更多中
70259 在新编辑器创建的文档标题下方增加文档信息
70169 在文档编辑器/菜单实现权限控制
70057 批量导入用例页面中步骤和预期组件与批量创建页面保持一致
70026 执行测试用例列表中增加分组视图
70025 用例导出Freemind时支持导出前置条件
70010 测试单列表的操作中增加开始、关闭、激活操作
69994 测试用例支持导出Xmind文件
69914 将Wiki文档类型中的章节转换为目录
69905 当分组表单选择“计划研发需求列表”时，表单内打印相关配置项
69837 当文档插入禅道列表时，打印相关选择项表单弹窗
69814 用例的附件修改后更新用例的版本
69813 优化测试用例标题的版本功能
69801 当分组表单选择“用例库用例列表”时，表单内打印相关配置项
69798 当分组表单选择“业务需求列表”时，表单内打印相关配置项
69796 当分组表单选择“用户需求列表”时，表单内打印相关表单项
69743 修改文档左侧目录树导航中库的显示位置和分组
69742 非接口类型空间的所有文档列表页不显示接口文档
69715 测试用例列表中更新批量设置模块组件
69713 用例库用例列表中更新批量设置所属模块组件
69704 将文档详情页侧边栏中的全屏按钮移动位置
69703 将文档详情页侧边栏中更新记录和历史记录合并
69653 后台文档的文档管理中增加的依赖和推荐权限
69568 当分组表单选择“执行研发需求列表”时，表单内打印相关配置项
69566 当分组表单选择“产品研发需求列表”时，表单区域内打印相关表单项
69565 文档支持插入禅道列表数据时为静态数据
69541 文档插入禅道数据选择产品下计划列表时的弹窗配置
69496 修改产品空间和项目空间首页的默认显示规则
69492 Bug转化研发需求时可以带入Bug中的附件
69438 在后台文档的接口管理权限中增加依赖和推荐权限
69430 文档插入禅道数据选择工单列表时的弹窗配置（付费版）
69429 文档插入禅道数据选择反馈列表时的弹窗配置  （付费版）
69427 文档插入禅道数据选择bug列表时的弹窗配置
69426 文档插入禅道数据选择任务列表时，区块内打印相应表单项
69422 文档插入禅道数据选择产品计划下的Bug列表时的弹窗配置
69412 文档支持对插入的列表数据块进行“更改插入数据”操作
69226 在文档编辑器/菜单中打印禅道列表数据
68308 测试单中执行用例后自动更新测试单状态
67751 测试单的用例列表中指派给字段增加指派给操作
63344 批量创建用例页面支持维护步骤和预期
63266 用例详情页面中相关Bug增加状态信息
63265 批量编辑用例时可以修改步骤和预期信息
60578 用例详情页支持Cookie记录用例步骤查看模式
60561 用例详情的历史记录中可以展示每次执行的结果
60553 用例导入Xmind时支持导入前置条件
60552 用例导出Xmind时支持导出前置条件
57463 多人任务的需求变更后每个人都需要确认
51528 提Bug页面增加来源用例的选择
50825 用例的前置条件修改后更新用例的版本
45678 任务指派时可以快速维护团队成员
40582 执行测试用例列表增加筛选条件
40074 项目Bug列表的搜索条件中将所属项目调整为所属执行
企业版：
70344 点击工作流动态名称跳转至对应详情页面
69382 在产品工作流的动作中增加业务需求列表动作
69381 在产品工作流的动作中增加用户需求列表动作
68127 当上传授权文件的授权人数小于系统已有人数时给出提醒
67533 工作流配置的流程在详情页中支持左右切换数据
63396 工作流中添加下拉菜单的组件中键值支持拖动排序
63395 工作流中编辑下拉菜单的组件中键值支持拖动排序
57806 重构 企业版 admin 模块视图层的 uploadlicense.html.php 文件
57805 重构 企业版 admin 模块视图层的 license.html.php 文件
49691 工作流中修改子表的数据后支持记录历史记录
旗舰版：
58979 重构 旗舰版 opportunity 模块视图层的 view.html.php 文件
58978 重构 旗舰版 opportunity 模块视图层的 track.html.php 文件
58977 重构 旗舰版 opportunity 模块视图层的 importfromlib.html.php 文件
58976 重构 旗舰版 opportunity 模块视图层的 hangup.html.php 文件
58975 重构 旗舰版 opportunity 模块视图层的 export.html.php 文件
58974 重构 旗舰版 opportunity 模块视图层的 edit.html.php 文件
58973 重构 旗舰版 opportunity 模块视图层的 create.html.php 文件
58972 重构 旗舰版 opportunity 模块视图层的 close.html.php 文件
58971 重构 旗舰版 opportunity 模块视图层的 cancel.html.php 文件
58970 重构 旗舰版 opportunity 模块视图层的 browse.html.php 文件
58969 重构 旗舰版 opportunity 模块视图层的 batchedit.html.php 文件
58968 重构 旗舰版 opportunity 模块视图层的 batchcreate.html.php 文件
58967 重构 旗舰版 opportunity 模块视图层的 assignto.html.php 文件
58966 重构 旗舰版 opportunity 模块视图层的 activate.html.php 文件
修复的Bug
开源版：
40438 地盘未完成的执行区块有100%的执行
56329 添加执行选择计划起止日期后，可用工作日没有自动计算
56374 20系列版本中项目的产品列表中取消关联产品无提示 (Feedback#7380)
56376 瀑布项目关联的产品关联需求后就不能取消关联了 (Feedback#7380)
57789 项目执行列表已关闭的任务指派人样式显示错误
57809 年度总结大屏迭代数据表完成需求数计算错误
57816 专业研发看板下转入任务页面二级导航菜单未高亮
57826 项目仪表盘项目总览区块未开始和进行中任务数统计不对
57827 项目仪表盘中剩余工时统计错误
57828 地盘仪表盘中未完成的项目统计区块中项目总进度数据不对
57829 任务状态分布环形图计算错误
57832 执行统计区块的未完成任务数不对
57834 需求状态分布环形图计算错误
57835 Bug状态分布环形图计算错误
57841 用例执行结果分布环形图计算错误
57864 测试报告详情页可以直接删附件
58032 重建索引报错
58042 更新编译后的redis、igbinary文件并重启zbox，访问禅道报错
58185 创建测试任务细分的子测试任务细分时相关研发需求没有带上
58257 项目下阶段列表任务延期标识部分遮挡
58334 消耗工时任务细分子任务点按钮就弹窗一次
58349 子任务取消后父任务状态变为进行中了
58367 运营界面任务列表目标字段显示ID且点击后报错
58369 运营界面任务列表工时统计数据不对
58460 导入用例类型显示单元测试
58464 用例库用例变更后，来源用例状态没标识
58492 年度总结大屏中产品数据与表头没有一列显示
58497 迭代数据帮助问号文案与需求不符
58499 迭代数据区块表头应显示为[验收通过的研发需求数]
58501 产品数据区块表头有遮挡
58512 公司总人数没有根据年份筛选
58528 任务列表工时没有进行统计
58550 升级后能力雷达图数据错误
58552 年度总结大屏未统计执行数据
58556 年度总结大屏未统计产品数据
58563 面板里更换头衔，选择图片后无响应
58565 大屏页面有报错
58566 大数据的升级，进度一直显示在1%
58567 产品数据字段没完全按照个性化设置显示
58568 运营界面列表视图下建任务跳转至看板视图，显示空
58569 确认需求变更的任务不会显示在看板中
58576 个性化设置默认需求概念下拉为空
58583 运营界面建测试类型任务时勾选“选择目标”后未列出对应目标且控制台有报错
58590 待处理下批量编辑任务页面相关研发需求未带出
58596 雷达能力图中的数据与操作数据不符
58609 排行榜大屏产品新增需求条目榜和完成需求规模榜，多统计了业需和用需
58617 贡献数提示文案中显示了付费版的内容
58637 年度排行榜大屏的项目集区块下把业务、用户需求都统计了工时
58641 运营管理界面项目下添加看板选择计划起止日期报错
58642 运营管理界面创建测试类型任务报错
58644 研发完成需求数没有统计到已验收阶段的
58662 贡献数的统计逻辑与提示文案不符
58668 用户需求和业务需求下撤销变更按钮显示错误
58670 项目下已发布列表显示“激活”按钮
58671 批量执行没有步骤的用例，有报错
58672 批量编辑Bug保存有报错
58695 任务详情页点击子任务按钮报错
58701 在操作提示中点提研发需求，项目跳转不对
58704 瀑布项目父阶段再次点击细分按钮时，页面报错
58709 执行列表执行搜索后导出，弹窗中报错
58710 项目下搜索需求报错
58716 未完成标签下不显示待办
58717 切换日期后，待办列表标签无高亮
58718 切换日期后列表没正确显示选中日期的待办
58737 按照所属项目集包含来搜索项目集，结果显示符合条件的项目
58758 批量编辑项目页选择所属项目集保存时有报错
58761 批量创建用户保存时有报错但实际保存上了
58776 项目迭代列表搜索后导出页有报错
58786 执行测试用例列表搜索表单所属产品按照多分支产品搜索时有报错
58793 按项目统计的工期偏差度量项选择项目后点击查询有sql报错
58799 瀑布项目按项目创建阶段，需求列表中无法移除需求时无提示
58801 待处理下用例列表搜索后按测试单字段排序后报错
58807 文档插入反馈列表弹窗中有报错
58808 文档插入工单列表弹窗有报错
58811 插入工单列表弹窗中标题显示为反馈
58812 文档插入禅道数据弹窗中问号文案不正确
58826 文档插入反馈数据后报错
58837 插入禅道数据，有自定义标签时报错
58841 模型配置下编辑阶段保存后有报错
58843 文档插入任务列表弹窗报错
58844 文档插入任务列表弹窗标题错误
58850 文档插入bug列表弹窗有报错
58882 用例库批量建用例保存时报错
58909 文档列表页导出按钮无效
58920 快捷访问下的文档详情页没有显示导出word按钮
58928 文档插入用例库用例数据时，没有过滤操作入口
58938 文档引用禅道数据下拉菜单中没有分隔线
58941 导航隐藏后不生效 (Feedback#8181)
58943 pms12.5.3升级pms21.4报错
58945 文档引用用例库用例列表的显示，未受用例库用例列表权限控制
58949 业需、用需列表后台无权限时，文档引用时显示
58951 创建任务页面维护团队成员时删除用户后再添加不能显示删除的用户
58954 创建任务维护团队成员页面复制瀑布项目成员可用工时是7不是7.0
58958 批量创建任务页面英文语言项下指派给中维护团队成员按钮过长
58959 全局添加测试类型任务选择研发需求更换所属执行后指派人没有重新加载
58962 任务列表执行搜索后，任务显示数据丢失
58963 执行下转入任务报错
58968 研发需求变更后，关联的任务状态“研发需求变更”没有标红显示
58971 创建Bug页面选择来源用例保存时提示The field product is required.
58972 用例库批量创建用例保存时有报错
企业版：
54842 升级后编辑markdown文档，图片不显示
55596 自定义工作流动作中设置的只读字段提示字段不能为空 (Feedback#7184)
55604 甘特图不显示日期的设置不生效
55610 工作流配置单选按钮字段,导入excel字段数据为空 (Feedback#7200)
55635 后台是否列出删除用户设置没有生效 (Feedback#5281)
55858 导出需求顺序和ID与列表的不一致
55949 工作流的触发条件对列表中的按钮没有效果
56557 新增工作流中字段信息设置全局检索后无法搜到对应结果 (Feedback#7458)
57188 工作流界面设计中设置子表字段只读页面中不生效
57250 反馈转Bug页面，切换其他产品后已有内容会被清空
57746 项目列表有报错
57978 员工负载表剩余工时和总工时数值不正确
58053 无法将用例从A产品的用例复制到B产品的用例 (Feedback#7852)
58237 批量创建子任务页面相关研发需求未列出时查看需求按钮未置灰且点击后报错
58342 任务详情页中子任务是多人任务时指派给没有显示当前指派人
58478 运营界面组织日程下显示了没有运营界面的用户
58494 地盘-欢迎区块显示的数据不正确 (Feedback#8047)
58517 达梦biz11.2升级max6.3提示表字段已存在
58518 【达梦】任务看板中不能显示多层级的任务
58578 工单导出后解决方案中显示代码
58599 biz8.3升级biz11.3后没有用户需求入口
58601 月度应用健康度体检大屏-产品需求概况表，多统计了业需和用需
58604 健康体检大屏-项目需求概况表中交付需求数不正确
58607 项目下导出用例模板勾选选择研发需求报错
58610 项目下导出用例模板无法下拉选择需求
58650 任务导出后再次覆盖导入后有报错
58653 年度大屏中个人完成的任务数不对
58667 贡献数中没有统计到工单和反馈的创建
58682 pms16.5升级biz11.3，升级报错
58707 创建透视表后地盘动态区块有报错
58715 工作流卡片没有显示描述
58719 工作流导入字段有报错
58721 工作流跨流程设置时页面报错
58724 工作流添加扩展动作保存后页面报错
58725 工作流导入字段,默认值符合条件时依然提示错误信息
58742 工作流中删除子表的数据报错
58767 按照最后修改=自己搜索工单，搜索报错
58774 本地环境付费版安装报错
58790 工单列表的“最后修改”“最后操作时间”搜索条件，搜索后报错
58884 创建项目选择了项目型项目，关联产品字段出来了
58935 新建工作流，导出数据报错
58948 点击创建工作流子表动态后未跳转到详情页
58952 新建工作流，导入数据”同上“没有置灰
58964 升级后项目需求列表有报错
58965 创建反馈保存时有报错
58988 用例库导入excel数据时提示无数据
58995 产品的动作设计需求列表显示为目标列表
59015 工单列表中影响版本显示成了ID
59037 修改子表的历史记录，缺失语言项
59055 反馈搜索之后导出页面报错 (Feedback#8194)
旗舰版：
55853 执行下的bug详情页面创建用例，在当前执行下看不到创建的用例 (Feedback#7275)
56976 评审报告中评审意见显示不全 (Feedback#7596)
57159 20版本测试单和版本下缺失日志按钮 (Feedback#7698)
57231 无迭代项目型项目，任务无法指派给项目负责人 (Feedback#7723)
58259 瀑布项目下报告页面工作量统计中工时统计了父任务工时
58389 甘特图中查看任务详情弹窗中没有显示任务层级
58479 运营界面下点击消息通知中的任务链接后跳转到了研发界面的项目下
58548 项目甘特图和执行甘特图中是否延期显示逻辑不一致
58753 保存培训计划报错
58779 基线评审/检查清单勾选不符合，点击审批报告报错
59002 无产品无迭代项目下批量添加机会保存时有报错
IPD版：
36490 需求池需求列表导出数据，要导出的数据默认类别与是否勾选了需求逻辑不一致
58469 OR界面待处理任务列表不显示任务且控制台有报错
58471 OR界面开始调研任务类型的待办时提示无权限
58944 开源版12.4升级到ipd3.4报错
58981 ipd本地环境升级时报错
58997 开源版12.4升级到ipd3.4后工作流数据缺失
59065 OR界面通知设置中显示了软件需求
59067 初次进入OR界面-后台-通知设置-设置页面时，界面会自动切到了研发界面

2024-12-27 21.3
完成的需求
开源版：
69999 构建、发布被引用后，所属应用不可修改
69996 资源功能调整
69871 项目的迭代列表中，显示任务时可以按照父子层级展示
69823 应用的新手引导
69819 统一更新已延期标识
69741 项目集的项目列表中在已延期项目名称后面增加已延期标识
69504 看板里可以拆分子任务
69474 看板项目的看板里展示父子任务
69473 看板项目支持的看板中可以细分
69334 融合敏捷项目创建成功后增加下一步工作的引导
69333 融合瀑布项目创建成功后增加下一步工作的引导
69332 瀑布项目创建成功后增加下一步工作的引导
69331 看板项目创建成功后增加下一步工作的引导
69330 Scrum项目创建成功后增加下一步工作的引导
69314 执行中维护团队成员后增加历史记录
69242 项目受限用户权限范围优化
69237 项目执行受限用户权限范围优化
69225 瀑布项目中已有任务和其他数据的阶段可以拆分子阶段
69223 项目集列表的筛选标签中增加已延期的筛选标签
69214 执行列表、看板、概况中优化任务多层级的统计数据
69213 项目列表、看板、概况中优化任务多层级的统计数据
69212 执行仪表盘中优化任务多层级的统计数据
69211 项目仪表盘中优化任务多层级的统计数据
69207 项目集的投入人员列表中，统计全部任务数
69206 地盘贡献中任务列表增加树状、列表切换
69205 地盘待处理中任务列表增加树状、列表切换
69203 地盘日志中，只有叶子任务才能记录工时
69198 看板里展示父子任务
69181 项目中维护团队成员后增加历史记录
67562 添加融合瀑布项目的执行时增加所属父阶段的选择
67561 添加瀑布项目的执行时增加所属父阶段的选择
55976 项目列表的筛选标签中增加已延期的筛选标签
49180 在已延期任务名称的右侧显示已延期标识
企业版：
69683 重构创建工单页面
69668 批量创建任务页面-前端实现
69667 批量创建任务页面-前端组件
69666 批量创建任务页面-后端
69502 转入任务时处理父子任务计算逻辑
69501 任务的父子层级需要记录到关联关系中
69202 分组视图中展示所有层级的任务，左侧工时、进度计算需要对父任务去重
69201 树状图中按照树状展示所有层级的任务
69200 甘特图中按照树状展示所有层级的任务
69199 燃尽图中统计工时需要对父子层级的工时去重
69197 提交关联任务时，按照父子层级展示
69196 矩阵展示该对象关联的所有任务
69195 需求的对象关联展示关联的所有层级的任务
69193 导入任务支持多层级任务
69192 转入任务时可以按照树状结构展示
69191 导出任务时增加父任务字段
69187 任务列表的报表，数目按照汇总展示
69185 需求变更时，任务根据关联的需求展示确认变更按钮
69178 子任务激活后，父任务状态变为进行中
69170 父任务取消后，有继承关系的子任务都取消
69169 父任务关闭后，有继承关系的子任务都关闭
69168 子任务取消后，父任务状态不变，通知父任务的指派人
69167 子任务关闭后，父任务状态不变，通知父任务的指派人
69163 子任务完成后，父任务状态根据计算规则调整
69161 子任务继续后，父任务状态变为进行中
69159 父任务继续后，子任务恢复之前的状态
69157 父任务暂停后，有继承关系的子任务都暂停
69156 子任务暂停后，父任务状态不变，通知父任务的指派人
69154 子任务开始后，父任务自动开始
69148 批量编辑任务页面
69147 编辑任务页面，可以选择父任务实现多层级
69144 任务详情页支持展示所有的向下拆分的任务
69140 创建任务页面，可以选择父任务实现多层级
69136 任务列表搜索后展示树状层级
69135 任务列表标签切换后展示树状层级
69134 任务列表展示多层级
68943 工作流新增的字段组件中支持设置提示信息
63967 提交工单页面所属模块为空时可以维护模块
旗舰版：
45467 敏捷项目的二级导航中打印机会菜单
45466 在不启用迭代项目的二级导航中打印其他下拉菜单
45465 敏捷项目中增加机会功能
43628 在不启用迭代功能的项目中增加会议功能
43627 在不启用迭代功能的项目中增加QA功能
43626 在不启用迭代功能的项目中增加过程功能
43625 在不启用迭代功能的项目中增加机会功能
43624 在不启用迭代功能的项目中增加风险功能
43623 在不启用迭代功能的项目中增加问题功能
修复的Bug
开源版：
56661 发布文档的邮件标题显示为编辑，且文档正文显示代码
57139 项目权限设置中取消勾选权限后保存不生效
57776 任务开始页面点击开始后有报错
57779 任务看板按照任务优先级查看时有报错
57783 项目迭代下任务搜索结果列表状态显示changed
57789 项目执行列表已关闭的任务指派人样式显示错误
57794 阶段任务列表中父任务的工时不统计子任务工时
57796 项目执行列表导出内容中子任务标题前带箭头
57810 执行概况有报错
57815 迭代数据解决Bug数计算错误
57818 看板执行创建任务弹窗中关联需求关联后会直接关闭创建任务弹窗
57834 需求状态分布环形图计算错误
57835 Bug状态分布环形图计算错误
57846 地盘仪表盘中项目统计区块中瀑布项目的EV统计不正确
57898 已有数据阶段拆分子阶段，子阶段状态一直显示未开始
57900 已有数据阶段拆分子阶段，子阶段没有记录工时
57906 项目集的人员投入列表中剩余工时数据错误
57934 子任务编辑为已暂停后父任务变为进行中了
57973 地盘待处理的任务列表页代码报错
57997 执行下建任务报错
58002 业务需求详情页有报错
58007 导出任务，描述、抄送给、任务模式字段未导出
58014 创建看板卡片没有记录动态 (Feedback#7924)
58015 Webhook日志列表点击日志的触发动作链接报错 (Feedback#7927)
58021 批量创建用户报错
58033 挂起迭代报错
58034 延期迭代报错
58035 计划关联研发需求报错
58049 多人并行任务的工时页面有报错
58056 删除叶子任务后同根节点的父子关系丢失
58059 父任务下拉中增加任务icon和ID
58097 后台功能配置设置需求优先级保存后报错
58144 测试报告中进入测试用例详情，点击返回至测试单用例列表
58163 图片操作按钮缺少中文语言项
58164 图片转化为卡片视图后文件名显示为affine-attachment
58168 文档里上传附件不允许超过10M (Feedback#7942)
58217 需求变更和评审页面子需求列表没有显示需求层级和标签
58225 业需详情页子需求列表中需求名称宽度需要限制
58227 表格视图中筛选器设置缺少中文语言项
58234 表格视图排序设置弹窗缺少中文语言项
58235 执行/设置/概况，建议延期迭代燃尽图删除已延期标识
58236 燃尽图的延期样式没加天数
58238 编辑机房，标题缺少机房
58244 管理机房按钮的语言项和其他菜单不一致
58247 服务的权限命名与实际菜单不一致
58250 看板/视图显示删除数据库按钮
58275 创建项目的历史记录不正确
58277 移除执行团队成员，历史记录没显示移除对象
58288 机房弹窗详情页编辑机房，列表没同步显示编辑后的内容
58289 删除机房成功后，列表还显示已删除的数据
58302 受限用户不可操作任务的提示显示为项目
58308 多人串行任务，指派人开始后不可进行操作
58316 项目受限用户可操作项目迭代下的任务
58329 产品/项目接口详情页有报错
58393 编辑产品保存报错
企业版：
57324 工作流字段设置默认值，批量新建不显示默认值
57502 英文语言项下进行立项审批等动作出现报错
57710 20.8升级max6.2,导出文档中显示代码
57763 导入任务保存报错
57820 地盘审批立项列表页没有显示立项状态
57877 创建任务，有报错
57888 子任务没有显示延期标识
57890 项目执行列表显示的子任务延期标识不正确
57891 父任务的延期标识显示逻辑不正确
57899 已关联的任务还会显示在关联任务弹窗中
57905 父任务的状态显示错误
57912 提交关联任务的任务列表父子任务和多人任务前没显示icon标识
57914 提交关联任务后进入任务详情页有报错
57917 代码提交关联任务列表中状态显示changed
57920 任务取消后，指派人没收到通知
57923 编辑任务有代码报错
57925 导出的任务excel中父子任务前没有标识
57931 父任务的起止时间，历史记录和工时信息显示不一致
57932 文档模板后台权限显示英文
57933 任务导出后，任务描述显示为空
57935 用户没有删除文档模板权限仍显示更多按钮
57936 导出Bug有报错
57937 用户没有模板类型相关权限仍显示对应按钮
57963 创建文档引用模板没有加权限
57971 反馈导出报错
57994 待处理列表父任务截止日期没显示延期样式
58025 创建反馈/工单，维护模块后返回，2.5级导航不显示当前产品
58048 创建接口页显示模板按钮
58058 自定义类型的文档模板没有被升级，且有报错
58060 模板广场报错
58061 任务导出的全部数据中第一行是备注
58062 导出的任务数据中任务名称格式有不是纯数字的格式
58069 模板发布弹窗中，模板类型显示不正确
58081 反馈转研发需求，反馈历史记录没有显示研发需求的历史记录
58084 重复升级时类型重复显示
58087 反馈转任务、转bug、转待办、转工单、转用户需求和转业务需求，同步历史记录到反馈中
58088 文档统计区块统计了模板
58092 反馈转任务，反馈详情页显示同名子任务
58093 切换产品后工单各tab下数据不正确 (Feedback#7939)
58096 关闭工单时页面fail
58098 关闭工单弹窗中点击叉号关闭弹窗，结果工单被关闭了
58152 工作流里的公式字段无法计算子表的数据 (Feedback#7955)
58159 创建反馈页面，所属模块按钮没有权限判断
58160 创建工单页面，所属模块按钮没有权限判断
58178 反馈详情页转Bug保存后二级导航不高亮
58183 创建测试类型任务选择需求后子测试任务和需求的关联关系没有记录
58201 导入文件直接导出提示文档暂不支持导出
58216 后台功能配置页面内置立项审批流没有显示描述
58219 立项列表页报错
58220 立项工作流审批设置页面代码报错
58245 任务列表导出数据父子任务不能显示在一块
58258 18.13升级biz11.3后需求概念不显示且有报错
58264 顶级父任务工时数据错误
58265 地盘待处理任务列表预计/剩余统计了父任务工时
58303 反馈转工单弹窗中显示多余滚动条
58332 大屏下钻有报错
58383 Linux一键包中没有立项的工作流
58407 自定义工作流中创建子表后描述有报错
旗舰版：
56811 设置审批流节点时保存校验了已删除的行
57892 阶段的任务列表中有报错
57951 资产库用例库页面代码报错
57954 风险列表页导出数据各项措施内容显示为空
57956 问题/风险/机会详情页导入问题/风险机会库时代码报错
57959 项目/执行问题列表从问题库导入页面点击问题名称，页面代码报错
57962 地盘动态有报错
57966 瀑布项目里程碑报告页面报错
57969 项目下问题/风险列表搜索表单不展示
57970 项目下问题批量导入问题库导入时有报错
57979 瀑布项目下审批进度页面有报错
58026 机会库导入机会有报错
58045 QA/质量保证计划/检查结果，备注报错
58126 审批流创建角色报错
58148 查看审批角色时页面有报错
58382 地盘仪表盘有报错
58420 导出风险数据时sql报错
IPD版：
57880 创建IPD项目阶段有报错
57909 IPD项目设置阶段页面所有的评审点都不显示了
57922 在反馈列表转用户需求关闭后点击反馈名称报错 (Feedback#7869)
57927 需求池需求，导入时有报错
57929 需求池需求导入后，新增字段显示为空
57930 导入的需求池需求分发后，提示优先级不能为空
57950 项目和产品下矩阵页面报错
57985 地盘动态页面报错
58001 OR界面市场下点击调研二级导航报错
58005 需求池矩阵页面报错
58006 需求池需求分发后，在详情页和历史记录中没有显示
58016 执行-日志页面有报错
58028 维护白名单，清空之前的白名单
58031 维护白名单点击保存后有报错
58208 创建IPD项目设置阶段页默认多出来两条空的
58221 ipd3.2升级到ipd3.3后没有立项工作流
58223 IPD项目设置阶段页面显示了两条空的概念类型的阶段
58230 路标已被立项审批通过后，再次发起立项审批没有提示
58252 执行下日志页面有报错
58268 OR界面调研设置阶段页面报错
58301 立项自定义配置页面新增行分组规划方式没有默认选中
58304 OR界面创建子任务保存时代码报错
58336 OR界面点击提用户需求后502
58338 升级前有自定义立项配置的权限时，升级后权限未被勾选
58341 升级后立项详情页评审结果显示成了英文
58343 发起立项审批保存时报错
58345 升级后立项列表点击审批状态，页面出现灰色遮罩层
58351 升级前已取消的立项，升级后列表页和详情页激活按钮title显示不一致
58380 升级后立项详情页历史记录中语言项缺失
58402 ipd1.4升级到ipd3.3，升级后立项数据不显示

2024-12-03 21.2
完成的需求
开源版：
69816 升级后应用数据处理
69809 后台二次开发增加应用的语言项
69692 系统中批量创建组件操作列支持固定在右侧吸附显示
69665 版本详情增加所属应用字段
69664 版本列表增加所属应用字段
69648 项目发布实现按应用发布的功能
69647 实现应用的上架功能
69646 实现应用的下架功能
69562 实现按应用管理版本
69561 版本改为构建
69560 发布列表优化
69559 发布详情页面优化
69558 实现按集成应用发布的功能
69556 实现按应用发布的功能
69512 实现应用的删除功能
69511 实现应用的编辑功能
69510 实现应用的创建功能
69509 实现应用的列表页面
69508 发布列表打印应用管理菜单
69490 ZUI组件支持批量创建无限极任务
69374 在全局添加的创建文档下拉菜单中增加项目集名称的分组
69373 在产品空间选择所属产品的下拉菜单中显示项目集名称
69372 在项目空间选择所属项目的下拉菜单中显示项目集名称
69371 在接口空间创建文档选择产品/项目的下拉菜单中显示项目集名称
69369 去掉编辑器/菜单中功能标题下方的说明文字
69328 更新项目、执行列表中的已延期标识
69319 在受限用户字段后面增加提示信息
69313 公共联系人详情中在查看联系人右侧增加提示信息
69312 公共联系人详情页面中在用户列表下方增加创建人字段
69126 访问无权限产品/项目的文档时增加权限提示
69116 测试报告遗留的Bug列表中增加解决方案字段
69069 执行列表中增加已延期筛选标签
68273 项目的执行列表中可以导出执行下的任务数据
68272 项目执行列表中优化任务信息的显示样式
68271 项目的执行列表增加高级表格功能
68270 项目执行列表中可以显示所有状态的任务
68268 项目执行列表中增加任务搜索功能
60325 系统管理员可以删除公共联系人数据
51695 复制用例可以带入附件
51694 复制Bug可以带入附件
51693 复制任务可以带入附件
51692 复制需求可以带入附件
企业版：
69686 透视表前台“新版本”标签的展示逻辑
69685 透视表前台增加“新版本”标签
69684 透视表前台“新”标签的展示逻辑
69670 透视表前台版本更新提示文案的展示逻辑
69573 手动上线申请所属发布改为应用版本号
69538 透视表版本号对应展示规则
69524 支持在版本列表点击某版本预览具体内容
69521 透视表进入设计的列表页支持查看版本列表
69520 透视表进入设计的列表页增加“当前使用版本”字段
69519 透视表前台增加“新”提示标签
69518 预览新版本透视表内容支持查看数据下钻
69517 预览新版本透视表内容页面打印页面提示
69516 前台透视表点击版本更新提示，支持直接预览最新版本的透视表内容
69515 透视表前台增加版本更新提示文案
69393 新编辑器支持渲染htlm
69254 数据表支持duckdb
69166 新编辑器创建的文档支持批量导出
69165 新编辑器创建的文档支持单个导出
69117 导出测试报告时遗留的Bug列表增加严重程度和解决方案字段
63968 创建反馈页面所属模块为空时可以维护模块
39326 反馈增加复制功能
旗舰版：
69593 实现项目阶段甘特图2.5级导航产品下拉切换全部产品功能
69505 重构基线状态报告
69355 敏捷项目内的权限管理中增加风险的权限
69352 敏捷项目内的权限管理中增加问题的权限
69315 将甘特图中的工期调整为可用工日
69089 评审详情页面的操作区域中增加审批进度和返回操作
69085 审计页面中增加评审对象的历史记录区块
69080 评审详情页面中在底部固定操作按钮区域
69041 项目基线状态报告支持导出
68985 实现贡献的基线列表功能
68983 地盘贡献的三级导航中打印基线菜单
68981 实现贡献的审计列表功能
68970 地盘贡献的三级导航中打印审计菜单
68518 不启用迭代的项目支持复制全部数据
68282 项目甘特图中甘特图标签支持选中态
68274 项目甘特图中增加任务搜索功能
61117 已经打过基线的评审版本不能重复打基线
60678 设计详情中设计所关联的需求变更后需求名称后面增加确认操作
60677 设计列表中设计所关联的需求变更后操作区域增加确认操作
57726 项目审计功能增加消息通知
57725 评审页面中增加评审对象的历史记录区块
57724 项目评审报告支持导出
57283 地盘审批列表中增加所属项目、所属产品字段
49524 机会触发相关操作后增加通知功能
49523 风险触发相关操作后增加通知功能
49521 问题触发相关操作后增加通知功能
修复的Bug
开源版：
55445 执行-文档-附件库-切换迭代报错 (Feedback#7126)
55921 目录创建后目录树没有展开显示
56129 接口文档的版本下拉没有高亮当前版本
56131 接口文档点击返回无响应
56147 同时复制文字+图片到文档编辑器中，图片无法成功复制
56227 全局添加文档时空间顺序建议与二级导航一致
56375 复制文档中的内容粘贴的是日期
56395 无法复制文档编辑器中的内容
56536 复制代码块失败且有报错
57223 按模块分配权限不选择权限分组保存时代码报错
57261 暂停多人串行任务有报错
57306 无创建目录权限时，页面多显示了设置按钮
57407 创建发布页面勾选新建应用后应用仍然是下拉框样式
57412 全局创建接口时，所属库下拉不显示接口库
57416 应用列表页最新版本号字段下显示了已删除的发布的ID
57423 勾选[仅显示有接口的]后显示了无接口的产品/项目
57431 编辑用户填写不合法密码后修改为合法密码，无法保存 (Feedback#7803)
57432 复制需求/bug/用例/任务，修改附件名称，复制后的附件还是修改前的名称
57433 公共联系人详情，查看联系人右侧提示信息没有对齐
57467 markdown文档升级后部分换行丢失
57474 需求的预计工时显示不正确 (Feedback#7809)
57476 删除集成发布下的非集成发布，提示信息没有弹出
57479 应用名称存在特殊字符，创建后，应用列表数据都不显示了
57489 升级后，发布列表的应用会变成0
57493 编辑独立接口库弹窗中访问控制显示多余选项
57495 不显示删除接口的动态
57504 编辑非集成应用的发布，包含构建未带出值
57505 创建接口后不刷新页面，删除有报错无法删除
57523 点击透视表报错
57528 删除发布报错
57533 文档下全局菜单和通知消息的样式与别的页面不一样
57534 左上角闪跳下拉列表数据
57554 编辑一个用例模块下的用例，未切换模块的情况下无法关联研发需求 (Feedback#7534)
57558 升级后markdown文档的链接不显示了
57562 升级后原markdown文档中的引用格式没有了
57564 运营界面复制项目框显示不全
57568 创建发布，可以选到重复的应用
57569 发布列表执行搜索后，搜索栏自动收起了
57572 关联集成应用的发布，没有展示关联的需求/bug
57573 编辑发布页面删除包含应用后，包含应用在编辑页面还显示
57574 编辑发布将应用修改为集成应用，无法保存
57589 下架应用后，发布和构建的编辑页面应用显示成了编号
57592 搜索发布，点击搜索按钮后，搜索区域被收起了
57593 后台模型配置点击构建三级导航时，项目三级导航也高亮了
57594 发布列表，描述列不能隐藏
57602 删除发布的详情页，仍然展示日志、发布、编辑、删除按钮
57603 编辑发布，应用改为集成应用，保存被校验
57604 删除集成应用的发布，再删除集成应用，发布还原后列表展示有误
57619 创建任务自动返回需求页，模块显示错误 (Feedback#7829)
57633 编辑用例模块下的用例，切换模块后相关研发需求下拉列表显示了用户需求
57637 升级过程中升级到的版本显示为空
57651 在产品矩阵中查看任务分解任务保存后导航错乱
57658 编辑发布，关联有研发需求的构建，保存后，研发需求没有关联到发布
57665 升级后，编辑关联多版本的发布，保存报错
57668 发布列表，按照平台/分支搜索发布，搜不到对应发布
57672 发布列表的描述字段有转义
57674 编辑发布的所属应用，应用的最新版本号没有改变
57680 创建和编辑发布，包含应用的版本号检查不一致
企业版：
56821 子空间下不显示导出按钮
57354 模板动态中没有链接
57357 英文下提示文案有遮挡
57359 透视表前台页更新的常显文案需调整
57380 访问超级model接口时有报错 (Feedback#7784)
57381 预览新版本透视表内容页面打印页面英文提示icon与文案错行
57383 设计列表中部分内置透视表不显示透视表名称
57417 关系图谱中根节点应该不可以点击
57425 部分透视表查看版本列表有报错
57434 点击切换到此版本有报错
57443 升级后大部分内置透视表builtin字段值为0
57447 内置透视表没更新版本时，显示[新版本]标识
57512 设计透视表查询zt_testtask表有报错
57521 12.5.3升级max6.2后不显示透视表名称
57567 导入任务有父子层级父任务的截至时间会同步比父任务早的子任务截至时间
57570 大屏设计页不显示透视表
57620 重新设计内置透视表并发布后，前台显示“新”标签
57623 任务树状图页面有报错
57627 重新设计自定义透视表，版本列表弹窗中显示“新版本”标签
57630 透视表版本列表弹窗中切换版本热区应为整行
旗舰版：
57405 地盘/贡献/基线列表，配置项名称居中显示
57414 基线状态报告导出格式错误
57440 地盘/贡献/审计，由我发起显示所有由我创建的数据
57481 创建中间表保存时有sql报错
57500 瀑布项目下矩阵页面有报错
57503 按产品创建的项目甘特图页切换全部产品后报错
57507 贡献下设计列表审计未通过时打基线按钮未置灰
57509 基线状态报告导出页直接点击导出并弹窗点击确定后页面跳转错误
57513 评审报告不输入文件名直接导出后有报错
57516 贡献下审批列表所属项目和所属产品有数据但未显示
57551 biz8.8 升级max6.2有报错
57566 基线删除后回收站未正常显示
57584 不启用迭代的项目/QA，刷新浏览器跳转到执行
57639 不符合项有报错
57644 组件库无法导入文档
IPD版：
57519 地盘记录日志，清除功能不生效 (Feedback#7617)
57536 开启消息通知后修改需求池和创建需求池需求有报错
57538 需求池中子需求需求评审后指派人会清空
57542 创建IPD项目选择定制项目项目类型样式显示错误
57543 内禅看板导入工单/添加看板列报错
57553 IPD项目设置子阶段，起止日期不校验父阶段
57571 OR界面设置调研阶段出现报错
57596 开启工作量占比后设置调研阶段报错
57642 IPD类型编辑项目后，其项目类型会自动变成“product” (Feedback#7451)
57652 通过1.5级导航从瀑布项目-基线切换到IPD项目下

2024-11-15 21.1
完成的需求
开源版：
69184 在左侧目录树和下拉菜单中增加接口库的显示
68988 接口空间支持进入产品接口和项目接口列表页
68963 将接口空间中的版本管理和发布接口功能入口合并且移动到左侧树形导航中
68957 项目空间首页优化
68954 产品空间首页优化
68953 在接口空间的左侧树形导航中增加接口目录的分组名
68952 将接口空间中的数据结构功能移动到左侧树形导航中
68951 接口空间详情页对文档的操作功能入口调整
68940 接口空间支持进入独立接口列表页
68938 接口空间新增首页
68609 详情页面优化
68514 主机创建页面字段优化
68432 编辑页面优化
68347 优化主机列表
67973 接口空间下面包屑路径导航新增下拉菜单
企业版：
69158 上线申请的用例增加执行按钮
68946 删除账号、CPU品牌功能
68600 实现上线申请的完成功能
68589 上线步骤改为列表样式
68512 优化上线步骤的样式
68511 重新调整上线申请详情页面的排版
68504 简化上线申请的功能
68501 实现上线申请的取消上线功能
68429 打印部署的三级菜单
68422 实现上线申请的删除功能
68421 实现上线申请的上线功能
68417 实现编辑上线申请的功能
68416 实现上线申请列表的搜索功能
68412 实现上线申请列表的功能
68338 创建上线申请页面优化
修复的Bug
开源版：
51916 文档左侧树选中后刷新导致无法定位
53420 wiki中添加图片不在附件库中展示 (Feedback#5252)
53421 wiki中删除附件，附件库中没有同步删除 (Feedback#5251)
54306 在文档中创建空间、库和文档定位有问题
54307 在我的空间中我创建的列表里，点击面包屑导航定位有误
54817 通过链接打开文档，左侧目录未定位至文档所在位置
55664 评审为有待明确的需求，编辑保存重新发起评审后评审人置灰了 (Feedback#7227)
55828 表单数据标题颜色在地盘待处理列表不生效 (Feedback#7235)
55870 敏捷项目的执行列表中执行名称前面没有展开/收起操作
56362 编辑Bug调整所属产品时，产品和影响版本、解决版本不匹配 (Feedback#7385)
56423 文档面包屑导航过长时会挤压检索标签
56513 快捷访问文档详情页中，所在位置的跳转不对
56771 执行任务列表下，搜索后点击研发需求排序报错 (Feedback#7553)
56787 发布接口弹窗中描述提示信息显示为desc
56866 按模块分配权限保存报错 (Feedback#7595)
56890 需求列表阶段阶段字段没有根据规则更新 (Feedback#7541)
56897 联系方式是单数时，用户编辑页样式异常 (Feedback#7648)
56932 任务列表状态列进行中/已完成/已暂停不显示颜色了
56938 评审研发需求代码报错
57000 执行没关联产品进入执行-测试下有报错
企业版：
55879 字段的“分类设置”数据源无效 (Feedback#7280)
56576 任务列表上，父任务不展示  研发需求变更  的确认按钮 (Feedback#7374)
56749 导入用户，提示密码小于系统设定
56868 工作流中自定义附件字段设置为必填，不上传附件保存时页面代码报错 (Feedback#7633)
56876 审批流中存在“自动同意”时，提交审批报错
56884 文档模板类型的分组树没有英文语言项
56887 创建文档模板类型后跳转至文档模板首页
56970 需求在执行中直接创建用例后需求详情页有报错
56984 审批流的发起动作没法显示在列表上
56996 工作流时间/日期类型字段设置不必填，置空保存时代码报错
57009 登记工时，输入10小时会显示成1小时 (Feedback#7674)
旗舰版：
55822 20系列版本中项目甘特图中缺少高亮显示当天日期 (Feedback#7245)
56900 审批流绑定无法关联到流程中字段 (Feedback#7623)
57031 审批流中存在“指定人员”时，其他用户发起立项审批出现报错
IPD版：
56901 执行需求详情页有代码报错
56956 OR界面产品路标页面1.5级导航下拉菜单报错
56974 提交概念决策评审提示为空
56990 IPD项目评审点审批通过后，会出现一个多余的评审点
57006 设计图表页点击查询有报错 (Feedback#7670)

2024-11-01 21.0
完成的需求
开源版：
69179 恢复文档仪表盘查看更多的入口
68958 文档的附件库列表中附件名称字段宽度调整
68932 文档详情侧边栏支持自定义标签页和内容
68628 空间和库的图标修改
68620 页面中详情页右侧基本信息等区块支持隐藏
68616 新建库后，页面跳转至库的详情页
68607 在全局创建弹窗中将团队空间移动到我的空间后
68604 列表页条目数不足一页，批量操作按钮吸附显示
68601 去掉库下设置中的添加目录和移动的按钮
68515 附件库增加分页
68481 实现快捷访问的API
68473 在空间首页、左侧目录树和下拉菜单中显示附件库
68226 在项目空间中项目的下拉菜单中增加检索标签
68224 在产品空间中产品的下拉菜单中增加检索标签
68214 编辑文档保存后，页面跳转至文档详情页
68208 快捷访问支持查看文档详情
68204 创建库弹窗中增加文档默认排序的选项
68093 关闭执行时给出未关闭任务提示
68084 文档增加快捷访问的二级导航
67488 模型配置中通用项目增加关闭设置
67009 通用看板同一区域内禁止泳道重名
66952 通用看板卡片支持跨区域移动
63528 任务起止日期不在父任务范围内时给出提示
59953 任务列表中所有执行搜索条件可以搜索到不启用迭代项目下的任务
40638 编辑调整任务状态为已关闭时指派人自动调整为Closed
40634 并行的多人任务消息可以同时通知到团队成员
40585 关闭项目时给出未关闭执行提示
40575 任务详情页面的其他相关中增加相关Bug的展示
40574 父任务调整相关需求时提示是否同步更新子任务的相关需求
39796 测试单通知范围增加负责人
39748 组织下查看个人任务的列表中增加由他参与的标签
39747 地盘贡献的任务列表中增加由我参与的标签
39378 从全局统一键值的角度将历史记录中键转译为具体的值
14722 任务批量编辑页面增加相关研发需求字段
14341 任务搜索中增加相关需求字段
13941 测试单列表中增加优先级字段
企业版：
68935 下一步按钮和步骤条切换逻辑优化
68588 流程模板中可以在主表中编辑使用的字段-后端
68585 流程模板中可以选择其他模板的字段-后端
68579 查询筛选器和结果筛选器下拉菜单升级
68299 子表列表增加所属模板
68298 主表字段列表增加所属模板
68265 流程模板中可以在子表中编辑使用的子表
68264 流程模板中可以在子表中删除使用的子表
68263 流程模板中可以选择其他模板的子表
68252 流程模板中可以在子表中创建表
68250 流程模板中可以在主表中创建字段
68172 无产品无迭代项目按照设置的项目流程显示
68171 项目概况增加项目流程字段
68122 模板删除时，模板中的内容不能再被使用
68120 流程模板中可以在主表中编辑使用的字段-前端
68118 流程模板中可以在主表中删除/移除使用的字段
68117 流程模板中可以选择其他模板的字段-前端
68115 复制项目时，同时复制项目的流程模板
68076 项目流程模板中增加默认流程
68074 产品流程模板中增加默认流程
68032 主表、子表的字段需要记录添加历史
68014 敏捷/瀑布的项目模板中只能包含对应的流程
67970 该流程已在模板中设置了专属流程，不能修改从属对象
67969 通用流程中，非内置流程发布时，模板里的流程可以选择是否发布
67964 项目关联两个不同的产品流程后，相关功能展示正确
67961 通用流程中，非内置流程启用时，模板里的流程可以选择是否启用
67960 通用流程中，非内置流程停用时，模板里的流程也停用
67959 无迭代项目按照设置的项目流程显示
67958 无产品项目按照设置的项目流程显示
67957 从属于执行的非内置工作流的功能按照设置的项目流程显示
67954 从属于项目的工作流新增的功能按照设置的项目流程显示
67953 版本功能按照设置的项目流程显示
67952 执行功能按照设置的项目流程显示
67951 项目功能按照设置的项目流程显示
67950 从属于产品的工作流新增的功能按照设置的产品流程显示
67949 Bug功能按照设置的产品流程显示
67948 用例功能按照设置的产品流程显示
67947 测试单功能按照设置的产品流程显示
67946 反馈功能按照设置的产品流程显示
67945 工单功能按照设置的产品流程显示
67944 计划功能按照设置的产品流程显示
67943 发布功能按照设置的产品流程显示
67942 研发需求功能按照设置的产品流程显示
67941 用户需求功能按照设置的产品流程显示
67940 业务需求功能按照设置的产品流程显示
67939 产品功能按照设置的产品流程显示
67938 非内置工作流删除后，会删除该对象所有的数据
67880 创建编辑工作流时，增加字段从属于
67842 创建项目增加项目流程字段
67841 产品概况增加产品流程字段
67840 创建产品增加产品流程字段
67750 优化透视表清空逻辑
67701 产品、项目流程中，可以发布/启用/停用某一非内置对象的流程
67699 产品、项目流程中，可以将某一对象的流程编辑为专属流程
67698 所属视图为项目/瀑布的工作流在融合瀑布项目下生效
67697 产品、项目流程中支持设计配套的工作流程
67695 实现项目流程的详情页面
67694 实现产品流程的详情页面
67692 实现项目流程的停用功能
67691 实现产品流程的停用功能
67690 实现项目流程的发布功能
67689 实现产品流程的发布功能
67688 实现项目流程的删除功能
67687 实现产品流程的删除功能
67686 实现项目流程的编辑功能
67685 实现产品流程的编辑功能
67684 实现项目流程的新增功能
67683 实现产品流程的新增功能
67682 专属工作流可以独立维护更多设置
67680 专属工作流可以独立维护标签设计
67679 专属工作流可以独立维护动作设计
67676 专属工作流的主表的和子表删除字段时保持同步
67674 专属工作流的主表的和子表编辑字段时保持同步
67673 专属工作流的主表的和子表添加字段时保持同步
67671 实现项目流程的列表页面
67669 实现产品流程的列表页面
67667 在工作流视图的二级菜单里打印项目流程菜单
67666 在工作流视图的二级菜单里打印产品流程菜单
67463 工单关闭原因增加自定义功能
63261 实现透视表行分组列汇总的展示
41110 实现用例库中用例的导出功能
41109 在用例库的用例列表中打印导出数据菜单
旗舰版：
68253 机会库中的机会增加机会描述字段
67402 聊天中增加瀑布项目审批流相关的通知
67401 短信中增加瀑布项目审批流相关的通知
67400 Webhook中增加瀑布项目审批流相关的通知
67399 系统通知中增加瀑布项目审批流相关的通知
56789 机会增加机会描述字段
修复的Bug
开源版：
55813 点击动态中点击查看项目型项目中的需求页面报错 (Feedback#7261)
55899 全局添加文档，所属库下拉显示了空间和库
56013 还原删除的目录后文档位置不正确
56030 我的空间切换到其它空间后，私有权限下白名单字段正常显示出来。
56174 空间下编辑文档，刷新页面后面包屑才显示版本
56200 产品/项目空间下创建库时，访问控制处显示了%s
56493 编辑库弹窗中不应显示[文档默认排序]
56574 评审未填写预计工时的需求，保存时出现了预计工时的提示
56625 关闭执行时给出的未关闭任务的提示信息中显示的标题比较杂乱
56629 点击历史记录中的加号，历史记录闪烁后内容消失
56631 项目下批量编辑用例页面二级导航错误
56652 执行需求列表缺失批量创建研发需求按钮
企业版：
54849 如果开启了 ldap 登录，不能登录成功 (Feedback#6976)
55611 下拉类型结果筛选器失效
55792 批量导入用户时手机号格式不对没有提示信息，导致导入不成功 (Feedback#5257)
56287 导出项目时文件名没有默认名字
56406 透视表查看自定义工作流，字段名称未带出数字
56407 透视表查看自定义工作流有报错
56426 sql构建器添加动态查询筛选器中[选择表]置灰不可选择
56428 筛选器下拉菜单中显示报错
56441 发布到项目下从属产品的，1.5级导航只能显示项目关联的产品
56487 是否清空透视表弹窗文案不正确
56489 sql构建器中不做修改时，下一步按钮置灰
56490 sql构建器中变更sql后，点下一步没有弹窗提示
56498 使用其他模板字段页字段详情信息中显示多余字段内容
56501 使用其他模板字段查看字段详细信息后页面样式需优化
56510 流程模板自定义工作流编辑主表字段页提示文案不准确
56515 快捷编辑器页面可以编辑非当前模板下创建字段的名称/控件/数据类型等
56521 字段名称过长时小眼睛和字段应该显示在一行
56538 切换为英文语言项进入工作流高级编辑器有报错
56539 引用其它模板的字段在前台页面中不能显示
56542 修改工作流导航位置为二级导航后仍显示在一级导航
56543 进入使用默认流程模板的自定义工作流时提示设置浏览列表界面内容
56555 专属工作流子表设计页面显示多余滚动条
56556 自定义专属工作流点击非当前模板创建的子表编辑按钮后页面置灰了
56559 自定义专属工作流新建页显示子表字段后前台新建页面未显示子表字段
56562 流程模板删除后项目概况页不显示使用的流程模板名称了
56571 升级后有工作流相关报错
56579 第二个模板使用子表时会有报错
56583 项目流程模板设计列表点击添加流程模板后页面不对
56584 流程主表设计页面，名称字段宽度过窄
56585 12.5.3升级报错
56586 创建工作流选择二级导航时所属导航不能选到项目/敏捷
56587 添加的从属执行的工作流在默认流程中发布创建数据不能保存
56590 模板下设计专属工作流导入字段后链接中丢失groupID
56593 工作流设置为专属流程后访问工作流没有权限
56595 流程模板分页为100项
56596 设为专属的任务工作流自定义字段被其他模板引用后编辑字段页面没有显示提示文案
56600 从属于项目的工作流流程列表点击编辑/详情后提示设置界面显示内容
56601 biz8.3升级至biz11.0报错
56604 工作流视图下流程页1.5级导航未正常显示
56605 反馈下1.5级导航下拉语言项缺失
56614 默认流程中停用流程专属工作流启用在使用专属工作流的产品下进入该工作流提示没有设计界面
56618 敏捷项目下新建流程保存时有报错
56619 组织模块团队成员的测试单列表页代码报错
56630 反馈列表1.5级导航点击时报错
56635 工作流扩展搜索功能后搜索表单未显示扩展的字段
56644 通用工作流下编辑来源为其他模板的字段时有报错
56645 子表字段设置为必填后新建页面没有显示为必填
56653 升级后的工作流设置从属产品并设置专属后专属中界面显示的字段都不显示了
56654 通用流程不存在流程模板的，不展示【使用其他模板字段】按钮
56662 专属工作流下子表被通用工作流引用后编辑子表页面未显示通用中引用的提示
旗舰版：
56468 内置工作流发起评审后，没有撤回按钮
56573 地盘会议列表有warning报错
IPD版：
56627 ipd2.0升级3.0报错

2024-10-21 20.8
完成的需求
开源版：
68288 编辑文档发布右侧增加设置按钮
68287 创建文档点击发布按钮增加弹窗设置
68242 文档目录的更多操作中增加添加同级目录操作
68225 项目空间增加落地页
68222 产品空间增加落地页
68203 各个空间的左侧树形导航中增加编辑按钮
68199 各个空间的左侧树形导航中增加删除按钮
68195 文档列表增加分页
68193 空间落地页中的库支持编辑和删除操作
68192 空间落地页支持空间的编辑和删除操作
68189 在各个空间的左侧树形导航中增加提示语
68131 文档创建按钮的下拉菜单中增加上传文档和创建office的入口
68129 文档中的目录支持排序功能
68128 文档中的库支持排序功能
68108 左侧目录树中，库的更多操作中去掉添加目录的入口
68107 文档列表中的文档支持多选
68106 产品、项目、执行下的文档更新成文档模块的交互样式
68105 文档列表增加我编辑的检索标签
68101 文档的面包屑样式调整
68100 空间落地页支持创建空间
68098 我的空间和团队空间增加落地页
68024 文档左侧目录树中的文档支持拖拽排序
企业版：
68073 删除任务时支持解除任务的关系
68072 取消任务时支持解除任务的关系
68028 编辑任务时选择父任务支持解除父任务的关系
67988 批量维护任务关系表单展示不符合新逻辑的提示小图标
67974 批量维护任务关系表单展示新老依赖关系差异提示
67865 拆分存在依赖关系的任务时支持解除任务的关系
67858 优化任务启动和完成时的校验规则
67856 简化添加任务关系表单中建立依赖关系的规则
修复的Bug
开源版：
51691 看板模型的任务通过全局搜索后点击查看不会跳转到任务详情页面 (Feedback#5734)
55326 执行列表批量关闭执行，不会记录实际完成日期 (Feedback#4662)
55480 后台二次开发展示的数据字典不全 (Feedback#7078)
55516 由我指派统计不到新建时设置的指派数据 (Feedback#7151)
55520 搜索内容不支持搜索特殊字符 (Feedback#6414)
55565 项目下的bug删除后，返回的列表页面不对 (Feedback#6968)
55572 【临时方案导致的性能问题】项目成员管理页面卡顿 (Feedback#5075)
55581 新版本中代码编辑器不展示模块信息 (Feedback#4337)
55824 执行下bug批量指派报错
55841 任务有截止日期，批量关闭任务报错
55881 批量编辑已关闭的任务时出现报错
55898 仪表盘中点击创建的文档，跳转不对
55987 权限-“浏览组织日志”权限依赖关系有问题 (Feedback#7303)
56000 编辑任务，所属模块和相关需求不联动
56031 文档导出了样式
56046 搜索需求后，左上角组件显示异常
56051 移动库时选择所属空间为产品或项目时，访问控制没有默认选中的状态。
56053 我的空间下库移动至团队空间下，访问控制默认为公开
56059 设置私有文档访问控制显示公开
56098 进入文档控制台报错
56109 项目空间和产品空间下创建文档有问题
56110 文档的面包屑无法切换版本
56112 文档详情页，无法切换版本
56140 设置私有文档访问控制未显示白名单
56148 产品空间落地页点击产品名称/文档库跳转的文档库不正确
56152 文档仪表盘点击文档跳转后，二级导航没有高亮
56168 批量移动文档弹窗中选择产品/项目空间后会跳成当前产品/项目
56178 发布弹窗报错且发布失败
56186 我的空间下批量移动文档，默认权限显示公开
56193 升级后项目文档区块下有代码报错
56196 团队空间/产品空间/项目空间下有数据但右下角显示共0项
56198 产品-文档详情页点二级导航后有链接报错
56203 用例库导出模板无响应
56222 动态中点击文档报错
56234 运营管理界面文档仪表盘有报错
企业版：
53886 地盘日志编辑日志project没有存值 (Feedback#3157)
54358 回复反馈时贴图失败 (Feedback#6837)
55469 “综合研发界面”后台对于“反馈”的优先级的设置，对“运营管理界面”的“反馈”无效 (Feedback#4932)
55477 反馈转化工单数据时没有触发通知 (Feedback#5394)
55481 工作流中自定义添加的字段展示样式在弹框中显示问题 (Feedback#6960)
55505 集成网易163邮箱报错 (Feedback#6850)
55537 用户需求导入数据多次导入并且提示信息不准确 (Feedback#6165)
55557 反馈产品设置移除产品关闭产品反馈功能后未对管理员生效 (Feedback#7160)
55571 批量导入3000个用户，按每次100个导入，执行全部导入动作后只导入了第一次的100个用户
55575 【性能】测试Bug导出页面响应缓慢 (Feedback#4813)
55579 学堂视频包yaml文件添加视频之后重新上传，视频会叠加 (Feedback#4760)
55582 工单关闭没有触发邮件通知给到通知邮箱 (Feedback#4234)
55781 工单批量指派下拉菜单中显示了多余的空白条
55802 反馈1.5级导航中没有显示已关闭的产品
55861 任务关系列表中存在已完成任务时，添加新的任务关系保存出现报错
55862 添加任务关系列表的洌览器标题显示了“创建任务关系”
55896 在任务关系列表编辑任务关系，选中的条目和弹窗中的对不上
55897 编辑任务关系时，已完成的任务没有自动填充到当前控件
55902 编辑任务计划起止日期超出执行，保存时报错
55961 取消父任务时子任务被取消，子任务的任务关系没有被删除
56071 反馈转工单弹窗中通知邮箱输入框过窄
56074 后置任务有多个前置任务时，单个编辑任务关系时没有出现温馨提示
56228 进入子表字段列表中退出后专属工作流groupID消失
旗舰版：
55485 项目甘特图的计划完成、是否延期、延期天数均不对 (Feedback#6895)
55502 工单的通知中只有邮箱通知才有关闭动作 (Feedback#6955)
55514 BI报表导出后不能汇总数据 (Feedback#6604)
55531 版本升级，自定义SQL兼容性有问题，导致自定义报表不可用 (Feedback#6225)
55532 【性能】公司动态汇总表需要加载1.4-1.6分钟。 (Feedback#6221)
55535 甘特图中任务延期天数和任务详情中延期天数不一致 (Feedback#6186)
55619 瀑布项目里程碑报告里的“开始周数与结束周数”数据计算出现问题 (Feedback#4117)
56239 复制有任务的项目后，任务没有创建动作的历史记录
56248 项目QA检查项页面切换1.5级导航一直在转圈
IPD版：
56138 项目阶段计划时间异常 (Feedback#7349)

2024-09-30 20.7.1
完成的需求
修复的Bug
开源版：
30619 项目发布列表页分支显示不全时未添加title
37175 复制需求时修改所属产品页面部分字段丢失
41031 提需求页面，所属计划列出了已关闭计划 (Feedback#4624)
42133 项目集下创建项目超出预算时提示文案不准确
42439 后台设置了关闭产品不能修改后，批量处理Bug仍然高亮了关闭按钮
42742 【20版本】执行下批量移除研发需求未提示会清空用例
43045 用例详情页没有显示所属场景字段
43625 【20版本】新手教程部分页面未校验必填
46177 解决Bug时新建版本，建议修改字段名称
48352 【20版本】执行关联多个产品需求列表页面没有选择产品时显示了批量创建需求按钮
48650 【20版本】需求详情页切换产品，提示对象不存在
48671 【20版本】勾选和不勾选需求时用例覆盖率显示不一致
48688 【20版本】联系人组被删除后，联系人组成员还显示在控件中
48696 【20版本】阶段名称长时，项目仪表盘中未显示“里程碑”icon
48698 【20版本】研发看板中提bug表单中创建版本后仍显示按钮
48711 【20版本】禅道使用天数显示不一致
48717 【20版本】运营管理界面看板切换分组方式后展示不对
48729 【20版本】产品线删除后回收站不显示
48742 【20版本】永久关闭区块提示文案中路径不正确
48749 【20版本】瀑布项目仪表盘项目计划区块产品下拉中没有选中态
48795 【20版本】运营管理界面编辑任务不应显示父任务字段
50153 待定的计划导入看板后，时间显示成了2030-01-01
50189 升级后使用帮助区块运行模式下“轻量管理模式”文案样式不对
50620 提示无权限的重新登录，没有响应
51462 后台设置必填项后批量建任务页面必填字段未显示必填标识
51549 通用看板下有多个区域，进入看板中泳道高度不正确
52216 接口库权限控制漏洞 (Feedback#5573)
53839 项目集下创建项目，项目的计划起止时间/预算超出项目集，没有提示
54096 在制品设置提示访问对象不存在
54497 编辑多人任务的团队，团队成员下拉显示Closed
54576 添加计划弹窗时间控件换行
54839 升级到20版本后，编辑之前版本的mardown文档图片丢失 (Feedback#6898)
54912 导入用例页面中分支模块和需求没有关联关系 (Feedback#6778)
55055 多人任务创建后指派给显示成了团队
55056 回收站重复数据判断提示语错误 (Feedback#2234)
55066 项目执行文档发布页面中所属执行显示了所有执行
55069 项目文档中查看执行下的文档后文档目录缺乏项目库的文档目录
55071 项目文档中查看执行下的文档后文档目录信息显示错误
55119 保存的标签切换后，搜索条件没有改变 (Feedback#7057)
55121 使用保存的条件搜索，条件名称不显示在标签栏 (Feedback#7056)
55202 父任务详请页面没有指派给按钮 (Feedback#3263)
55228 附件权限，预览下载权限不生效 (Feedback#6417)
55243 通用看板卡片上显示的是用户首字母而不是中文名字 (Feedback#7040)
55261 使用教程中维护部门页面点击上级部门会刷新页面，导致指示框消失
55292 问题转任务，任务类型切换为事务的时候没有变成多选
55419 bug报表统计数据不正确 (Feedback#7097)
55449 创建需求页面创建计划刷新输入框后输入框变小
55455 测试报告修改时间后没有刷新数据 (Feedback#7123)
55456 接口调用传参特殊字符&会被转义 (Feedback#6408)
55478 关闭的bug无法在列表中执行复制操作 (Feedback#6669)
55501 后台安装插件有报错
55525 编辑bug页面必填项下拉菜单不显示[所属执行] (Feedback#5587)
55527 团队成员列表操作栏表头缺少中文语言项
55530 重置管理员密码，保存报错
55569 requestType设置为GET的时候，浏览器里执行定时任务，会显示一级导航
55576 从用例库导入的用例点击同步，不会同步“关键字”字段 (Feedback#7180)
55592 退出登录后会显示登录过期
55601 发布文档时切换产品，保存报错
55616 18系列级到20系列之后部分权限被取消勾选 (Feedback#7159)
55625 编辑产品有报错
55627 批量编辑产品计划会清空计划的所属分支
55628 创建需求时选择不到某个分支下关联了两个分支的计划
55644 测试报告切换tab后，鼠标悬停在“？”不显示提示文案 (Feedback#7209)
55645 后台回收站列表字段宽度改为与20系列一致
55654 批量编辑分支为重复的分支名，没有错误提示信息且页面转圈
55655 切换产品，创建文档页面提示不正确
55666 内禅中关闭需求选择重复需求时部分需求搜索不到
55671 创建设计页面三级导航全部菜单未高亮
55674 Bug创建表显示数据不正确
55677 编辑bug接口必填校验逻辑不正确
55679 拥有所属模块的用例库用例导入到项目下提示了“相同模块已导入”
55688 从用例库导入用例编辑修改之后无法再次触发同步 (Feedback#3129)
55693 已删除的产品还会显示在项目和执行中
55706 达梦数据库版禅道，后台安装插件有报错
55708 达梦数据库版禅道，卸载devops插件报错
55722 树状图中不显示有父需求的研发需求
55726 地盘待处理有报错
55738 编辑多人任务报错 (Feedback#7202)
55741 创建bug传入附件超过限制报错 (Feedback#7248)
55742 安装9月29日16:00包报错
55743 瀑布项目下设计页面有报错
55744 项目版本页面报错
55745 编辑任务独立模块，保存后丢失了模块
55746 windows一键包环境，大桌面登录失败
55750 用例库查看库概况报错
企业版：
32979 用例库导入用例，前置条件窗口内容没有格式 (Feedback#2430)
34354 delay字段不能做为工作流添加字段时的代号 (Feedback#2838)
36021 私有产品指定工单负责人该人仍看不到产品 (Feedback#3300)
36928 日志编辑后不能将项目信息记录 (Feedback#3638)
54672 产品新增日志没有必填标识
55057 工作流配置的新流程，数据详情页面不同位置的“返回”按钮，返回页面不一样 (Feedback#4318)
55060 项目文档中创建执行文档时，发布页面默认的所属执行不正确 (Feedback#3871)
55107 地盘审批列表打开反馈详情页面，页面左上角有产品切换按钮
55293 查询数据表左连接悬浮样式不正确
55294 查询数据表下拉列表中没有显示中间表
55367 透视表可以维护无限层级分组但是创建时候选择不到
55401 发布的透视表切到手写sql保存草稿会清空透视表设计
55414 年度完成项目过程数据大屏，切换年度无效 (Feedback#6310)
55499 [汇总的展示位置]缺少英文语言项
55507 年度完成项目大屏中部分数据统计显示为0
55508 [汇总的展示位置]默认选择不正确
55534 Bug解决表清空筛选器后依然显示数据
55556 手写sql点查询有报错
55558 透视表预览区域没有展示设置的字段名
55611 下拉类型结果筛选器失效
55612 删除工作流子表时有F12有报错
55662 exce导入后，<null> 字符被转为空 (Feedback#4422)
55667 工作流权限列表中未勾选的标签流程列表中却显示该标签 (Feedback#2411)
55668 执行甘特图中超期未完成任务没有标识 (Feedback#6118)
55695 SQL构建器中查询筛选器为多选下拉时组件不正确
55697 图表透视表分组tab显示错误且点击不显示对应数据
55710 导入研发需求页面代码报错
55711 工单转Bug页面勾选影响版本字段上的“所有”后字段消失
55713 批量完成工单有报错
55714 批量激活工单报错
55718 导入研发需求列表页有报错
55719 工单转研发需求校验了模块必填
55725 工单转研发需求页面切换1.5级导航报错
55731 工单列表中未填写来源的工单显示为0，点击提示对象不存在
55734 创建工作流有报错
55735 发布的工作流中创建表单点击保存提示失败
55736 页面中显示内置所属XX字段后表单中选择时有个空白选项
旗舰版：
24665 升级到max3.3后，敏捷模型的文档列表显示了内置数据
27356 质量保证计划检查结果为否，保存草稿，不显示严重程度
33041 批量编辑需求提示有必填项后会返回需求列表 (Feedback#2538)
46270 瀑布项目周报里的项目当前进展状况不显示CV的提示语 (Feedback#4887)
48654 【20版本】项目集1.5级导航的下拉菜单中项目集排序不对
51030 项目问题记工时弹窗中工作内容较多时没有换行
51241 导入机会库弹窗中左侧空白较大
51443 回收站中质量保证计划的对象名是空的
51838 需求库下导入需求列表点击需求名称后页面展示需求详情页了
52378 Scrum项目中干系人缺少问题列表功能 (Feedback#2930)
52647 文档详情中目录没有默认展开 (Feedback#6391)
52694 Max4.10使用达梦数据库安装后瀑布项目的里程碑报告页面显示错误 (Feedback#5642)
53850 进入某个需求库后，左上角资产库的标签没有icon了
54146 后台-模型配置-融合瀑布模型-设计类型，新建后不生效 (Feedback#6459)
54394 自定义字段在用例详情页无法按指定顺序显示 (Feedback#6497)
54421 英文模式员工负载表部分字段显示德语 (Feedback#6584)
55432 编辑问题类型日志页面执行下拉数据不对
55475 工单指派给当前用户没有标红 (Feedback#7139)
55526 项目QA中新建计划后全部标签下没有显示
55533 瀑布项目甘特图中拖动调整任务排序刷新后排序无效 (Feedback#7158)
55553 添加不符合项，缺少必填项不会提示，加载后超时 (Feedback#7163)
55609 基线评审保存时报错
55656 由复制创建而来的项目，被复制时没有显示阶段信息 (Feedback#3135)
55657 项目工作流中添加自定义字段，复制项目保存时报错
55700 无所属执行的质量保证计划在列表中不显示
IPD版：
35152 甘特图中提交评审，没有带过来评审点
35257 立项评审，历史记录语言项优化
35258 ipd界面产品下的路标详情页显示多余的复选框
35318 需求池搜索条件选择框中显示了多余的空选项
35358 立项详情页预算没有带单位
35587 在需求池下面创建的需求，通过切换用户可以指定创建者自己为自己进行评审。
39339 调研的任务列表中，阶段与任务的“延期”标识不统一
40831 调研任务详情页指派弹窗页，指派给显示为用户名
43665 需求池需求详情页英文语言项下分发产品字段显示换行
45249 OR界面和IPD页面反馈列表自定义设置会相互影响
45983 反馈转待办勾选周期后再取消，待办名称控件和提示不正确
45986 激活路标icon鼠标悬浮没有显示名称
46079 OR界面全局搜索对象中没有增加反馈
46322 在需求池概况页面编辑需求保存后跳转到了需求池列表
46772 撤回分发用户需求的历史记录信息不正确
47234 分发产品时新建产品，没有出现新建路标复选框
47255 IPD项目设置阶段时阶段时间不合理时，建议修改提示语中的“计划结束”为“计划完成”
49349 调研阶段页浏览器title显示[发起调研]
49445 需求池关闭子需求弹窗，弹窗抖动
49473 问题列表选择评审项重叠显示
49880 IPD项目撤回评审点时会闪过一个空白弹窗
49948 分发需求弹窗中历史记录区域有遮挡
50579 升级前创建用户需求评审升级后评审页面不显示项目下的用户需求
50717 未选择产品的需求池需求，在需求列表页没有显示为待定
50892 发起调研必填项没有一起弹出
50897 编辑调研任务显示成了弹窗
50903 调研任务操作栏完成图标显示不正确
51207 调研阶段列表页，阶段负责人没有居中显示
51231 访问项目一级导航提示无权限访问该项目
51272 IPD项目阶段列表任务的负责人显示成了用户名
51306 反馈/工单同步产品模块弹窗页面样式不正确
51309 OR界面添加产品不填写规划负责人时，列表显示了规划负责人
51345 OR界面日程视图页面右侧显示了OR界面没有的对象标签
51351 全局搜索一个不存在的报告，会跳转到一个空数据报告详情页
51366 IPD项目版本列表页，“阶段”字段显示成了“ipd”
51397 评审需求后，二级导航高亮缺失
51439 OR界面反馈转用户需求没有自动带入反馈名称
52387 OR界面Charter立项的用需变更按钮的显示与提示不一致
53506 内禅和最新测试环境中，测试用例导出模板时会同时出现拖拽操作选择
53507 用例通过模板批量导入时，无法带入模板中设置的模块和产品
53658 反馈产品设置中选择名称很长的产品后，显示超出
54528 OR界面产品列表显示顺序与IPD界面不同
54697 在后台模型配置中添加QA检查项后，创建不符合项时仍然选不到检查内容
55089 IPD 1.4升级到 IPD 2.3之后需求池需求所属阶段计算错误 (Feedback#7032)
55552 编辑项目修改charter，提示没有维护分支 (Feedback#6120)
55608 需求池需求评审人没收到邮件通知 (Feedback#5260)
55676 编辑项目时选择charter没有带出charter的产品
55678 OR界面地盘待处理的需求池需求列表页报错
55682 IPD项目设计下的三级导航都高亮了
55686 编辑项目时选择所属charter后关联的路标显示空
55740 路标被立项后，需求的历史记录里显示状态调整为已立项 (Feedback#7249)

2024-09-14 20.7
完成的需求
开源版：
64421 菜单右键操作增加恢复默认功能
63553 基础教程新增Scrum项目管理教程
63552 基础教程新增瀑布项目管理教程
63551 基础教程新增看板项目管理教程
63548 进阶教程新增看板项目管理教程
63547 进阶教程新增瀑布项目管理教程
63546 进阶教程新增Scrum项目管理教程
63519 菜单右键操作增加移动排序功能
63518 菜单右键操作增加添加功能
63517 菜单右键操作增加隐藏功能
63512 基础教程系列新增测试管理教程
63511 基础教程系列新增任务管理教程
63437 进阶教程新增产品管理教程
63436 进阶教程系列新增文档管理教程
63435 进阶教程系列新增项目集管理教程
63434 基础教程系列新增产品管理教程
63433 基础教程系列新增账号管理教程
63432 新手引导教程修改为快速上手系列教程
63431 头像的下拉菜单顺序和分组调整
企业版：
67251 工作流在不同界面增加不同所属XX字段
66955 创建工作流时可以选择是否和1.5级导航联动
66942 数据表中调用sql构建器组件
66941 透视表中调用sql构建器组件
66940 封装sql构建器对外接口回调
66939 封装sql构建器的交互事件
66938 封装sql构建器的组件页面
66937 系统内置对象在多个菜单下展示时，工作流修改均生效-用例、Bug
66935 内置工作流的列表支持拓展配置
66934 工作流目前支持的对象的列表采用高级表格渲染
66867 非内置的工作流配置在一级导航可以选择icon
66179 查询筛选器选择逻辑优化
65467 查询筛选器下拉菜单优化
65461 员工登录次数统计表
65460 日志汇总表
65459 公司动态汇总表
65441 任务状态统计表
65440 任务类型统计表
65439 项目任务指派统计表
65438 项目任务完成者统计表
65437 项目投入统计表
65436 项目需求状态分布表
65435 项目需求阶段分布表
65434 项目Bug解决方案分布表
65433 项目Bug状态分布表
65432 项目Bug创建者分布表
65431 项目Bug解决者分布表
65430 项目Bug指派给分布表
65429 项目质量表
65428 项目进展表
65427 项目执行Bug类型统计表
65426 产品投入表
65424 产品汇总表
65423 产品需求交付统计表
65422 产品需求状态分布表
65421 产品需求阶段分布表
65420 产品发布数量统计表
65419 产品Bug类型统计表
65418 产品质量表
65417 产品Bug解决方案统计表
65414 度量项联表查询的优化
65413 实现结果筛选器为空时不查数据
64417 工作流对象列表根据1.5级导航展示
64416 搜索所属项目集、产品、项目、执行时增加全部
64414 工作流中内置项目集、项目、产品、执行字段支持在工作流中使用
64142 非内置工作流中，主表增加所属执行字段
64141 非内置工作流中，主表增加所属产品字段
64140 非内置工作流中，主表增加所属项目字段
64139 非内置工作流中，主表增加所属项目集字段
64137 创建工作流时可以选择导航、视图和位置
63956 工作流配置的动作也可以发起通知
63935 系统内置对象在多个菜单下展示时，工作流修改均生效-发布、版本、计划
63904 工作流生成的列表使用高级表格
63377 实现新增函数字段步骤的空页面
63327 实现设置分组并聚合的空页面
63325 实现添加动态查询筛选器的空页面
63323 实现无查询条件、无查询条件组时的空页面
63285 实现查询数据表步骤为必填的功能
63284 实现SQL构建器的小步骤条功能
63189 透视表、图表、中间表的手写SQL页面增加数据字典
60817 点击步骤条中的查询数据步骤的按钮，默认进入查询数据表页面
60676 实现添加查询筛选器生成相对应的sql语句
60675 实现添加查询筛选器的功能
60674 实现添加动态查询筛选器的标题和帮助问号
60673 实现添加组、删除组的功能
60672 实现组与组间的且或功能
60509 实现新增字段的添加和删除功能
60506 实现新增字段生成对应sql的功能
60504 实现新增字段的功能
60502 打印新增字段的标题和帮助问号
60500 实现添加查询条件、删除查询条件的功能
60489 实现设置分组并聚合后生成对应sql查询语句的功能
60484 实现设置分组并聚合的功能
60483 实现设置分组并聚合的弹窗标题和提示文案
60482 打印设置分组并聚合的开关和帮助问号
60471 实现预览构建的sql语句的弹窗
60469 sql构建器页面新增预览构建的sql语句按钮
60468 实现选择完表字段后生成对应sql查询语句的功能
60467 实现根据选择要查询的表生成相应sql查询语句的功能
60465 实现联表查询后字段的选择功能
60464 实现只选择主表时字段的选择功能
60463 打印选择查询表中的字段的标题和帮助问号
60292 实现联表查询的增加和删除功能
60291 实现联表查询的功能
60290 打印添加左连接的按钮和帮助问号
60289 实现选择主表的功能
60288 选择要查询的数据表的标题及帮助问号
59810 实现查询条件生成sql的能力
59808 打印添加确定性查询条件的标题和帮助问号
59804 优化查询筛选器的功能
59793 切换查询方式时新增二次确认弹窗
59790 图表、透视表和中间表的sql编辑器页面新增模式切换按钮
57467 维度可以设置访问控制权限
57466 大屏可以设置访问控制权限
57465 图表可以设置访问控制权限
49576 透视表可以设置访问控制权限
36392 工作流显示在二级导航时，分配权限时可以显示在对应模块下
IPD版：
53370 在贡献的反馈列表中实现搜索功能
53369 在贡献的反馈列表中实现筛选标签功能
53368 实现贡献的反馈列表功能
53367 在贡献的调研任务列表中实现搜索功能
53366 在贡献的调研任务列表中实现筛选标签功能
53365 实现贡献的调研任务列表功能
53364 在贡献的用户需求列表中实现搜索功能
53363 在贡献的用户需求列表中实现筛选标签功能
53362 实现贡献的用户需求列表功能
53361 在贡献的需求池需求列表中实现搜索功能
53360 在贡献的需求池需求列表中实现筛选标签功能
53359 实现贡献的需求池需求列表功能
53358 贡献的三级导航中打印需求池需求、用户需求、调研任务、反馈菜单
53357 地盘二级导航中打印贡献菜单
修复的Bug
开源版：
54402 编辑用例的时候相关需求显示不全 (Feedback#6833)
54407 业务需求、用户需求详情页中没有切换上一个下一个按钮
54410 项目-版本中搜索功能无法正常使用 (Feedback#6854)
54412 添加用户时错误的获取了项目权限分组 (Feedback#6822)
54442 任务列表不显示产品模块 (Feedback#6860)
54448 看板卡片右上角点击无效
54537 在地盘中点击已隐藏菜单的对象，点击后报错
54789 复制项目选择项目集后权限控制没有显示项目集内公开选项
54794 左键点击添加的三级导航，刚添加回来的三级导航消失了
54803 运营管理界面，右键一级导航，添加菜单有空白选项
54806 三级导航恢复默认失效
54807 隐藏执行下的看板导航，隐藏后多出来一条分割线
54878 瀑布项目右键添加了二级导航后刷新页面后消失了
54885 多人团队编辑成员弹窗中箭头不能跟任务模块联动显示
54896 建任务弹窗任务类型等下拉框无法选择 (Feedback#6881)
54897 创建多人任务页面指派给成员框中删除成员预计工时未更新 (Feedback#6887)
54898 复制Bug时指派给被置空 (Feedback#6990)
54917 白名单联系人选择框内容折行显示且有遮挡
54918 瀑布项目下二级导航的设置菜单不显示了
54961 后台关闭短信发信通知后页面操作有报错
54970 需求评审人没有收到邮件通知 (Feedback#7022)
55022 当导航被隐藏，通过URL访问当前导航下的内容时，无法显示
55033 20版本需求所属计划支持按空条件搜索 (Feedback#7031)
55048 20版本需求列表搜索控件中，值缺少“空”选项 (Feedback#7042)
55054 设计详情页不显示设计类型字段
55072 套件列表有zin提醒
55085 设置阶段页面有报错
55098 自定义导航设置后刷新页面会自动重置
55105 项目设置团队时删除至最后一行也可以删除
55108 新手教程中右键设置隐藏二级导航后，导航和提示信息都会消失
55110 用例库的用例列表页导入csv页面代码报错
55115 创建文档页面点击附件库时，页面代码报错
55116 测试单用例列表页点击指派给我的tab标签，页面代码报错
55127 导航排序后2个分隔线显示在一起
55139 基础教程中瀑布项目的阶段设置填写表单页面有报错
55141 设计删除后详情页没有已删除标识且还可以进行操作
55151 使用教程中还可进行自定义导航
55195 项目下没有执行时提Bug所属执行显示false
55200 一般创建页面中的抄送给字段的创建联系人弹窗中，创建联系人按钮点击无效
55204 执行下需求自定义标签下显示任务的自定义搜索条件 (Feedback#7053)
55205 发布移除研发需求时，提示没有使用模态框
55210 数据详情页弹窗中使用方向键会切数据 (Feedback#7062)
55217 项目下创建用例页面点击查看需求详情，关闭弹窗后已填写的内容被清空了
55224 项目型项目下需求的看板视图中显示了取消关联按钮
55231 进入大屏后点击透视表二级导航有502报错
55236 未启用迭代项目需求列表页面取消选中产品会跳转到执行页面 (Feedback#6906)
55239 已完成、已关闭的任务截止日期还会显示红色 (Feedback#6900)
55247 无产品时产品线无法删除报302
55252 测试单的用例列表页按套件查看时，代码报错
55255 创建的子项目集变成了顶级项目集
55256 执行测试用例列表页不显示用例ID了
55265 执行需求列表点击已保存的查询条件后搜索条件未回填
55266 多人任务删除已有成员后，维护成员弹窗中成员被删除错误
55273 任务详情页备注的数据不支持全局搜索 (Feedback#7090)
55277 Xmind导入已有id用例后用例步骤为空 (Feedback#6404)
55280 组织-团队中选中人员后查看用户需求提示访问的对象不存在 (Feedback#6415)
55286 重建索引到用户需求卡住了，后台有报错
55291 自定义导航存在两条分割线连着的情况
55297 所属模块和相关需求数据不联动
55300 bug的复制按钮列表和详情页面动作不一致 (Feedback#7096)
55306 已经完成/关闭/取消的延期的任务还会标红显示 (Feedback#7083)
55321 项目重新定义权限设置不生效 (Feedback#6137)
企业版：
37619 新建的工作流发布到二级目录的“项目/瀑布”下后，选择的显示位置不生效 (Feedback#3900)
39754 工作流添加字段值在项目研发需求页面不显示 (Feedback#4377)
40320 产品发布工作流设计跨流程设置时代码报错
40326 产品计划工作流新增字段在列表展示错误
45792 导入需求，分支下显示了所有分支的模块 (Feedback#5095)
53579 工作流设置全文检索不生效
53981 工作流不支持扩展JS
54274 工作流使用新增的动作，左上角的产品信息会变 (Feedback#5435)
54276 新建工作流搜索之后选中无法批量编辑 (Feedback#5227)
54308 自定义增加的工作流无法分配报表权限 (Feedback#2571)
54322 对内置工作流需求新增加的字段在项目模块下无法进行搜索 (Feedback#6550)
54328 对内置工作流用例新增加的字段在项目模块下无法进行搜索
54351 迭代燃尽图大屏不显示名称 (Feedback#6843)
54361 小数字段校验不通过 (Feedback#6402)
54362 读取不到新加字段的数据 (Feedback#6425)
54366 设置了某条件则附件隐藏，但是附件未隐藏。 (Feedback#1775)
54368 工作流新增的字段使用包含的条件搜索时不准确 (Feedback#6344)
54384 LDAP导入用户界面部门宽度太小无法查看全部名称 (Feedback#6466)
54395 工作流中无法添加扩展动作 (Feedback#4288)
54572 工作流字段类型为附件时隐藏后还需要必填 (Feedback#4659)
54795 运营管理界面的反馈中丢失创建时间字段
54801 发布到项目集二级菜单的自定义工作流点击后菜单内容错误 (Feedback#4207)
54888 删除字段代号为‘type’的字段，会干掉这个流程里所有动作的扩展动作 (Feedback#6995)
54915 英文下创建编辑维度、透视表和大屏页有报错且不显示访问控制
54916 编辑内置维度页维度名有遮挡
54919 通过修改url可查看无访问控制权限的BI数据
54965 大屏访问控制的文案不正确
54973 工作流中列表设置显示了自定义字段在列表的自定义显示弹窗中没有自动勾选显示
54982 图表前台页显示了他人的私有图表
54983 图表访问控制文案不正确
54985 大屏存为草稿有报错
54986 草稿态大屏编辑页没有将访问控制设置带进来
54988 部分页面访问控制白名单右侧没显示联系人
54991 升级后流程页面中默认显示的所属项目集/项目/产品/执行字段是新添加的
54995 内置工作流列表中显示自定义字段的用户升级后列表中没有显示该字段
54996 复制内置所属XX字段不管复制的哪个字段数据源都是产品
54999 运营界面项目工作流扩展但不显示新增字段自定义列却显示了该字段
55016 通过excel导入bug没有覆盖掉项目 (Feedback#6938)
55017 图表保存草稿报错
55045 套件列表自定义设置页点击保存后编号和套件名称重叠
55051 切换为二级导航但未选择所属视图时显示了是否从属于项目集
55053 新增流程页面所属导航选择二级导航且所属视图选择项目集后“是否从属XX”默认未勾选
55061 快捷编辑器新建界面可删除所属XX字段
55063 组织日志导出模板中没有默认选择记录人 (Feedback#1862)
55064 项目集下流程列表切换1.5级导航到其他项目集时页面跳转错误
55065 工作流设置从属于XX后流程详情页未显示1.5级导航
55067 新建流程页面提示所属产品提示应当是数字
55073 英文下后台通知设置页工作流新建和编辑未显示为英文
55075 搜索所有项目集下流程只列出了当前项目集数据
55076 部分内置透视表日期筛选器没有默认为近一周
55080 搜索输入框中搜索所属XX，值中显示了两个空
55081 日志汇总表描述缺少语言项
55084 组织-日志中可以看到系统中删除的用户 (Feedback#7044)
55088 新增表页面显示了所属导航和位置字段
55092 12.5.3升级biz10.6有报错
55096 对业务需求新增自定义动作操作该动作保存信息报错
55097 biz7.6升级biz10.6有报错
55099 biz7.6升级biz10.6创建ok.txt步骤中有报错
55111 自定义工作流数据校验页面有报错
55117 工作通知不给创建人发信
55118 在项目视图下新增的工作流权限未显示在项目模块的权限下
55120 工作流所属视图为瀑布项目时二级导航菜单显示的位置不对
55130 修改自定义工作流的位置从项目集应用下修改到执行应用下不显示在执行中
55133 任务状态统计表，筛选执行结束日期无结果
55134 项目任务完成者统计表无法统计没有部门的用户数据
55146 修改工作流位置后所属XX没有自动必填
55149 隐藏左侧导航的自定义工作流后添加菜单列出一个蓝条
55150 发布弹窗中缺少一级导航显示
55155 工作流发布页面选择一级导航后位置下拉未列出数据
55158 设置工作流从属于执行后阶段下没有显示对应的工作流
55164 大屏画布中无法拖入透视表
55174 项目-计划创建页面不显示工作流中添加显示的自定义字段
55185 项目类型查询筛选器默认值下拉菜单为空
55198 自定义工作流配置在二级导航也可以选择icon
55214 工作流数据校验页面不进行校验时显示了SQL和字段
55215 新增表页面显示了icon选项
55216 安装后研发需求添加字段产品-需求列表扩展后设计页面显示空白名称的字段
55218 进入某个项目集后二级导航错乱
55219 产品投入表和产品汇总表，无法查看结束状态的产品数据
55235 运营管理界面点击一级导航进入的反馈列表的“创建时间”搜索条件有不显示 (Feedback#6953)
55238 查询筛选器保存时没有提示字段不能为空
55285 不选择查询字段无法进去[查询数据表]中
55296 添加动态查询筛选器有报错
55298 连接多个表，选择查询字段页面显示有问题
55303 选择数据表区域没有滚动条
55307 选择查询字段，字段名显示不全
55308 编辑工作流页位置下拉未过滤掉当前工作流
55310 点击设计透视表有报错
55316 导出用例模板选择需求，显示拖拽操作的弹窗
55328 工作流设置代做设计中未带入字段的校验规则 (Feedback#7107)
55331 自定义工作流维护的数据能够通过点击ID打开详情页 (Feedback#7103)
55332 快捷编辑器设置字段必填没有带到高级编辑器
旗舰版：
44481 执行任务甘特图与项目甘特图的任务延期信息不一致（项目甘特图数据有误） (Feedback#4947)
53178 测试下Bug列表导出模板时报错
53601 添加会议页维护联系人后跳转错误
53605 后台权限维护列表切换英文语言项时报错
53634 审批流转交人无法评审 (Feedback#6733)
54005 项目设置阶段页面删除阶段不生效 (Feedback#6598)
54128 工作流搭建的审批流程无法看到完整的操作项 (Feedback#6727)
54130 工作流扩展字段，导入设置必填不生效 (Feedback#6720)
54226 导出项目周报由谁完成显示不一致 (Feedback#2784)
54311 审批流当审批人被删除时选项有重复 (Feedback#6840)
54405 复制项目最后点击复制完成按钮报错 (Feedback#6859)
54788 复制瀑布项目选择复制全部数据保存阶段数据时保存成功提示中有报错
55009 20版本瀑布项目测试用例列表页没有提交评审缺失
55019 审批流的发起人自选时，审批的人员不能多选
55058 工作流中数据发起审批后就无法删除了 (Feedback#4660)
55086 创建子阶段页面里程碑字段置灰不可编辑 (Feedback#6100)
55275 复制项目型瀑布项目时报错 (Feedback#7092)
55299 biz8.13工作流升级到max5.6关联审批流后数据详情页有报错
55329 内置工作流开启审批流保存时报错
55330 发起评审时自动将选择的一级审批人带入到其他节点中 (Feedback#7106)
55334 审批页面转交时有报错
55336 内置工作流开启审批后发起审批时报错
IPD版：
43766 需求池或需求池内需求进行通知操作时，未正常收到浏览器通知
44127 OR界面复制权限分组显示到IPD研发管理界面 (Feedback#4980)
45753 独立分组的用户，OR界面地盘动态不显示
46046 php7.0版本，max4.6升级到ipd1.3，OR界面点击反馈一级导航显示502
47414 【20版本】OR界面产品路标页面不显示1.5级产品导航了
47500 IPD项目下执行删除重新创建之后，页面中显示重复的TR、DCP评审内容 (Feedback#5358)
47541 需求可以多次分发到同一产品 (Feedback#5415)
47545 需求与市场管理界面默认没有执行搜索权限 (Feedback#5397)
47653 【20版本】IPD项目设置阶段是否允许并行处缺少问号说明
48394 【20版本】OR界面批量编辑反馈时三级导航未高亮
49264 火狐浏览器反馈/工单，日志弹窗闪退
49440 需求池需求细分子需求的历史记录不正确
49506 项目下创建需求，需求层级字段显示在最下放
49703 后台更新动态区块中内容和日期重叠显示了
49717 切换项目1.5级导航，有代码报错
49725 需求池需求详情页分发产品显示不完整
49777 提研发需求提示迭代没有关联产品
49809 需求池需求评审人可以选择提交评审人
49841 子业务需求不可拆分，提示文案也不正确
49862 撤回分发的需求池需求历史记录中显示了用户需求的ID
50900 调研任务列表标签数量显示不正确，且没显示统计信息栏
50919 调研下没有阶段时建任务必填提示显示有误
51614 非超级管理员用户OR界面无法维护产品线
51924 已删除的产品在OR需求的分发产品字段中显示成了ID
52388 创建立项时如果点击了查看路标需求中的需求详情，提交立项后一级导航显示在“产品”下
52408 需求不能细分提示与状态不对应
53379 OR界面业需列表页显示了批量修改计划的按钮
53400 创建、编辑立项页已有一行或多行产品及路标信息时，新增空白行校验了产品名必填
53607 运营界面和OR界面下删除文档库权限显示为英文
53631 有批量编辑路标权限时，批量改需求的所属路标提示没权限
54024 IPD项目设置阶段时，计划开始日期小于上一阶段结束时间时无提示，无法保存 (Feedback#6791)
54213 后台开启代号并设置必填后不启用的阶段也提示要设置代号 (Feedback#6817)
54326 IPD项目设置阶段页面保存时会校验不启用阶段的计划日期
54515 需求池需求提交评审页必填提示信息和字段名不一致
54595 阶段列表页中查看评审报告，返回页面不对
54679 IPD项目甘特图的评审点显示编辑阶段
54695 立项详情页点击对象后再点击返回按钮，没有回到立项详情页
54696 立项详情页显示“用户需求”
54770 甘特图中点评审点有报错(偶发)
54802 需求池需求详情页鼠标悬浮在分发产品上没有title
54821 关闭状态的需求不可拆分时拆分按钮隐藏了
54852 贡献需求池需求列表搜索后点击表头所属需求池页面报错
54857 编辑评审中状态的需求池需求保存报错
54858 需求池需求撤销评审后，再次编辑评审人保存不上 (Feedback#6982)
54860 用户未分配指派反馈的权限时，指派反馈显示了load信息
54864 贡献的反馈列表中转需求池需求，保存后跳转到反馈详情页但二级导航未高亮
54872 批量建调研子任务时代码报错
54874 贡献的调研任务列表没有显示调研子任务
54875 贡献的调研任务列表页搜索条件没有修改为所属调研和所属阶段
54876 完成调研任务时指派人无法选择
54881 贡献用户需求列表搜索条件所属路标可选项显示为空
54883 贡献的需求池需求列表由我指派标签下不显示数据
54887 父业需详情页点击子业需的拆分按钮报错
54905 IPD项目创建阶段时，不启用的阶段提示‘计划完成不能为空’，无法保存， (Feedback#7001)
54924 IPD项目设置阶段时删除一行阶段的名称保存，该阶段不显示了
55032 复制项目后项目权限分组下的权限复制不生效 (Feedback#7035)
55213 需求池草稿需求提交评审时，没有自动带出已设置的评审人
55230 删除调研任务，点击确定实际没删除成功
55242 开启反馈评审流程后，or界面创建的反馈仍然无需评审
55314 IPD版本编辑项目保存时代码报错
55324 研发管理界面-后台-功能配置-反馈-评审流程评审人范围不正确 (Feedback#5406)

2024-08-30 20.6
完成的需求
企业版：
63570 创建动作界面不支持创建子界面
63522 内置工作流程界面不支持编辑内置字段
63514 界面渲染功能优化
63513 保存界面设置功能优化
63510 历史界面数据处理为默认界面
63472 批量操作的动作不支持创建多个界面
63471 列表不支持创建多个界面
63470 子界面支持删除
63468 子界面触发条件保存校验
63467 界面支持编辑子界面
63466 界面支持创建界面
63465 维护界面样式优化
63414 快捷编辑器的配置只对默认界面生效
63412 界面联动移动到单个界面设置
旗舰版：
63574 审批流创建页面增加绑定工作流字段
57432 支持在工作流中创建审批流程
36576 审批流条件支持使用绑定工作流主表中的字段
34265 审批流删除审批类型
修复的Bug
开源版：
24400 版本中，关联的需求，阶段字段不显示
24405 编辑文档页面跳转其他执行有误
25464 执行编辑到其他项目，项目里的测试单还在原来的项目里
25948 编辑日志导致任务消耗工时变为0，任务被重新激活。
26829 多人评审，编辑页面已评审的人员能被删除
27101 在创建任务页面关联需求应该新开标签页
27957 工时提示文案不正确
29357 12版本升级至17.8，多分支需求阶段错误
30895 项目型项目添加执行页面，无关联计划字段
30900 孪生需求关闭后，父需求未关闭
31272 新建测试任务 ，勾选选择研发需求复选框后，无法设置多人任务
31318 创建发布时选择包含版本后，发布没有自动关联版本中的Bug
31436 创建需求，选择分支后，用户需求没有带出相应的选项
32410 编辑融合瀑布项目需求阶段类型下的看板显示需求、测试、发布负责人
33640 维护任务关系时显示了父任务
33720 英文语言项下仅显示场景按钮显示错位
33752 导入导出Xmind按钮文案不正确
35505 瀑布项目创建版本未选择阶段时不能保存没有提示
36188 禅道集成svn后版本异常 (Feedback#2877)
36775 产品分支名称更改大小写以后无法编辑保存 (Feedback#3595)
36955 不启用迭代的项目研发需求页面搜索所属计划为空 (Feedback#3510)
37259 项目下创建bug可以关联到未关联项目的需求 (Feedback#3347)
38638 项目权限设置需求评审权限不生效 (Feedback#4124)
39477 ztf同步禅道的用例内容不全 (Feedback#4304)
39497 DevOps平台版安装成功后BI模块和定时任务模块乱码
40379 下拉框数据量比较大时无法搜索 (Feedback#4481)
40422 用例执行失败转bug页面两次跳转 (Feedback#4530)
40525 需求列表查看需求相关任务时任务编号显示不全 (Feedback#2815)
40531 轻量管理模式下产品排序无效 (Feedback#2868)
40534 api创建项目会同步创建一个同名的影子产品 (Feedback#2728)
40592 迭代关联多分支产品的不同分支时，列表所属产品字段仅显示一个产品名称
41288 没有测试单提测版本所属项目访问权限，可以通过连接进入测试单 (Feedback#4695)
42442 多人并行任务展示"团队"的文字格式有误 (Feedback#4848)
45888 测试-测试单 导出用例，无法导出数据 (Feedback#5148)
45909 项目延期的规则在列表和概况中的显示不一致
46068 用需历史记录中评审意见显示的不是后台设置的评审结果
46691 提业务需求界面缺少所属计划字段
47240 业务需求保存后进入的业需详情页没有选中二级导航
47245 计划关联需求页面字段的排序按钮点击没有反应
47387 批量创建用需页面删除选择的父需求后再选一个父需求需求层级没有变成第二层级
47391 第一层级的用需阶段不受子子研发需求阶段影响
47708 内禅中父需求拆分子需求后父需求下面没有显示对应的子需求信息
47833 父需求修改到多分支产品分支1，子需求分支为主干
47953 弹窗查看关联的需求点击所属产品弹窗没反应
47955 没有研发需求详情页权限时，用户需求详情页点击子研发需求名称会提示没权限
48246 关闭业需功能后项目下关联的业需没有隐藏
48287 无产品项目的需求列表有横向滑动条显示
48296 无产品项目计划中创建需求跳转到产品下
49200 执行设置页面关联产品区块更多链接不协调
49616 导出数据弹窗中自动带入的文件名需要修改
50308 需求列表和详情页优先级显示样式错误
50693 执行修改所属项目时可以选到无迭代的项目，没有设限制 (Feedback#5963)
51548 执行看板视图中泳道高度自定义不生效
51558 项目列表自定义列中负责人不能取消选中
51606 项目自定义权限分组中，修改已有用户的所属职位后用户会在权限分组中消失 (Feedback#3676)
51618 完成任务，指派给显示为用户名
51881 反馈转业务需求，反馈页面中打开业务需求弹窗，关闭第一次页面不刷新
52017 项目中没选择产品时，只能提研发需求
52056 【矩阵】产品和项目中的用户需求不能变更
52203 测试-用例导入用例库用例，所属模块报错 (Feedback#5958)
52251 任务列表勾选显示相关研发需求字段，显示错误
52310 专业研发看板下关联需求后不显示数据
52324 项目的测试用例列表中所属产品搜索条件的范围错误 (Feedback#5980)
52327 项目测试用例列表中反馈的搜索结果不对 (Feedback#5980)
52330 项目用例列表搜索结果的范围不正确 (Feedback#5980)
52381 大屏无数据显示为黑屏
52446 项目列表字段导出失败 (Feedback#3184)
52531 项目型瀑布项目中研发需求列表会显示计划字段 (Feedback#5072)
52533 支持导出需求的反馈者信息 (Feedback#4756)
52538 瀑布项目通过“阶段设置”和“添加执行”创建阶段的可用工作日计算方式不一致 (Feedback#6152)
52544 设置阶段偶现无法保存 (Feedback#5933)
52583 访问项目视图有报错
52588 Gitlab和禅道安装在同一个服务器上会发生错误 (Feedback#6289)
52715 已完成的任务记录工时后状态依然是已完成
52965 需求详情页父需求没有鼠标悬浮提示
52984 测试单中执行用例结果为失败时，无切换上一个下一个按钮 (Feedback#6519)
52993 20版本用例搜索按照结果搜索没有未执行选项，无法搜索未执行的用例 (Feedback#6510)
52994 提示没有业务需求详情页面权限，返回上一页不生效 (Feedback#6496)
52999 测试单中用例提完Bug后希望自动跳转回用例执行页面 (Feedback#6524)
53026 测试单的用例列表中搜索条件为结果字段，无“未执行”选项 (Feedback#6517)
53030 测试单中打开用例详情，切换上一个下一个会遇到访问对象不存在的提示
53037 测试单中打开用例详情，切换上一个下一个的按钮不在页面展示
53061 瀑布项目无法设置里程碑 (Feedback#6547)
53062 功能设置研发需求自定义页面显示异常 (Feedback#6549)
53243 编辑业用需时切换产品后所属计划字段输入框消失
53354 通过域名访问禅道，右键在新标签页打开时页面报错 (Feedback#4814)
53562 看板项目移除团队成员同时移除迭代成员不生效
53564 通用看板中的卡片超过2行后内容变成了一行
53600 [按执行统计的测试用例数]统计不到无迭代项目批量创建的用例
53637 【内禅】已创建了开发任务的研发需求，再添加测试任务时添加不成功
53682 20版本不支持对空步骤用例保存执行结果 (Feedback#5940)
53683 执行下用例转bug页面报错 (Feedback#6386)
53844 视频预览没有自适应，导致竖版视频无法完整查看 (Feedback#6785)
53994 评审中的需求详情页面不展示建任务的按钮 (Feedback#6529)
53996 测试-用例导入时步骤不显示，步骤数必须和预期数匹配 (Feedback#6565)
54000 瀑布型项目设置阶段排序不生效 (Feedback#6583)
54002 小皮面板源码安装失败 (Feedback#6591)
54007 sonar服务器里面的sonar项目在添加流水线里面不展示 (Feedback#6605)
54008 用例模板中步骤预期使用“ 、”导入后不显示 (Feedback#6612)
54013 父任务记录消耗工时后，编辑其他任务修改父任务时不能选择 (Feedback#6626)
企业版：
40828 代码库版本对比页并排展示时查看不到提交的问题
52377 工作流新增模块中附件类型字段在编辑页面中无法带入已上传文件 (Feedback#3052)
52814 反馈详情页不显示转业务需求按钮
52869 批量激活Bug，子状态不更新 (Feedback#5305)
54218 工作流明细表导出数据统计有误 (Feedback#5040)
54333 导出文件显示的内容与导出设置的导出内容不一致
54344 建界面触发条件必填提示文案语言项缺失
54345 后台权限列表没有添加建界面的权限
54349 工作流维护界面标签换行显示了
54383 创建子界面名称重复时提示有多余部分
54414 删除界面的提示与需求不符缺少删除后无法恢复提示
54416 内置工作流的批量操作动作没有隐藏创建界面按钮
54425 运营界面和OR界面没有建界面功能
54427 工单不显示维护模块按钮
54454 创建界面时可以创建与内置界面相同名称的界面
54457 导入用户超过100个报错
54493 升级后有重复度量项
54499 条件不同有交叉时保存界面时的提示点了确定就吧页面保存了应该增加取消按钮
54503 工作流下新增流程页面空白
54505 多图上传创建的反馈没显示图片
54509 工作流下审批设计页面点击条件分支的条件后页面置灰
54516 任务工作流查看任务开启扩展后任务详情页有报错
54519 反馈列表页所属模块显示成了编号
54521 工作流中在研发需求详情页添加新界面后，详情页报错
54523 工单列表无法维护工单模块
54543 新建工作流中批量创建后对象未保存成功
54547 运营界面下添加的工作流权限包为空的
54549 自建工作流开启审批后，点击切换待审批标签后台提示缺少属性
54550 业务需求的工作流中动作中不显示创建界面按钮
54554 反馈回复时没有自动填充FAQ的回答
54555 自建工作流中批量创建操作中第一行字段下拉选项中也显示了“同上”
54563 编辑动作界面1设置联动后默认编辑界面也有该联动
54573 界面联动可以跨动作实现
54574 项目版本详情页扩展新字段后出现报错
54585 工单详情页代码报错
54590 工单列表执行搜索后，搜索组件被自动收起了
54591 工单转需求/Bug页面点击返回到，跳转到了地盘仪表盘
54618 任务发起评审有报错
54624 工作流导入字段页面代码报错
54630 下钻弹窗中有报错
54632 产品列表导出弹窗中有报错信息
54634 图表设计页有报错
54635 度量项页面组合查询时页面报错
54640 添加数据源有代码报错
54655 工作流需求的主表设计页面子状态字段后有报错
54664 业务需求和用户需求的工作流主表内置字段操作按钮没有置灰
54714 【达梦数据库】产品设置模块页面点击保存报错
54723 编辑上线步骤报错
54726 保存上线范围报错
54727 工单列表页点击左侧产品后，页面代码报错
54729 工单列表页点击1.5级产品下拉菜单时报错
54733 项目权限只有admin显示成员维护和复制分组按钮
旗舰版：
53345 内置流程设置触发条件无效 (Feedback#6453)
53502 地盘中审批工作流审批弹窗宽度不够
53984 工作流扩展字段，数字导出显示不正常 (Feedback#6281)
54112 导出日志时，对象是评审的内容显示错误 (Feedback#6061)
54179 点击审批列表的评审按钮，没有权限也可操作
54189 大屏图表的名称显示不全 (Feedback#5668)
54207 用户需求导出表格形式数据内容错误 (Feedback#5088)
54298 反馈-工单列表搜索表单，工单来源字段搜索报错 (Feedback#3035)
54334 地盘添加日志页面中对象不展示多人任务 (Feedback#6651)
54337 后台审批流列表中数据展示不全
54354 审批抄送人设置后会错误的在审批人信息中看到 (Feedback#6839)
54359 项目评审出的问题，解决后，历史记录记得不对 (Feedback#6238)
54364 执行不能修改所属项目 (Feedback#6485)
54386 项目--设计中新增设计类型后，标签不显示”更多“ (Feedback#6461)
54422 后台创建审批流页绑定工作流下拉列出了demand
54459 工作流下拉中无数据时点击设计后F12有报错
54463 工作流审批设置页面审批流处置空后点击保存后提示文案闪现下又消失了
54464 审批流条件设置后条件下方未显示条件内容
54474 删除工作流审批流后点击设计还会进入已删除审批流的设计页面
54475 工作流开启审批流后不选择审批流点保存过一会状态会恢复为关闭审批流
54477 工作流审批流设置页面进行设计审批流时弹窗内容显示不开
54492 创建审批流页绑定工作流保存后有报错
54500 工作流中设计审批流弹窗中直接关闭设置条件弹窗页面显示错误
54565 新建审批流后，返回的页面不正确
54582 对内置工作流产品计划开启审批流发起审批页面有报错
54583 工作流审批设置页面选择开启新建审批流并保存后状态变为关闭了
54586 删除绑定工作流的审批流时提示不能删除
54597 项目下发起评审页面有报错
54601 我的待处理区块会议名称显示错误
54602 地盘会议列表会议室未选择时列表中显示0
54612 工作流升级成功后，动作/标签设计页面有报错
54613 升级后原工作流有报错
54623 项目下发起评审保存后报错
54626 审批进度页面报错
54631 复制瀑布项目点击保存有报错
54633 后台分配权限页面勾选某个权限后页面错乱
54637 文档模板维护章节页保存后有报错
54643 评审一个项目评审项保存时报错
54644 审批流关联的工作流被删除了后该审批流就没法用了也没法被选择
54668 项目审批撤销审批时保存成功没有提示出来
54706 项目型瀑布项目基线评审列表所属产品显示id

2024-08-16 20.5
完成的需求：
开源版：
60150 产品矩阵中增加非最后一级需求的设计跟踪逻辑
53289 团队空间中新建空间后，在左侧树形目录导航中显示空间
53290 团队空间下支持创建空间
57681 瀑布项目阶段维护页面增加显示项目计划起止时间
60106 文档左侧树形导航默认隐藏更多按钮
60727 进入文档模块的落地页调整
48239 附件库支持高级搜索
49127 库添加白名单用户，但用户无项目/执行/产品访问权限时增加提示
49381 我的空间中删除我的个人库标题，增加默认库
49383 我的空间个人库和最近浏览之间增加分割线
49393 团队空间增加库移动的入口
49404 我的空间增加库移动的入口
49817 各空间中的文档库支持排序
49819 文档权限增加文档库排序
50956 文档仪表盘增加我创建的文档区块
52110 文档列表支持排序功能
60078 项目的迭代列表表头字段增加排序
60938 团队空间的空间支持排序
49397 实现我的空间移动库的弹窗
49398 我的空间编辑库的弹窗中增加所属空间字段
49401 我的空间编辑文档时，文档设置表单增加所属空间字段
49405 实现我的空间中移动文档的弹窗
49407 团队空间编辑库的弹窗中增加所属空间字段
49410 我的空间文档列表的操作列增加移动按钮
49411 团队空间的文档列表操作列新增移动按钮
49688 实现团队空间列表中移动文档的弹窗
49820 团队空间增加移动库的弹窗
49413 团队空间编辑文档时，文档设置表单增加所属空间字段
49799 给文档添加白名单时，但用户无当前库的访问权限时增加提示
60564 将自动化、宿主机、执行节点都合并为自动化一个菜单
60608 打印自动化的三级菜单：说明 执行节点
60609 实现自动化测试的说明页面
60614 执行节点状态的显示：运行中 离线
60668 优化创建执行节点页面
60670 删除执行节点的远程、休眠、关闭、重启、创建快照功能
60878 提交页面增加搜索功能
60879 提交列表的相关设计改为相关
60903 分支列表字段优化
60906 标签列表字段优化
61015 执行节点列表优化
企业版：
60825 建表记录数据的更新信息
60829 创建图表、透视表时支持选择driver
56901 按执行统计的研发需求规模数
56902 按执行统计的测试任务消耗工时数
56903 按执行统计的开发任务消耗工时数
56904 按执行统计的开发人员可用工时数
56906 按执行统计的执行开发效率
56909 按执行统计的执行关闭时已交付的研发需求数
56910 按执行统计的执行关闭时已交付的研发需求规模数
56911 按执行统计的执行验收通过率
56912 按执行统计的截止执行开始当天的研发需求数
56913 按执行统计的截止执行开始当天的研发需求规模数
56914 按执行统计的执行关闭时研发需求按计划完成率
56915 按执行统计的新增有效Bug总数
56916 按执行统计的执行测试缺陷密度
56917 按执行统计的研发需求计划负载
57689 按执行统计的执行关闭时验收通过的研发需求数
57769 按执行统计的测试任务数
57771 按执行统计的截止执行开始当天的测试任务数
57772 按执行统计的执行关闭时已完成的测试任务数
57773 按执行统计的来源Bug的任务消耗工时
57775 按执行统计的测试用例预期条目数
57777 按执行统计的测试用例数
59738 按执行统计的执行关闭时测试任务按计划完成率
59739 按执行统计的来源Bug的任务消耗工时占比
60776 任务关系列表支持翻页处理器
60989 调整任务关系列表中的字段
60777 任务关系列表页维护任务关系按钮调整为添加任务关系
61128 升级时处理执行视图中维护任务关系的操作权限
60724 多个文档合并成word导出的基本样式优化
60770 任务关系列表操作列增加维护入口
60775 任务关系列表支持批量维护任务依赖关系
60790 维护任务关系弹窗可以设定任务依赖关系和滞后天数
60992 批量添加任务关系表单支持同时添加多个任务依赖关系
60993 批量维护任务关系表单支持同时维护多个任务依赖关系
61066 批量添加任务关系表单实现前后置任务字段冲突逻辑
61067 批量添加任务关系表单中前后置任务支持按层级选择任务
60725 多个文档合并成word导出的特殊样式渲染优化

修复的Bug：
开源版：
53522 旧页面消息中心的链接显示黑色
53596 套件列表中描述字段显示图片链接
53615 文档库中存在目录创建新的目录后第一个目录显示空
53618 编辑多人任务维护团队保存无反应
53639 执行应用中文档列表中文档不能拖动排序
53645 运营管理界面我的空间下没有我的库
53648 用户未登录过且无产品访问权限时添加私有产品库时未给出提示信息
53649 编辑库页面添加无权限访问产品/项目/执行白名单用户时没有给出提示信息
53650 创建库页面切换到接口库后没有白名单用户但显示了提示信息
53684 编辑库弹窗中提示样式不正确
53685 项目文档库编辑编辑时白名单用户不没有项目权限没有提示
53687 产品-文档附件库中保存的搜索条件得再搜索一下才能显示到已保存的搜索条件中
53695 我创建的文档区块没有更多按钮
53711 我的空间下编辑上传的文档页左侧目录树不显示
53746 后台文档创建与维护文档权限设置中推荐权限有误
53750 团队空间文档库文档列表中非当前用户创建的文档操作列移动文档按钮未置灰
53767 团队空间移动库时弹出了“该库下他人创建的文档暂不支持移动”的提示
53769 移动文档到没有库的空间时页面有报错
53771 发布文档页面发布按钮遮挡
53772 团队空间增加移动库的弹窗中输入框的宽度不一致
53773 团队空间中编辑子空间多了访问控制设置
53776 产品和项目的附件库高级搜索时，来源对象没有区分
53777 私有文档库不是白名单用户也可以访问该文档库
53780 我的空间编辑文档设置文档弹窗中访问控制没有默认选中私有
53781 添加文档页面添加白名单用户时创建库用户页进行了提示
53783 提交列表页，代码库前展示了多余的角标
53785 我的空间下的文档库编辑时可以切换所属空间到团队空间下
53786 我的空间创建文档时，所属空间字段置灰
53789 编辑上传的文档页没有显示左侧的树
53790 编辑文档设置页面没有校验所属库不能为空
53793 搜索提交，点击保存的搜索条件，没有生效
53794 gitfox代码库，搜索作者=Administrator的提交，搜索不到
53796 关联gogs代码库，同步代码过慢
53817 发布包里显示了内部使用的度量项
53836 用例库导入csv文件有232条数据控制台有报错
53837 用例导入后第二页显示的内容与第一页的显示相同
53841 执行节点详情页，有时点击复制命令按钮，不会提示复制成功
53849 编辑任务改为多人任务，团队成员页面点击保存无响应
53859 鼠标悬浮到自动化设置弹窗的【？】，弹窗抖动
53870 编辑多人任务修改团队成员，保存无响应
53872 编辑执行的关联计划字段下选择不到计划
53873 宿主机中下载镜像，文件路径没有展示全，并且鼠标悬浮后没有展示title
53876 多人任务编辑添加团队成员，保存无响应
53877 我的空间文档列表点击移动文档关闭弹窗后，再点击表头排序页面报错
53878 测试单的用例列表有报错
53880 任务无法指派给团队成员
53883 我的空间下选中我收藏后点击创建文档左侧树内容缺失
53907 16.5经典模式升级到20.5透视表中有报错
53916 gitlab代码库，创建标签报错
企业版：
52384 进入设计透视表页提示行分组不能为空
52851 设计透视表页面缺少英文语言项
53529 设计大屏透视表下不显示效能管理维度和质量管理维度下的透视表
53659 按执行统计的执行关闭时已完成的测试任务数-统计了执行关闭后完成的任务
53701 按执行统计的执行关闭时验收通过的研发需求数统计了执行关闭后阶段修改为已验收的需求数
53705 [按执行统计的截止执行开始当天的研发需求规模数]重复统计了父子需求的故事点
53708 截止执行开始当天的研发需求数/规模数，没有用需求关联进迭代的日期做判断
53712 按执行统计的度量项没有统计无迭代项目数据
53729 执行验收通过率、测试缺陷密度计算规则中复用度量项名不正确
53752 按执行统计的执行关闭时研发需求按计划完成率-度量对象和度量项名称不对
53775 透视表前台报错
53791 后台office设置页面报错
53807 按执行统计的执行关闭时验收通过的研发需求数-没有统计需求为空的已关闭的执行
53811 前后置任务的下拉选择框中置灰逻辑在刷新页面前后不一致
53858 导出测试报告有报错
53871 度量项中没有统计已关闭的执行
53889 反馈/工单页面有报错
旗舰版：
53502 地盘中审批工作流审批弹窗宽度不够
IPD版：
53821 任务列表不显示导出模版、导入excel按钮

2024-08-09 18.13
修复的Bug：
开源版：
52925 测试单无法导出用例信息
53054 [达梦]18版本燃尽图修改首日工时不生效
53410 任务标题输入空格能直接保存成功
53580 已解决的Bug，解决版本调整后没有将Bug自动关联至调整后版本的解决的Bug中
53594 下载聊天后端error
53623 运营界面没有导出用户的相关权限
企业版：
53217 用户需求通过工作流对评审页面增加字段不显示
53572 8.13升级报错
53585 测试单的日志剩余工时不显示
旗舰版：
52928 BI中报表拖动分组顺序不生效
52972 达梦数据库兼容问题导致工作流有些模块无法应用
53023 [达梦] 项目仪表盘项目周报区块报错
53024 [达梦] 项目仪表盘估算区块报错
53025 [达梦] 产品—发布详情页面报错
53082 [达梦] BI图表查询数据失败
53104 [达梦]BI数据表保存报错502
53105 【达梦】数据表，点击中间表报错502
53106 【达梦】重算全部度量项页面报错
53232 【达梦】第一次设置审批流点击保存报错
53233 【达梦】关闭审批流报错
53240 【达梦】看板切换泳道方式报错
53312 工作流审批选不到审批人
53447 需求导出页面报错
53582 开源版1253升级到旗舰版4.13报错
IPD版：
53612 开始市场阶段出现报错
53613 编辑调研阶段保存时提示“里程碑不符合格式”
53614 设置了阶段可以并行时，执行下添加的IPD项目子阶段无法开始
53620 OR界面导出用户内容为空
53622 轻量模式-无执行项目需求批量转任务保存有报错
53644 ipd1.5升级到ipd2.1出现了报错

2024-08-02 20.4
完成的需求：
开源版：
57696 创建发布页面增加计划发布日期
59898 面板增加消息中心列表
59899 消息通知需要展示通知人、时间、内容
59900 消息中心可以设置保留天数
59901 消息记录可以一键已读
59902 消息中心可以关闭计数提醒
60272 消息记录可以清空已读
60347 后台系统通知关闭后，所有人都不展示右上角的消息按钮
54785 代码库后打印提交菜单
57695 发布支持发布失败
57722 发布状态为已发布才可点击通知按钮
59766 发布增加通知功能
59897 编辑发布页面增加计划发布日期
59903 消息中心可以关闭浏览器通知
59928 发布列表增加自定义
60084 列表支持通过拖拽改变左侧固定区域的宽度
60150 产品矩阵中增加非最后一级需求的设计跟踪逻辑
60226 GitLab代码库二级菜单增加分支菜单
60227 GitLab代码库二级菜单增加标签菜单
60274 代码库二级菜单调整
60275 消息记录可以从已读标记为未读
60276 计划详情批量修改需求的计划和指派人时，支持搜索功能
60300 在执行devops下新增三级菜单提交
60301 在项目devops下新增三级菜单提交
60303 执行GitLab代码库三级菜单增加分支菜单
60304 项目GitLab代码库三级菜单增加分支菜单
60305 执行GitLab代码库三级菜单增加标签菜单
60315 项目GitLab代码库三级菜单增加标签菜单
60438 实现全局监听元素移除并实现组件自动销毁
60440 动态多层级列表支持勾选时自动选中关联项
60493 DevOps权限升级处理
60626 提bug页面，影响版本展示未开始发布下的版本
企业版：
59894 大屏支持透视表下钻功能
60022 产品Bug解决方案统计表支持数据下钻
60023 产品质量表支持数据下钻
60024 产品Bug类型统计表支持数据下钻
60025 产品发布数量统计表支持数据下钻
60026 产品需求阶段分布表支持数据下钻
60027 产品需求状态分布表支持数据下钻
60028 产品完成度统计表支持数据下钻
60342 实现大屏透视表组件中下钻列的数据绑定和点击
57370 自动识别透视表中原始表字段目标对象的能力
57426 实现自动配置查询条件的能力
57435 左侧窗格实现已配置数据下钻列的交互预览
57519 不同情况下自动下钻的处理逻辑
59895 大屏内的透视表下钻弹窗的展示样式
60029 项目Bug类型统计表支持数据下钻
60030 项目进展表支持数据下钻
60031 项目质量表支持数据下钻
60032 项目Bug指派给分布表支持数据下钻
60033 项目Bug解决者分布表支持数据下钻
60034 项目Bug创建者分布表支持数据下钻
60035 项目Bug状态分布表支持数据下钻
60036 项目Bug解决方案分布表支持数据下钻
60037 项目需求阶段分布表支持数据下钻
60038 项目需求状态分布表支持数据下钻
60039 项目投入统计表支持数据下钻
60040 项目任务完成者统计表支持数据下钻
60041 项目任务指派统计表支持数据下钻
60042 任务类型统计表支持数据下钻
60043 任务状态统计表支持数据下钻
60045 Bug解决表支持数据下钻
60046 公司动态汇总表支持数据下钻
60047 日志汇总表支持数据下钻
60048 员工登录次数统计表支持数据下钻
60057 被大屏引用的透视表在设计时展示二次确认弹窗
旗舰版：
34162 审批流增加加签功能
59753 审批页面增加加签功能
59933 审批页面增加加签功能-前加审批人
59934 审批页面增加加签功能-后加审批人
59935 审批页面增加加签功能-当前审批节点加入
60345 审批页面增加加签功能-审批进度展示
60398 审批进度如果有滚动条就让其置底
IPD版：
60058 调整需求池列表待分发、待立项和Charter立项列计算规则
54581 需求池需求支持工作流自定义
54582 工作流新增需求池需求模块的字段属性配置
54585 OR界面的一级导航中打印工作流菜单
54589 OR界面中打印工作流的二级导航菜单
60049 调整OR需求详情页分发需求列表中业用研需标签命名逻辑
60348 通过搜索表单搜索立项列表中的项目
60395 业用需求详情页基本信息增加所属路标字段
54583 工作流新增需求池需求模块的动作配置
54737 OR界面的工作流支持流程的视图功能
54738 OR界面的工作流支持数据源的视图功能
54739 OR界面的工作流支持验证规则的视图功能
55357 工作流新增需求池需求模块的更多设置功能
60075 OR需求详情页分发需求列表支持展示分发的研发需求
60138 OR需求支持分发到产品中任意需求层级
60140 OR需求支持分发到产品的路标或计划
60439 后台增加提交立项时支持关联多个产品的逻辑
60105 提交立项时支持查看不同路标的需求
60108 创建项目页支持关联所属Charter中产品的任意路标
60109 创建项目页支持关联所属Charter中的任意产品
60145 调整后台功能配置中业用研需模块中的阶段名称
60346 子级OR需求详情页基本信息中增加父需求字段
60441 立项详情页增加多产品多路标信息展示区块
60055 研发界面后台功能开关支持开关OR界面业务需求
60056 后台功能配置新增OR需求状态的自定义配置
60096 OR需求阶段推算规则增加研需阶段参与推算的逻辑
60102 提交立项页支持关联产品的多个路标
60103 提交立项页支持关联多个产品
59776 后台功能配置新增OR需求交付阶段的自定义配置
60095 调整OR需求分发按钮的文案
60442 处理OR界面业用需求特有字段的兼容问题
60147 在下级需求详情页中可以确认直接上游OR需求的变更
60344 在子级需求详情页中可以确认直接父需求的变更
60404 创建OR界面的业用需求时支持关联所属路标
60405 编辑OR界面的业用需求时支持关联所属路标

修复的Bug：
开源版：
51287 开源版20.1设置备份方式时同时勾选两个条件，再次点击设置只显示第二条
52334 项目迭代列表中任务负责人显示为用户名
52462 创建执行不关联计划中的需求，创建后仍在创建表单页
52557 个人中心没有移动端的下载入口
52854 触发强校验后，被校验输入框的边框没有了
52932 需求版本切换两次后版本号高亮不正确
52963 展开权限包，没收起其他权限包权限
53015 【内禅】完成任务弹窗，消耗工时挤了
53089 暗黑模式下dtable滚动条显示不明显
53134 消息中心未读条数超过99条没有显示99+
53135 消息中心保留天数输入框没有做必填项校验
53139 收到消息后消息中心的未读数没有增加点开消息中心后才增加
53172 消息中心保留天数设置为非数字后正常保存了
53174 消息中心清空已读消息后刷新页面后已读消息又展示了
53177 项目集列表页编辑项目时，1.5集项目集显示为空
53179 工作流相关操作的消息接收人未收到消息
53203 18.12升级到max5.2后发布的二级导航显示在了设置的右侧
53242 项目发布中没有给发布动作改成弹窗显示
53246 发布列表中进行字段排序时会互换字段顺序
53248 消息中心中右键已读消息还是会闪烁菜单显示
53249 编辑发布时状态改为未开始需要置空实际发布状态
53251 代码浏览多个文件时，打开的文件标签无法关闭
53256 项目非GitLab代码库二级菜单显示了标签
53258 英文下项目GitLab代码库标签列表字段显示不完整
53259 执行非GitLab代码库三级菜单显示了分支菜单
53263 分支和标签下，1.5级下拉只列了gitlab代码库
53269 提交列表没勾选2个提交就高亮显示了比较差异
53271 右键消息删除操作菜单没有关闭
53277 编辑产品用需页面切换1.5级导航，没有跳转到该产品的用需列表
53289 地盘永久关闭该类型中所有区块后可以添加一个自定义区块
53293 消息中心的链接点击不能跳转
53303 无执行有产品的项目下创建发布保存提示访问对象不存在
53307 需求报表重复嵌套显示
53323 年度总结大屏无法滚动查看完整内容
53369 开启发布的系统通知后消息中心没有收到消息
53377 项目发布详情页进入编辑页面缺失二级导航
53378 恢复默认/全局恢复默认没有刷新列表
53394 批量执行用例的样式和步骤不正确
53396 测试单用例列表字段排序不生效
53413 创建无产品无执行的敏捷项目自动勾选了业务需求和用户需求
53414 IPD的arm一键安装包创建项目页面选择不到产品计划
53429 消息中心的icon没有根据禅道主题进行变化显示
53433 创建用户保存无响应有报错
53434 计划中需求无法自定义排序
53442 进入运营管理界面项目下看板报错
53443 删除分支有报错
53444 编辑项目发布由非未开始状态修改为未开始保存控制台提示实际发布日期不能为空
53449 创建用户提示为英文
企业版：
50915 项目仪表盘项目总览区块显示了风险和问题统计信息
51884 透视表设计页配置完成的步骤没有高亮
51935 鼠标悬浮不展示
52432 配置筛选器时修改查询筛选器不生效
52561 反馈下钻列表反馈名称显示为标题
52564 工单下钻列表各列宽度异常
52598 大屏中鼠标移至下钻步问号上，页面闪动
52765 任务数据下钻预览时指派给显示为用户名
52766 下钻预览结果中创建者和指派给显示为用户名
52790 点击空白区域，数据下钻弹窗关闭
52826 透视表下钻弹窗中提示文案有遮挡
52887 有结果筛选器的透视表下钻显示数据有问题
52979 未进行下钻的透视表，点击为0数据弹窗提示暂无数据
53009 修改分组上级模块后，分组及分组下透视表丢失
53094 透视表设计页/大屏中点击看板/运营项目下任务链接，跳转至空白页面
53098 大屏中点击下钻数据“0”，显示方式与透视表中不一致
53100 大屏中点击运营项目下需求链接，新开页面显示正在浏览的大屏
53101 透视表设计页面/大屏中点击看板项目下需求链接，跳转页面错误
53113 透视表设计页面/大屏中点击无迭代项目跳转页面错误
53137 自动生成的数据下钻，点击保存设置，左侧预览页面没有下钻
53142 重新设计透视表，修改设计，数据下钻没有提示设计变更
53182 查询筛选器，设计透视表报错
53183 发布透视表后查看下钻数据报错
53186 透视表列设置中列名和切片列为同一个列时，自动下钻的条件中缺少一个查询条件
53193 预览区域下钻数据展示不符合筛选条件，且有报错
53208 Bug解决表中解决者显示为用户名
53217 用户需求通过工作流对评审页面增加字段不显示
53219 发布透视表修改所属分组，发布后分组为空
53221 查看原始数据有报错
53225 展示原始条目的列不应该自动生成下钻条目
53227 下钻条目无法删除
53228 修改汇总设置，数据下钻条目没有提示信息
53230 [要下钻的列]取消选择后下拉菜单依然是置灰的
53235 手动下钻条目的切片字段修改，条目没有提示信息
53238 查看原始表数据有报错
53241 自动下钻配置中下钻条件输入框不显示了
53245 发布工作流中列表的扩展去掉只能不扩展
53265 删除手动下钻的列后，下钻条目中显示一个灰色条
53266 编辑透视表没有必填标识
53272 列设置勾选[展示原始条目]时有报错
53287 下钻数据错行显示
53340 导入反馈时1.5级导航显示为空
53347 日志中点击查看用例有报错
53367 透视表被发布的大屏引用，删除时提示信息错误
53374 导入用例只支持2个层级
53376 透视表设计页面刷新浏览器有报错
53383 产品需求状态分布表报错
53387 下钻弹窗中点击运行项目下的目标，跳转页面错误
53392 项目执行Bug类型统计表等透视表中无迭代项目的bug下钻结果错误
53405 bug解决表统计数据不正确
53408 编辑内置透视表，所属分组为空
53425 查询筛选器筛选结果为空
53432 数据下钻页报错
53441 pms17.8升级biz10.3后BI中的大部分数据都没了
53448 自动的数据下钻条目点击保存没有变成手动的
旗舰版：
52903 项目评审页面检查清单修改意见输入框未显示
52940 设计下提交评审页面评审标题未自动带出
52983 项目关联计划修改后，覆盖了阶段的原有计划
53034 退回后再发起评审评审页面不显示左侧区块
53065 评审报告页面不显示评审时间只显示了日期
53428 评审回退后再详情页发起评审保存后没有关闭发起弹窗
53446 前加签选择评审人后显示没有添加评审人
53452 地盘-审批列表中评审项目审批弹窗是上下结构
IPD版：
51778 OR界面的业用需显示了计划字段
52889 项目关联需求页面Charter立项显示成了incharter
52985 路标为长名称时，项目概况的关联路标区块分布错位
53144 内禅通用看板中无法导入工单
53180 路标页面的1.5级导航中缺少产品的icon，已关闭产品的文案不完善
53239 创建项目时先选择所属charter后再切换成项目型项目，所属产品字段消失了
53253 提交立项查看路标需求列表中所属模块显示成了编号
53257 立项详情页路标需求列表中多分支产品需求前没有显示层级标签
53288 单个评审业务需求有报错
53296 需求列表页点编辑有报错
53329 导入需求层级超过后台限制时依然能导入且显示为BR1
53330 业务需求详情页有报错
53401 需求池工作流添加动作后，点击动作跳转后二级导航没有高亮
53403 OR界面地盘审批列表页没有显示待审批的对象
53404 业用需提交评审勾选“不需要评审”时，还可以选择评审人员
53418 一键安装包中OR界面工作流不显示数据
53470 编辑立项路标置空保存时提示产品不能为空
53472 路标被立项通过后，编辑其它关联了路标的立项时页面报错

2024-07-22 20.3.0
完成的需求：
开源版：
56222 实现浏览器本地缓存机制
60332 实现页面请求缓存机制
60334 实现界面平滑更新机制
60335 将 ZUI 3 组件初始化方式改为属性模式
企业版：
56161 透视表设计器新增“数据下钻”步骤
56164 实现数据下钻配置面板展示为空的情况
57345 数据下钻配置面板打印“添加数据下钻”的按钮
57527 数据下钻配置面板实现鼠标悬浮展示提示文案
57340 数据下钻配置面板实现已下钻列的条目化展示
57352 选择要下钻的列
57354 设置下钻的查询
57356 展示下钻结果供用户预览
57359 数据下钻配置面板打印下一步按钮
57362 下钻弹窗的前台展示样式
57363 数据下钻配置面板实现数据下钻弹窗的跳转
57364 数据下钻弹窗的适配规则
57366 数据下钻弹窗实现预览功能
57367 数据下钻弹窗实现配置保存功能
57407 设置下钻的查询条件的样式与交互
57411 对象为产品线时下钻的展示字段
57412 对象为计划时下钻表格展示的字段
57413 对象为发布时下钻表格的展示字段
57414 对象为业务需求、用户需求、研发需求时下钻表格的展示字段
57415 对象为任务时下钻表格的展示字段
57416 对象为Bug时下钻表格的展示字段
57417 对象为用例时下钻表格的展示字段
57418 对象为人员时下钻表格的展示字段
57419 对象为文档时下钻表格的展示字段
57420 对象为产品时下钻表格的展示字段
57421 对象为反馈时下钻表格的展示字段
57434 下钻结果的样式与交互
57439 对象为工单时下钻表格的展示字段
60178 下钻弹窗中下钻条件添加结果筛选器可以正常使用
60179 下钻弹窗中sql编辑器里包含查询筛选器变量可以正常使用
60180 解除筛选器和数据下钻的互斥逻辑
60184 下钻查询表中的下拉菜单支持选择下钻查询表中所有表的所有字段
60185 相关文案的修改
60186 解除下钻条件最多添加6条的限制
旗舰版：
34160 在审批进度展示历史审批记录
59752 审批页面增加回退功能
59789 审批节点配置页面交互优化
59896 重构审批节点配置页面
59014 重构 旗舰版 review 模块视图层的 book.html.php 文件
59017 重构 旗舰版 review 模块视图层的 edit.html.php 文件
59021 重构 旗舰版 review 模块视图层的 submit.html.php 文件
59022 重构 旗舰版 review 模块视图层的 toaudit.html.php 文件
34163 审批流增加回退功能
38771 审批流增加发起人撤回功能
57342 审批流增加转交权限
57489 审批流审批人和抄送人交互优化
59015 重构 旗舰版 review 模块视图层的 browse.html.php 文件
59016 重构 旗舰版 review 模块视图层的 create.html.php 文件
59747 审批页面增加转交功能
59929 重构审批节点配置页面-审批人设置
59930 重构审批节点配置页面-抄送人设置
59931 重构审批节点配置页面-审批流程设置
59936 审批页面增加回退功能-按审批流程顺序评审
59937 审批页面增加回退功能-直接从当前审批节点开始
57357 增加审批人必填选项
57436 后台功能设置中的审批改为审批流
59012 重构 旗舰版 review 模块视图层的 assess.html.php 文件
59013 重构 旗舰版 review 模块视图层的 audit.html.php 文件
59019 重构 旗舰版 review 模块视图层的 report.html.php 文件
59023 重构 旗舰版 review 模块视图层的 view.html.php 文件
59750 审批页面增加发起人撤回功能
IPD版：
57490 需求池需求支持分发为业务需求
57491 需求池需求详情页支持展示已分发的业务需求
57706 优化业用需求列表待关闭标签的检索条件
57707 优化业用需求列表未关闭标签的检索条件
57709 OR需求列表新增待关闭检索标签
57781 调整OR需求列表待分发标签的检索条件
57536 老版本升级时优化用户需求的状态划分
57537 老版本升级时优化OR需求的状态划分
57783 调整OR需求列表已立项标签的名称及检索条件
59531 重构 IPD版 roadmap 模块视图层的 linkur.html.php 文件
59533 重构 IPD版 roadmap 模块视图层的 view.html.php 文件
57528 路标支持关联任意级OR界面的业用需求
57634 OR需求矩阵可以查看多层级OR需求和业用研需
57778 通过Charter立项的业用需可以流转到研发界面的产品中
57782 调整OR需求列表待立项标签的检索条件
59532 重构 IPD版 roadmap 模块视图层的 unlinkur.html.php 文件
59552 重构 IPD版 demandpool 模块视图层的 track.html.php 文件
59754 调整OR需求变更操作的逻辑
59755 调整OR需求分发操作的逻辑
59756 调整OR需求拆分操作的逻辑
59757 调整OR需求细分按钮的文案
59774 调整OR需求分发按钮的文案
59797 父级OR需求变更时直接下级需求需要确认父需求变更
57720 还原已删除的需求时重算OR需求和业用研需的阶段
59795 OR需求详情页分发需求列表和子需求列表新增阶段列
59796 业用需求详情页子需求列表新增阶段列

修复的Bug：
开源版：
51690 项目集成版本附件无法下载
52443 达梦数据库安装，选择模式没成功
52444 达梦数据库安装最后一步提示内存不足
52504 英文语言项下进入测试套件报错
52541 锁定的用户无法解锁
52556 个人中心没有客户端下载入口
52557 个人中心没有移动端的下载入口
52621 瀑布项目设置阶段时，缺少排序功能
52779 后台下载xxd报错
52786 点击模块树后整个模块树不显示了
52792 发布关联研发需求后，页面显示遮挡
52806 最新动态跳转到了地盘动态
52817 刷新导航，导致区块样式丢失
52819 创建测试类型的任务时不显示研发需求
52822 无法修改用例库中用例的所属用例库
52824 测试单用例导出，用例状态显示为normal
52825 不启用迭代的项目，如果启动了项目，编辑团队成员时报错
52855 编辑项目页面，关联计划没有带出值
52861 创建用例步骤的输入框不显示
52864 语言模型添加页面初始化，展示了全部表单内容
52865 地盘-贡献-任务-由我指派列表显示异常
52870 创建和编辑Bug页面所属执行下拉菜单中项目和执行没有斜线分隔
52883 amd一键安装包登录数据库服务器为空时报错
52884 项目关联需求页面点击需求名称查看详情弹窗中显示了建任务的按钮
企业版：
51922 结果筛选器添加异常
51927 滚动到下方结果筛选器配置面板进行配置时页面跳动
51930 结果筛选器默认值无效
51933 透视表预览窗格中，透视表标题下方增加分割线
51942 透视表维护分组报错
51944 透视表步骤条没有居中
51945 透视表存为草稿有报错
51946 透视表设计页点击返回按钮没有跳转至列表页
51947 设计透视表页面列设置高度太小
51948 设计透视表未执行的步骤可以跳过
51955 设置字段名修改所属表后对应字段没有清空
51957 透视表中查询zt_story有报错
51958 设计透视表页有报错
51960 透视表设置字段名后有报错
51963 不勾选汇总设置时左侧不展示数据且无法进入下一步
51964 透视表列表中创建者显示为用户名
51967 透视表设计页显示透视表名
51972 没有创建透视表权限显示了创建透视表按钮
52030 关联目标对象需要用中文表名展示
52071 数据下钻弹窗标题英文语言项需要修改
52102 关联目标对象下拉列表内容与原始表不一致
52161 生成的下钻sql语句多显示了t1.and
52173 查询筛选器默认值显示为用户名
52175 查询筛选器下拉菜单为空
52181 添加结果筛选器报错
52187 添加查询筛选器后预览区域不展示数据
52188 设置字段名切换所属表后对应字段内容没自动清空
52189 查询数据后翻页数据为空
52190 透视表字段设置无效且无法保存
52192 sql变更后透视表内容没有变化
52194 添加日期类型查询筛选器后进入下一步有报错
52197 切片后值的显示方式选择独占一列后数据不显示了
52198 设计透视表列设置中无法显示行的汇总
52199 透视表前台日期结果筛选器无效
52224 下钻弹窗尺寸不对
52225 下钻结果列表表头排序无效
52227 在下钻结果中点需求名称有报错
52230 在下钻结果中指派人后跳到查询数据中
52237 必选项未选择时点预览没有提示信息
52239 数据下钻页有报错
52240 查看已保存的下钻条目，不展示下钻结果
52256 英文下数据下钻按钮与提示文案间间距太小
52258 数据下钻预览只显示了10条数据
52277 设置字段名不生效
52280 结果筛选器文本类型筛选器报错
52282 透视表前台结果筛选器不生效
52283 设置下钻的查询条件长显文案错误
52318 透视表设计第一步中显示了多余的提示信息
52319 在[查询数据]中点击[设计透视表]无反应
52320 查询数据页有报错
52321 设计透视表步骤导航长按会出现个框
52322 修改透视表sql后续步骤没有清空
52325 进入内置透视表的设计页面，设计透视表多加了一个空的行分组
52326 未勾选汇总设置时，[要下钻的列]下拉不显示第一步中检索的字段
52351 设计透视表页不显示行分组
52353 设计透视表页问号提示文案不显示了
52364 使用查询筛选器，设计透视表不显示预览数据
52365 设计透视表页点查询或下一步有报错
52367 设计器步骤条没有页面居中
52486 手动创建的下钻条目显示Auto标签
52511 透视表前台查看数据下钻报错-没权限
52512 透视表数据下钻的关联对象目标中软件需求改为需求
52513 对象需求时下钻表格的展示字段与需求不符
52515 对象需求时下钻表格的字段显示为用户名
52525 行分组选择所属执行，预览字段显示项目类型
52528 数据下钻sql错误保存时没有校验
52530 前台下钻弹窗只展示10条数据
52532 对象为项目集、项目、执行时下钻表格的展示字段与需求不符
52534 数据下钻弹窗中点击项目集名称和负责人跳转报错
52535 下钻完成后修改列，下钻条目显示空白条
52539 下钻多个列时前台只能展示一个列的下钻弹窗
52545 透视表设计页导出失败
52546 数据表格没有拦截非数据下钻的点击
52550 任务下钻列表表头顺序不对，且缺少中文语言项
52551 计划的下钻列表缺少需求数、Bug数、故事点数列
52552 发布的下钻列表缺少列
52553 多条下钻列，第一列有报错
52554 用例下钻列表表头顺序不对
52555 对象为项目时下钻表格的负责人字段显示为用户名
52562 对象为任务时下钻表格展示字段顺序不正确且语言项错误
52563 工单下钻列表表头不显示[消耗]
52565 需求下钻结果中点击业需和用需链接提示对象不存在
52573 查询用例表设计透视表有报错
52574 对象为用户数据下钻中性别应显示为男女
52575 下钻弹窗展示内容不符合筛选器条件
52577 对象为工单由谁创建字段显示为用户名
52578 对象为反馈，数据下钻结果中处理方案显示为英文
52579 文档下载预览页面点击文档名称报错
52581 值独占一列且配置下钻后，不再显示透视表
52582 行汇总的值可点击且展示空白下钻弹窗
52584 action下钻操作者点系统时有报错
52585 透视表下的Bug解决表点击后报错
52590 内置透视表前台不显示数据下钻
52599 配置完数据下钻后还可以配置筛选器
52600 数据下钻页有报错
52601 勾选展示原始数据报错
52602 版本统计表和研发需求关联Bug汇总表下有报错
52613 添加的水球图没有显示数据
52614 查看图表页面点击导出提示功能正在开发
52713 数据下钻步骤页有报错
52718 对象为用户，职位显示的键名
52733 下钻结果中点击无产品项目下的需求，跳转页面导航错误
52759 点击下钻查询表后的刷新按钮报错
52787 下钻数据中点击项目型项目下的需求跳转有问题
52872 结果筛选器无检索内容时，不展示下钻数据
52873 下钻预览有报错
旗舰版：
27356 质量保证计划检查结果为否，保存草稿，不显示严重程度
49489 后台office转换配置中点击保存页面没有保存成功提示
52336 审批意见必填改为审批通过时审批意见
52607 设置节点页审批人设置为直属上级后列出了下拉控件
52611 抄送人设置页面抄送设置下拉列出了多余内容
52641 首个节点审批设置下拉列出了由上一节点审批人指定选项
52681 审批人回退时给回退节点审批人发送的邮件中缺少回退的历史记录
52684 多人审批时采用的审批方式排版不友好
52698 有两个评审人会签一个评审失败时评审直接出了结果【评审通过】
52699 审批人设置为指定人员保存后再进入显示为发起人自选
52700 审批节点设置转交和回退后评审页面不显示转交和回退按钮
52701 评审中间的拖不动，一点就清空页面
52704 后台审批人设置选择职位后审批范围处组件展示不对
52705 切换评审次数时不能显示当次的评审结果
52706 转交人能选自己
52707 审批3节点退回时，审批进度展示有误
52709 审批节点转交后，审批进度展示有误
52710 点击瀑布项目二级导航的评审后报错
52711 基线评审列表有报错
52712 评审项目计划页面甘特图的左右拖拽去掉
52714 发起人回退后再撤回审批进度页面显示2条线
52720 评审详情页计划完成时间遮挡
52725 后台审批人设置页面审批设置控件未显示
52727 基线评审时提示没有权限
52734 设置多人会签所有人通过则审批通过后评审结果显示不对
52744 回退评审后，评审人员的样式不正确
52761 提交评审流程后，列表的由谁评审和评审人员为空
52763 甘特图点击任务名称，提示没有权限
52768 任务的名称和优先级没有区分
52771 提交审计页面，发起评审人显示为用户名
52773 地盘下审批列表评审标题不可点击
52775 地盘审批列表点击工作流评审标题后页面样式不对
52776 工作流评审时回退后发起人无法重新提交评审
52778 管理员工作流前台列表中有代码报错
52794 审计页面的审计结果字段不正确
52804 重新走评审流程时，审计意见没有必填项标识
52808 审计页面点击检查内容跳转到后台审计检查详情后点击返回有报错
52810 详情页的审计意见没有显示出来
52813 审计不通过填写检查内容不符合项后没有记录审计问题
52838 评审带有系统数据的对象时评审页面鼠标悬浮需求名称显示object
52859 审批流配置条件分支无法添加审批人
IPD版：
52457 OR需求详情页中分发的需求列表排序失效
52489 OR界面业用需列表页内容超出界面
52492 OR需求分发的业务需求，附件没有显示操作按钮
52499 删除掉业务需求下的已完成的用需，业务需求的阶段仍然是已交付
52505 OR需求详情页中分发按钮的文案未更新
52509 OR需求变更后保存，状态变成了pass
52536 删除已关闭的子需求，父需求会变为已关闭
52547 已关闭的OR需求被激活后，交付阶段还是已关闭
52549 删除OR子需求后再还原，OR父需求分发按钮可点击了
52591 瀑布项目评审页面报错
52619 路标关联业需的历史记录中显示成了用户需求
52622 路标关联需求页面执行搜索后，没有按照原来的层级显示
52623 业需被关联进路标后，列表页未显示所属路标名称
52642 建议OR需求详情页中细分的业用需列表中阶段和所属路标字段中间增加分隔
52643 需求池需求列表存在报错
52649 业用需被关联到计划后，阶段还显示为Charter立项
52658 路标下批量移除业用需提示中阶段状态显示不正确
52659 OR产品路标需求列表页移除按钮的title需要修改
52661 OR界面删除产品下业务需求提示没有权限
52664 删除分发的立项的用需后，OR需求的状态依然为charter立项
52696 路标中批量移除最后一层级的业用需时控制台报错
52697 路标中移除中间层级的业用需后，其它层级业用需不按照层级显示了
52752 变更父需求后详情页中细分的子需求没显示确认按钮
52754 OR需求只拆分为子需求没有分发业用需时，变更父需求时子需求未显示确认按钮
52762 OR子需求详情页中不显示操作按钮
52764 需求池需求分发需求不成功
52772 需求池矩阵页面代码报错
52805 需求池需求矩阵中有数据时，页面显示为空

2024-07-05 20.2.0
完成的需求：
开源版：
51654 新增业务需求列表功能
51656 业务需求列表增加标签功能
51660 业务需求列表增加模块功能
51686 业务需求列表增加搜索功能
51688 实现创建业务需求功能
51689 实现批量创建业务需求功能
51691 实现业务需求详情功能
51742 实现业务需求编辑功能
51747 实现业务需求批量编辑功能
51751 实现业务需求关闭功能
51752 实现业务需求激活功能
51754 实现业务需求批量关闭功能
51766 实现业务需求指派功能
51767 实现业务需求批量指派功能
51768 实现业务需求批量修改模块功能
51770 实现业务需求日志功能
51775 实现业务需求复制功能
51778 实现业务需求的评审功能
51875 实现业务需求的评审设置功能
51876 实现业务需求的必填字段设置
51877 实现业务需求的类型设置
51878 实现业务需求的优先级设置
51879 实现业务需求的来源设置
51880 实现业务需求的关闭原因设置
51881 实现业务需求的状态设置
51882 实现用户需求的评审设置功能
51883 实现用户需求的必填字段设置
51884 实现用户需求的类型设置
51885 实现用户需求的优先级设置
51886 实现用户需求的来源设置
51887 实现用户需求的关闭原因设置
51889 实现用户需求的状态设置
51907 实现业务需求变更功能
52895 从代码层级拆分用户需求和研发需求
52907 用户需求变更页面，影响范围改为用户需求和研发需求
52990 研发需求创建页面增加需求层级字段
52995 后台功能开关中增加业务需求
52996 研发需求批量创建页面增加需求层级字段
53000 语言项增加对业务需求的维护
53001 需求详情页面显示父需求、需求层级字段
53004 需求编辑页面增加需求层级字段
53005 需求l列表底部增加批量编辑需求层级的功能
53008 后台需求概念增加业务需求的维护
53010 需求列表展示多层级
53012 需求列表增加显示层级设置
53013 需求搜索增加需求概念和需求层级字段
53018 需求阶段计算逻辑
53020 创建项目时，可以关联计划中所有层级的需求
53026 项目中需求列表展示所有需求层级的需求
53027 项目中需求列表支持选择不同需求概念进行查看
53028 计划允许关联业务需求、用户需求、所有研发需求
53049 项目中支持创建业务需求、用户需求、研发需求
53050 项目中支持批量创建业务需求、用户需求、研发需求
53051 项目中支持关联业务需求、用户需求、研发需求
53052 项目中需求解除关联，只解除自己
53053 项目中需求列表增加细分按钮
53056 项目中支持批量编辑业务需求、用户需求、研发需求
53058 创建、编辑bug时，关联需求只能关联叶子层级的研发需求
53060 创建、编辑用例时，关联需求只能关联叶子层级的研发需求
53061 测试报告中，测试范围中的需求只展示最后一级的研发需求
53062 需求修改所属产品，子级需求也会跟随变更
53066 版本中，需求只关联叶子层级的研发需求
53067 发布中，需求只关联叶子层级的研发需求
53068 项目概况中，展示所有的需求数量
53069 用户需求增加所属计划字段
53070 用户需求增加阶段字段
53081 子级需求激活后，父需求也激活
53083 产品发布只能关联叶子研发需求
53084 设计功能可以关联所有层级的需求
53086 无产品项目的计划可以关联业务需求、用户需求、研发需求
53089 创建执行时，可以关联计划中的软件需求
53090 执行中需求列表展示所有需求层级的需求
53091 执行中需求列表支持选择不同需求概念进行查看
53096 执行中需求解除关联，只解除自己
53097 执行中需求列表增加细分按钮
53098 执行概况中，展示所有的需求数量
53105 后台产品研发需求阶段设置增加需求阶段
53108 研发需求导出数据增加父需求和需求层级
53109 执行中仅叶子层级的研发需求可以转任务
53110 业务需求增加所属计划字段
53111 业务需求增加阶段字段
53112 用户需求导出数据增加父需求和需求层级
53113 业务需求导出数据增加父需求和需求层级
53116 执行的燃尽图按照故事点查看时取叶子层级研发需求的故事点
53118 执行的甘特图、分组视图、工时明细表按照叶子层级研发需求统计
53122 执行的树状图按照所有需求层级展示
53123 累积流图只按照叶子层级研发需求统计
53125 无产品项目的需求列表支持展示业务需求、用户需求、研发需求，功能和样式同项目
53126 项目总览中需求数改为统计项目内所有的需求层级
53129 研发需求报表增加按需求层级统计的报表
53130 用户需求报表增加按需求层级统计的报表
53131 业务需求报表增加按需求层级统计的报表
53134 项目权限中增加业务需求、用户需求的权限
53135 项目和执行中支持一起导出业务需求、用户需求、研发需求
53138 项目、执行中需求的报表需要统计业务需求、用户需求、研发需求
53139 项目、执行中的批量编辑需求计划时，研发需求的计划修改，业务需求和用户需求追加计划
53143 代码文件只能关联叶子层级研发需求
53150 设计变更时可以关联所有层级的需求
53151 产品列表增加用户需求和业务需求统计
53152 项目、执行中代码文件只能关联叶子层级研发需求
53157 项目中研发需求看板支持展示需求的父子关系
53158 执行中研发需求看板支持展示业务需求
53160 用户需求下的研发需求样式变更
53161 全局搜索支持搜索业务需求
53164 关联需求功能优化
53166 仪表盘中团队成就、项目统计、项目列表、执行统计中展示所有层级的需求
53169 仪表盘中欢迎总览中支持展示业务需求
53171 地盘的日程中增加用户需求和业务需求的选项
53177 地盘待处理中增加业务需求
53179 地盘贡献中增加业务需求
53183 需求列表统计故事点时，父子需求去重
53188 父需求故事点为子级需求故事点之和
53208 父级需求关闭后，子级需求自动关闭
53211 业务需求、用户需求、研发需求列表支持展示子项完成情况
53273 综合类、需求类、设计类的阶段中支持关联业务需求、用户需求、研发需求
53274 综合类、需求类、设计类的阶段支持批量创建业务需求、用户需求、研发需求
53275 综合类、需求类、设计类的阶段支持创建业务需求、用户需求、研发需求
53524 创建和编辑项目时，增加开关限制项目能关联的需求概念
53816 后台通知设置增加用户需求和业务需求
53973 需求列表支持树状和平铺两种视图
54258 批量编辑不显示父需求字段，改为列表底部批量编辑父需求
54541 版本升级历史数据处理
54570 需求列表删除SR、UR字段
55949 需求编辑页面父需求修改后就出提示
55951 细分和拆分按钮合并成一个拆分按钮
56003 需求类型的阶段增加需求功能
56047 需求类型的阶段可以管理需求
56412 地盘评审中增加业务需求
56420 20版本的搜索条件中日期组件增加选择时段功能
56492 后台需求概念增加Epic、Feature、Story
56536 优化计划列表中创建需求按钮的下拉菜单交互
56549 看板的累积流图中按需求查看时展示新增的阶段
56863 优化项目中创建需求按钮的下拉菜单交互
56864 执行中研发需求看板支持展示用户需求
56865 执行中研发需求看板支持展示父研发需求
56869 项目中研发需求看板支持展示研发需求
56892 除了评审中和已关闭状态，其他状态的需求都可以进行细分
57288 补充遗漏的升级功能
57289 产品二级菜单位置调整
57310 用户需求详情增加阶段字段展示
57482 测试完毕需求阶段计算逻辑调整
57483 实现无子级需求的业用需的研发阶段为研发立项的规则
57484 有子级需求的业用研需新增已交付研发阶段
57485 已发布需求阶段逻辑调整
57486 发布状态新增未开始
57487 发布状态正常改为已发布
57523 删除待发布需求阶段
57559 Bug归因适配20版本
57599 Bug归因适配20版本-详情页
57612 发布增加发布按钮，支持将发布的状态改为”已发布“
57617 业用研需求的研发阶段定义中改为未开始
57618 终级研需的研发阶段已立项改为研发立项
57652 业用需求和非叶子研需的研发阶段规划中拆分为已计划和研发立项
57655 实现无子级需求的业用需的研发阶段为已计划的规则
57659 实现有子级需求的业用研需的研发阶段为已计划的规则
57664 实现有子级需求的业用研需的研发阶段为研发立项的规则
57665 调整业用非叶子研需列表中未关闭标签中包含的阶段
57668 实现有子级需求的用研需研发阶段为已交付的规则
57697 实现有子级需求的业务需求研发阶段为已交付的规则
57704 业务需求、用户需求编辑页面增加阶段字段展示
57788 父研发需求变更页面，影响范围改为子研发需求
59771 安装页面增加用户访问官网的Request，方便跟踪用户的下载、安装过程
企业版：
57242 平台版后台配置域名与证书时允许使用原域名
57392 增加应用CPU调节选项
57393 增加应用磁盘空间调整选项
57394 增加应用磁盘空间使用信息显示
57395 支持应用添加/修改/删除自定义配置
57396 支持web console（命令行）
57449 增加禅道应用信息展示
57450 创建应用时支持自定义配置
旗舰版：
35066 多人审批增加按百分比审批通过。
53054 项目中所有层级需求都可导入需求库
53146 需求库中所有层级需求都可导入项目
53205 需求库列表支持展示业务需求、用户需求、研发需求
56041 评审中选择模板选择研发需求时，支持展示研发需求所有层级
56042 评审中选择模板选择用户需求时，支持展示用户需求所有层级
56043 评审中选择模板选择业务需求时，支持展示业务需求所有层级
57280 多人评审增加需所有人完成评审选项
57281 审批人为空的时候可以自动拒绝
57317 审批人设置增加上一节点审批人自选类型-后台
57320 审批人设置增加部门负责人类型
57321 后台人员管理增加直属上级字段
57323 审批人设置增加发起人本人类型
57324 审批人设置增加连续多级上级类型-后台逻辑
57326 审批人设置增加项目角色类型
57327 审批人设置增加产品角色类型
57328 审批人设置增加执行角色类型
57329 审批人设置增加发起人自选范围
57351 审批流增加审批意见必填
57376 抄送人优化
57378 多人评审增加征询意见选项
57431 审批人设置增加直属上级类型
57437 审批流中增加审批人与发起人为同一人设置
57438 审批流中增加审批人删除设置
57447 审批流中条件分支类型支持职位设置
57560 审批人设置增加上一节点审批人自选类型-审批页面
57565 审批人设置增加连续多级上级类型-审批流页面
57711 审批人设置增加职位类型
IPD版：
52507 用户需求支持设置多层级
52508 研发需求支持设置多层级
52509 业务需求支持设置多层级
52914 用户需求的需求层级支持停用
52915 用户需求的需求层级支持启用
52916 研发需求的需求层级支持停用
52917 业务需求的需求层级支持停用
52918 业务需求的需求层级支持启用
52919 研发需求的需求层级支持启用
52991 用户需求创建页面增加父需求、需求层级字段
52992 业务需求创建页面增加父需求、需求层级字段
52993 用户需求支持拆分子用户需求
52994 业务需求支持拆分子业务需求
52997 用户需求增加批量编辑父需求、需求层级按钮
52998 业务需求增加批量父需求、需求层级功能
53007 研发需求支持多层级
53127 研发需求导入支持需求多层级
53206 用户需求导入支持需求多层级
53207 业务需求导入支持多层级需求
53240 叶子用户需求支持拆分研发需求
53241 叶子业务需求支持拆分用户需求
53242 业务需求支持设置需求细分流程
53243 用户需求支持设置需求细分流程
53244 研发需求支持设置需求细分流程
55904 项目导出模板的时需要选择导出类型：需求概念
56134 新增按人员统计的待处理需求池需求数

修复的Bug：
开源版：
50371 产品矩阵的搜索条件和保存的条件会带到需求列表中
50391 项目名称超长时与已延期的icon重合
50506 多人并行任务没有显示指派人
50509 产品矩阵中Bug卡片中自定义严重程度显示错误
50510 用户需求的按照优先级升序排序显示错误
50513 需求关联的相关代码提交没有显示在产品矩阵中
50516 检查产品矩阵的自定义设置功能
51517 【矩阵】产品矩阵自定义的设置需要两次才能生效
51523 【矩阵】产品矩阵的搜索结果错误
51526 【矩阵】产品矩阵出现没有数据的列
51538 【矩阵】产品矩阵用户需求视角的排序错误
51630 点击右下角禅道logo会显示一个代码块
51663 删除阶段，确认弹窗没取到名称
51668 删除执行后，返回的页面不正确
51742 阻塞的用例用例执行结果中被统计为失败，测试报告中没有
51792 获得重建页面有报错
51840 业务需求编辑页面，阶段能改
51878 产品用户需求列表的左上角查看所有层级，选择后无效
51879 SR1下创建儿子SR2，后台一共开启3级SR，SR1层级改为SR3能成功
51882 项目中编辑业务需求，缺少父需求字段
51897 计划的搜索条件没加需求概念和需求层级
51904 业需、用需、父研发需求阶段只能计算，只有叶子研发需求的阶段可以通过编辑等操作修改
51912 关闭原因为重复的父需求，重复需求选项中显示了其下的子需求
51914 业需、用需需求详情页拆分需求类型错误
51919 无产品无迭代项目的需求列表中显示了需求类型标签
51938 独立用户需求或最后一层级的用户需求编辑页面可以手动修改阶段
51981 项目下提业用需页面，二级导航没有高亮
51983 业务需求拆分选择用户需求，保存后，父子关系没保存上
51984 勾选多种需求，导出报错
51985 项目中编辑需求时计划展示id
51986 修改父需求所属产品后，父需求还在项目内原产品下
51987 敏捷项目关联需求后，仪表盘总览故事点为0
51988 项目关联业需后，设置中关闭业需，返回需求列表，左上角查看需求层级失效
51991 后台业需、用需、软需多层级的细分流程，默认为“否”
51993 编辑孪生需求显示父需求字段
51994 运营管理界面项目有报错
51995 评审中的需求鼠标悬停在细分按钮时，提示不正确
51999 已经建用例的软件需求还能拆需求
52000 编辑项目中的用例的关联需求时，可以查出所有层级的需求
52007 批量编辑需求页面，所处阶段宽度太窄
52008 子需求被动关闭后，由谁关闭字段为空
52009 批量编辑需求页面，所属计划增加提示语
52011 叶子研发需求编辑阶段时不应该能选到交付中和已交付
52014 业务需求拆分页面不正确
52016 20.0升级到20.2后，devops菜单缺少合并请求
52021 开源版18.9升级到开源版20.2报错
52026 创建项目有产品无迭代的，创建后计划里的需求没带过来
52028 发布关联研发需求页面代码报错
52035 执行->需求列表下展示了SR标签
52037 父需求变更后待处理研发需求列表状态没有变化
52039 提业务需求页面中创建计划后所属计划输入框没有了
52041 关闭父需求时子需求关闭动态语言项缺失
52044 【矩阵】当需求跨层级拆分时，矩阵中的层级关系展示错误
52045 业务需求评审通过后页面空白
52047 叶子研发需求拆分按钮置灰提示不对
52051 已关联计划的研发需求拆分子需求会把所属计划置空
52053 建用例关联需求下拉中显示了无子需求的业务需求
52057 看板项目中，研发需求泳道展示了父需求
52060 【矩阵】矩阵搜索结果只补足子级，不补足父级
52062 【矩阵】矩阵中按照用户需求查看时，搜索结果显示错误
52063 产品矩阵业务需求名称置空执行搜索时，页面代码报错
52065 批量创建需求后，页面报错
52073 地盘审批中，审批业务需求报错
52076 执行下关联需求时报错
52080 研发需求泳道显示了父需求
52087 任务看板中父需求显示在了子需求泳道中
52088 任务看板的父研发需求泳道显示了操作按钮
52118 需求关联到未开始的发布，阶段不对
52122 升级后的项目没有开启用户需求
52137 需求的评审流程没相互独立
52138 业务需求评审/变更/拆分后页面空白
52139 xxd服务端启动失败
52140 一个子需求已发布，一个子需求已完成的已关闭，父需求仍然为交付中
52144 开发阶段的看板展示用户需求和业务需求
52151 看板执行下的需求拆分子需求后，重复出现
52152 隐藏此列后，刷新页面还是显示
52153 右键操作菜单没收起
52154 拖拽排序后，没同步到自定义列
52155 回复默认后，列表字段顺序没恢复
52158 字段宽度设置后，刷新页面恢复
52207 子需求批量修改父需求时，可以选到这个需求本身
52211 开源版1253升级到开源版20.2版本后，执行->需求列表点击报错
52220 批量修改研发需求的父需求，选不到该层级的上一级
52226 业需和用需列表没展示需求层级标签
52229 开源版业需、用需、软需、项目需求列表没有层级切换
52238 管理员后台系统设置页面有代码报错
旗舰版：
52097 发起审批后删除审批人流程无法进行下去
52108 12.5.3升级max5.1有报错
52180 审批人删除后，设置了转交，实际没转交
52235 最后一次评审不通过但通过率符合审批流百分比设置时，评审状态显示评审中
IPD版：
51529 【矩阵】产品矩阵的排序仅排了第一层级，后面的层级没有排序
51651 修改研发需求的父需求超过需求层级后没有提示保存成功了
51661 业务需求列表展开业务需求的子子孙孙全选后进入批量编辑页面有报错
51754 OR界面业务需求变更后，子级需求确认变更按钮无法点击
51776 创建IPD项目页面代码报错
51778 OR界面的业用需显示了计划字段
51779 OR界面产品业务需求列表自定义列中未添加“所属路标”字段
51781 路标关联需求的列表中，用户需求的标签显示成了“子”
51830 产品矩阵中相关项目没有显示在对应的需求行中
51831 项目矩阵中的查看需求类型的菜单没有按照有无数据进行显示
51858 OR界面非最后一层级的业用需详情页代码报错
51859 用需列表批量修改研发需求的层级，修改后研发需求显示了对应的层级名称
51920 OR界面的业用需数据在IPD研发界面提需求时可以选到
51934 用户需求详情页基本信息中未显示“已设路标”和“charter立项”
51997 产品用户需求列表全选报表类型生成报表时，页面代码报错
52004 子级阶段变为Charter立项后，父级需求的研发阶段还是已设路标
52020 OR界面用户需求列表显示了研发需求
52025 IPD项目创建设计无法选择到用需
52043 后台功能配置无法进入
52058 进入产品的需求列表报错
52083 创建设计无法关联用户需求
52090 导出矩阵没有用例但是也显示了执行结果
52091 已设路标的用需被拆分后，需求阶段变成了未开始
52096 父业务需求的计划被清空
52130 评审业务需求有代码报错
52133 地盘待审批的业务需求列表操作栏未显示审批按钮
52141 业务需求模板的提示文案显示为了研发需求
52150 sql执行缺失存在就删除的语句

2024-06-21 20.1.1 biz10.0, max5.0, ipd2.0
完成的需求
开源版：
51732 实现AI助手列表字段设计
51733 实现AI助手列表排序
51734 实现AI助手列表翻页
51735 实现AI助手新建
51736 实现AI助手列表操作-发布
51738 实现AI助手列表操作-停用
51739 实现AI助手列表操作-编辑
51740 实现新建、编辑AI助手界面字段校验
51750 实现AI助手配置页面的【返回】操作
51753 实现AI助手配置页面的【保存】操作
51755 实现AI助手配置页面的【发布】操作
51756 实现AI助手详情页设计
51757 实现AI助手详情页操作按钮设计
53334 聊天窗口的宽度调节保存
53405 优化后台未配置语言模型时AI小程序详情页展示样式
54536 优化大桌面个人在线状态显示
54537 优化会话右键创建需求/任务/bug/文档弹窗交互
54539 优化大桌面底部导航交互与禅道保持一致
55239 优化客户端托盘展现样式
55240 优化讨论组发送群公告导致崩溃的问题
55241 优化消息记录搜索功能
55242 优化讨论组会议暗色模式的展现样式
55243 优化AI小程序我的收藏标签的展示逻辑
55244 优化AI小程序中多行文本控件样式
55245 优化AI小程序前台字体样式
55246 AI小程序增加1.5级导航展示
55249 修改小程序后台商店logo样式
55256 优化会话右键创文档的弹窗交互
企业版：
52205 后台实现创建AI助手的权限控制
52206 后台实现浏览AI助手列表的权限控制
52207 后台实现查看AI助手详情的权限控制
52208 后台实现发布AI助手的权限控制
52209 后台实现停用AI助手的权限控制
52210 后台实现编辑AI助手的权限控制
54804 后台实现AI助手权限包的位置
54811 后台实现删除AI助手的权限控制

修复的Bug
开源版：
24071 建任务时目标列表弹窗中显示问题
27050 激活已取消的多人串行任务，无法激活任务
30966 激活软件需求时会把评审人和评审时间清空
35632 关联多分支的测试单关联用例时搜索条件中只显示一个
35650 用户需求变更按钮不可点击提示显示不正确
36014 异步发信报错
36423 禅道客户端发送禅道指令失败
37494 编辑分支下的孪生需求，所属计划刷新后显示了主干计划
37528 创建按产品创建阶段的融合瀑布项目，创建子阶段时切换产品后不能选择子阶段类型
37621 执行，看板下，迭代内容与导出的数据不一致
39569 指派需求后，用户收不到阿道通知
39570 指派研发需求后，被指派的人收不到阿道通知
39611 项目-项目-仪表盘中剩余需求数统计不包含评审中的需求
39963 编辑计划页面中父计划下拉菜单中计划按ID正序排列
40241 选中模块创建用例后返回后未选中模块
40366 批量创建用例提示某字段超出限制，确认后页面不要返回列表
40606 执行下合并请求详情页点击返回按钮跳转回了DevOps模块
40827 代码库文件目录下文件显示不全，只显示100条
41116 地盘-贡献-任务-搜索 所有项目的数据错误
42155 代码库访问关联研发需求页面后台日志有报错信息
42534 勾选执行ai小程序，依赖的查看ai小程序列表权限没有保存成功
42804 批量编辑父需求和子需求时，父需求的工时可以编辑
43745 后台设置创建任务时指定字段必填，在任务列表导入Bug时校验了无法添加的字段
44673 项目内权限分组重名校验错误
45824 无迭代项目普通账号在项目-动态中查看不到动态
45870 后台功能配置下执行关闭设置页面文案需优化
45911 测试单中导出用例，实际情况字段为空
47263 ai对话页面标题有误，且没有引导提示
47595 Bug详情页面点击添加Bug时页面期望过滤掉已关闭的执行
47599 职业发展导航小程序详情页字段名称部分遮挡
48336 进入测试-Bug列表有报错
49245 打开多个文件查看文件内容左侧目录高亮的文件名称不正确
50211 运营界面分配权限有报错
50381 点击复制按钮，复制成功的提示被遮挡了
50464 测试单无法导出选中数据的用例
50505 产品矩阵下有warning报错
50508 点击Bug卡片后弹窗中编辑Bug应用和二级导航显示错误
50565 钉钉工作消息已关联的用户显示为编号
50569 产品缺陷数据汇总表显示有问题
50622 创建项目选择项目集，关联产品没有校验必填
50631 激活多人任务维护团队弹窗中移动团队成员会有个虚影
50632 激活多人任务维护团队弹窗中更改团队顺序后会提示已经完成任务的人预计剩余不能为空
50666 运营管理页面，任务关联了目标，但目标下不显示相关任务
50682 项目测试单列表批量生成测试报告有报错
50699 从项目-阶段直接点显示任务，所有任务不展示指派人
50702 手动更新燃尽图提示功能正在开发
50725 激活多人串行任务时提示“预计剩余不能为空”
50749 地盘切换主题后刷新页面主题会失效
50810 用户需求变更后，软件需求无法看的变更提示
50820 需求的预计工时填写非数字需要校验
50821 员工负载表没有统计多人任务
50839 后台开启代号功能后，模型配置中并没有显示该功能的三级导航
50841 导入单元测试用例页面点击创建版本无响应
50842 研发需求下搜索功能失效
50856 创建项目无法按关联多个产品
50858 英文下进入目标页面报错
50859 集成svn代码库或者之前集成的svn代码库，提示为空，无法同步
50862 一级导航的分隔线不显示了
50873 设置已关闭执行禁止修改后，看板中依然可以拖动对象
50875 设置已关闭执行禁止修改后，任务看板中创建按钮没禁用
50880 合并请求历史记录中记录的流水线没有中文语言项
50886 设置已关闭执行禁止修改后，关闭执行的版本依然可以提测
50890 激活多人任务时维护团队成员弹窗中消耗字段未置灰
50911 Bug被关联到代码文件中后详情页相关代码版本没有更新
50912 多人任务编辑团队成员，提示信息与字段不统一
50914 代码文件中不显示关联对象名称
50916 Bug修改解决版本后在解决版本下面无法查看到该Bug
50918 Bug修改解决版本时提示信息中的信息未转译
50935 瀑布项目仪表盘区块内容显示不全
50940 瀑布项目下选择管理产品后，新建产品按产品创建阶段
50941 执行需求列表批量指派组件没有搜索框
50946 创建编辑执行页面中字段显示设置不生效
50956 Bugu详情页有报错
50958 创建项目先选择项目型再选择项目集，关联产品字段又显示了
50959 查看文件时目录树 高亮文件不正确
50975 项目下同一个产品下的多个测试单被一个其他产品的测试单分隔开了
50976 项目下测试单翻页后，展开收起产品，页面获取的是第一页的内容
50985 进入文档详情页，提词按钮有重叠
50988 gitlab中添加的流水线不能同步到禅道中
51012 执行文档题词后，重新生成按钮和一口X重叠了
51014 用户需求变更后对应的研发需求的状态在执行需求列表中没有更新
51072 php8.1点击测试的Bug、用例、测试单报错
51101 web端聊天展示了AI助手
51134 执行下团队管理有js报错
51139 max4.12升级到max5.0.beta1，升级后创建的文档下有空数据
51141 全文检索文档点击无效
51162 阿道查看任务指令，无法查询到任务
51163 用户需求详情页有报错
51166 开启collabora服务后，客户端无法编辑协作文档
51171 没有执行的情况下全局添加任务出现报错
51182 批量添加待办弹窗高度太小
51187 开源版应该隐藏NEXUS应用添加
51210 项目型项目创建研发需求表单提交时提示请选择所属计划
51219 多人并行任务，webhook不发送钉钉工作消息通知
51221 创建项目，添加多个产品，添加/删除按钮点击无反应
51222 创建瀑布项目，关联多分支产品，保存没有弹出提示
51223 执行流水线，弹窗中有换行符
51229 创建文档后没有给抄送人发送消息通知
51232 创建有项目集的无产品项目，提示让关联产品
51244 升级后设置权限页面有报错
51253 web端聊天样式有误
51271 未完成的执行区块，燃尽图显示不完整
51273 产品视角下批量编辑产品二级导航会变
51274 20版本无法使用邮件通知
51275 restfulAPI，删除操作没有做访问权限过滤
51277 20版本搜索保存为标签无法使用
51278 开源版12.4升级到20.1.1报错
51286 批量编辑待办页面点击返回后有报错
51290 关联Gogs代码库后点击编辑客户端地址显示错误
51291 添加应用页面有报错
51295 文档中编辑无法修改字号
51300 创建项目的表单中，预算单位切换的下拉菜单文字看不见
51302 自动化设置页面点击创建执行节点后新开页面且导航错误
51315 后台流程设置中无法更改规模估算的单位
51324 文档删除附件后旧版本页不显示附件
51329 执行文档详情页直接点左侧执行名称二级导航会取消选中
51333 项目文档库的执行下上传的文档编辑时不能修改所属执行和所属墓目录
51337 贡献-文档从由我编辑到由我创建标签下有报错
51340 进入项目空间的执行下点击执行名称文档列表会隐藏已有的文档
51347 服务商/城市/CPU品牌/系统版本设置中键不显示只显示了值
51358 web端聊天，聊天背景色是紫的
51361 后台模型配置中设置每日可用工时没有加限制
51362 编辑父研发需求页面显示了所属计划且可以关联到计划
51365 批量编辑研发需求页面所属计划未带出
51367 普通用户运营界面看板不显示设置按钮
51368 升级后编辑项目后历史记录中显示错误信息
51371 重置密码输入错误用户名有报错
51376 重置密码后没有跳到登录页面
51382 运营界面项目下的子目标还能细分
51384 没有创建阶段权限创建瀑布项目后有报错
51409 20版本权限分组视野维护后，动态看不到信息
51422 Bug详情页有报错
51444 需求变更页面中保存按钮没有固定在屏幕底部
51448 项目集-投入人员的统计里统计不到项目型项目里的bug
51449 后台分配权限页面有报错
51452 没有设置阶段的权限，页面上的按钮没有隐藏
51461 用例详情页显示了两个执行按钮
51467 导出日程内容可以去除换行符的标记
51468 创建"周期性"待办，初始日期设定不生效
51470 需求详情页操作按钮显示错误
51471 需求变更没有通知执行下的团队成员
51477 开源版一键包缺少企业版和旗舰版体验功能
51494 一键安装包欢迎页，英文语言项下账号提示没有翻译成英文
51499 运营界面项目的目标详情页显示了需求的相关功能
企业版：
18695 bug重新步骤有图片，导出mht没有图片
30453 维护产品工单模块，切换1.5级导航更换产品，维护完成后反馈列表页面模块会选中上一个维护的产品
32378 多人并行任务地盘--新增日志页面逻辑不一致
33201 透视表导出按钮会和透视表分组重合显示
36853 产品需求无法导入子需求
37198 计划列表页面通过工作流扩展增加字段之后展示异常
37399 附件删除后，文档对比显示为空
37402 多分支产品，导入需求页面，平台、所属模块、所属计划没有联动关系
37430 通用看板导入工单页面访问工单详情链接后导航不对
38239 完成工单填写日志，在地盘对应的日志少了条历史记录
39189 工作流子表字段设置必填后新建页面没有校验必填
39453 地盘下审批工作流页面样式问题
39674 导入Bug的确认信息页面没显示所属项目
40026 问题列表版本字段显示的是分支
40029 问题列表类型不显示Bug的类型
40163 复制出的工作流审批设置状态和被复制审批流不一致
40292 显示导入内容页面新增的必填字段后没有显示必填标识且报错
40311 新增字段控件为附件，显示在列表时无数据
40353 设置子表数据后，动态中显示了子表的代号
40607 工单工作流中部分下拉字段可用选项为空
45662 bug工作流扩展字段，在测试-bug列表中显示key值，非value值
45663 工作流扩展的字段无法在对应详情页面中显示
46756 工时明细表工时信息统计有误
48822 工单维护模块返回页面不对
48895 用例的导出文件中，所属场景显示的是ID
48935 甘特图下开始任务，页面有误
48940 维护不同任务关系，保存仍校验：前后任务不能相同
49069 工作流导入字段确认弹窗展示不全，无滚动条
49100 地盘新增日志，无法选到研发需求所在执行
49415 需求详情页AI下拉展开后有多余的白色色块
49420 导出报表后跳转不正确
